/*	Compiler: ECL 12.12.1                                         */
/*	Source: EXT:CL-SIMD;ECL-SSE-CORE.LISP                         */
#include <ecl/ecl-cmp.h>
#include "ext/ecl-sse-core.eclh"
/*	local function SSE-PACK                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1sse_pack(cl_narg narg, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object V1;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    V1 = ECL_SYM("*",18);
   } else {
    i++;
    V1 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (!((V1)==(ECL_SYM("*",18)))) { goto L2; }
  value0 = ECL_SYM("SSE-PACK",1786);
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  if (!((V1)==(ECL_SYM("SINGLE-FLOAT",778)))) { goto L9; }
  goto L6;
  goto L7;
L9:;
  goto L7;
L7:;
  if (!((V1)==(ECL_SYM("FLOAT",374)))) { goto L4; }
  goto L5;
L6:;
L5:;
  value0 = ECL_SYM("FLOAT-SSE-PACK",1792);
  cl_env_copy->nvalues = 1;
  return value0;
L4:;
  if (!((V1)==(ECL_SYM("DOUBLE-FLOAT",315)))) { goto L12; }
  value0 = ECL_SYM("DOUBLE-SSE-PACK",1793);
  cl_env_copy->nvalues = 1;
  return value0;
L12:;
  if (!((V1)==(ECL_SYM("INTEGER",437)))) { goto L14; }
  value0 = ECL_SYM("INT-SSE-PACK",1791);
  cl_env_copy->nvalues = 1;
  return value0;
L14:;
  value0 = si_ecase_error(V1, VV[3]);
  return value0;
 }
}
/*	local function TYPENAME-CASE                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC2typename_case(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  VALUE           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   {
    cl_object V5;
    cl_object V6;
    V5 = ECL_NIL;
    if (ecl_unlikely(!ECL_LISTP(V3))) FEtype_error_list(V3);
    V6 = V3;
    {
     cl_object V7;
     cl_object V8;
     V7 = ecl_list1(ECL_NIL);
     V8 = V7;
L14:;
     if (!(ecl_endp(V6))) { goto L16; }
     goto L15;
L16:;
     V5 = _ecl_car(V6);
     {
      cl_object V9;
      V9 = _ecl_cdr(V6);
      if (ecl_unlikely(!ECL_LISTP(V9))) FEtype_error_list(V9);
      V6 = V9;
     }
     if (ecl_unlikely(ECL_ATOM(V8))) FEtype_error_cons(V8);
     T1 = V8;
     T3 = ecl_car(V5);
     T4 = cl_list(2, ECL_SYM("QUOTE",679), T3);
     T5 = cl_list(3, ECL_SYM("SUBTYPEP",837), V4, T4);
     T6 = ecl_cdr(V5);
     T2 = CONS(T5,T6);
     V8 = ecl_list1(T2);
     (ECL_CONS_CDR(T1)=V8,T1);
     goto L14;
L15:;
     T0 = ecl_cdr(V7);
     goto L8;
    }
   }
L8:;
   T1 = cl_list(3, ECL_SYM("ERROR",337), _ecl_static_1, V4);
   T2 = cl_list(2, ECL_T, T1);
   T3 = ecl_list1(T2);
   T4 = ecl_append(T0,T3);
   value0 = CONS(ECL_SYM("COND",247),T4);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for FOREIGN-TYPE-OF                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3foreign_type_of(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(cl_subtypep(2, V1, ECL_NIL))) { goto L1; }
  value0 = ECL_SYM("OBJECT",1278);
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (Null(cl_subtypep(2, V1, ECL_SYM("INT-SSE-PACK",1791)))) { goto L3; }
  value0 = VV[5];
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  if (Null(cl_subtypep(2, V1, ECL_SYM("FLOAT-SSE-PACK",1792)))) { goto L5; }
  value0 = VV[6];
  cl_env_copy->nvalues = 1;
  return value0;
L5:;
  if (Null(cl_subtypep(2, V1, ECL_SYM("DOUBLE-SSE-PACK",1793)))) { goto L7; }
  value0 = VV[7];
  cl_env_copy->nvalues = 1;
  return value0;
L7:;
  if (Null(cl_subtypep(2, V1, ECL_SYM("BOOLEAN",155)))) { goto L9; }
  value0 = VV[8];
  cl_env_copy->nvalues = 1;
  return value0;
L9:;
  if (Null(cl_subtypep(2, V1, ECL_SYM("SINGLE-FLOAT",778)))) { goto L11; }
  value0 = ECL_SYM("FLOAT",1368);
  cl_env_copy->nvalues = 1;
  return value0;
L11:;
  if (Null(cl_subtypep(2, V1, ECL_SYM("DOUBLE-FLOAT",315)))) { goto L13; }
  value0 = ECL_SYM("DOUBLE",1366);
  cl_env_copy->nvalues = 1;
  return value0;
L13:;
  if (Null(cl_subtypep(2, V1, ECL_SYM("FIXNUM",372)))) { goto L15; }
  value0 = ECL_SYM("FIXNUM",1367);
  cl_env_copy->nvalues = 1;
  return value0;
L15:;
  if (Null(cl_subtypep(2, V1, ECL_SYM("INTEGER32",1337)))) { goto L17; }
  value0 = ECL_SYM("INT32-T",1372);
  cl_env_copy->nvalues = 1;
  return value0;
L17:;
  if (Null(cl_subtypep(2, V1, ECL_SYM("BYTE32",1332)))) { goto L19; }
  value0 = ECL_SYM("UINT32-T",1384);
  cl_env_copy->nvalues = 1;
  return value0;
L19:;
  if (Null(cl_subtypep(2, V1, ECL_SYM("INTEGER64",1338)))) { goto L21; }
  value0 = ECL_SYM("INT64-T",1373);
  cl_env_copy->nvalues = 1;
  return value0;
L21:;
  if (Null(cl_subtypep(2, V1, ECL_SYM("BYTE64",1333)))) { goto L23; }
  value0 = ECL_SYM("UINT64-T",1385);
  cl_env_copy->nvalues = 1;
  return value0;
L23:;
  if (Null(cl_subtypep(2, V1, ECL_SYM("INTEGER",437)))) { goto L25; }
  value0 = ECL_SYM("FIXNUM",1367);
  cl_env_copy->nvalues = 1;
  return value0;
L25:;
  value0 = cl_error(2, _ecl_static_1, V1);
  return value0;
 }
}
/*	function definition for POINTER-C-TYPE-OF                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4pointer_c_type_of(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(cl_subtypep(2, V1, ECL_NIL))) { goto L1; }
  value0 = _ecl_static_2;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (Null(cl_subtypep(2, V1, ECL_SYM("INT-SSE-PACK",1791)))) { goto L3; }
  value0 = _ecl_static_3;
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  if (Null(cl_subtypep(2, V1, ECL_SYM("FLOAT-SSE-PACK",1792)))) { goto L5; }
  value0 = _ecl_static_4;
  cl_env_copy->nvalues = 1;
  return value0;
L5:;
  if (Null(cl_subtypep(2, V1, ECL_SYM("DOUBLE-SSE-PACK",1793)))) { goto L7; }
  value0 = _ecl_static_5;
  cl_env_copy->nvalues = 1;
  return value0;
L7:;
  value0 = cl_error(2, _ecl_static_1, V1);
  return value0;
 }
}
/*	function definition for DECLAIM-ARG-TYPE-OF                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5declaim_arg_type_of(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(cl_subtypep(2, V1, VV[11]))) { goto L1; }
  value0 = ECL_SYM("REAL",703);
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (Null(cl_subtypep(2, V1, ECL_SYM("SSE-PACK",1786)))) { goto L3; }
  value0 = ECL_SYM("SSE-PACK",1786);
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  if (Null(cl_subtypep(2, V1, ECL_SYM("FIXNUM",372)))) { goto L5; }
  value0 = ECL_SYM("FIXNUM",372);
  cl_env_copy->nvalues = 1;
  return value0;
L5:;
  if (Null(cl_subtypep(2, V1, ECL_T))) { goto L7; }
  value0 = V1;
  cl_env_copy->nvalues = 1;
  return value0;
L7:;
  value0 = cl_error(2, _ecl_static_1, V1);
  return value0;
 }
}
/*	function definition for INLINE-ARG-TYPE-OF                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L6inline_arg_type_of(cl_object V1)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(cl_subtypep(2, V1, VV[11]))) { goto L1; }
  value0 = VV[13];
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  if (Null(cl_subtypep(2, V1, ECL_SYM("FIXNUM",372)))) { goto L3; }
  value0 = ECL_SYM("FIXNUM",372);
  cl_env_copy->nvalues = 1;
  return value0;
L3:;
  if (Null(cl_subtypep(2, V1, ECL_T))) { goto L5; }
  value0 = V1;
  cl_env_copy->nvalues = 1;
  return value0;
L5:;
  value0 = cl_error(2, _ecl_static_1, V1);
  return value0;
 }
}
/*	function definition for EXPAND-CONSTANT                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L7expand_constant(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  va_list args; va_start(args,V2);
  {
   int i = 2;
   if (i >= narg) {
    V3 = ECL_NIL;
   } else {
    i++;
    V3 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object V4;                                  /*  MFORM           */
   cl_object V5;                                  /*  CFORM           */
   V4 = cl_macroexpand(2, V1, V2);
   if (!(ECL_SYMBOLP(V4))) { goto L4; }
   if (Null(cl_constantp(1, V4))) { goto L4; }
   V5 = cl_symbol_value(V4);
   goto L3;
L4:;
   V5 = V4;
L3:;
   value0 = V3;
   if ((value0)!=ECL_NIL) { goto L9; }
   {
    bool V6;
    V6 = ecl_eql(V5,V1);
    T0 = (V6)?ECL_NIL:ECL_T;
    goto L7;
   }
L9:;
   T0 = value0;
   goto L7;
L7:;
   cl_env_copy->nvalues = 2;
   cl_env_copy->values[1] = T0;
   cl_env_copy->values[0] = V5;
   return cl_env_copy->values[0];
  }
 }
}
/*	function definition for MAKE-ARG-NAME                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L8make_arg_name(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_format(3, ECL_NIL, _ecl_static_6, V1);
  value0 = cl_intern(1, T0);
  return value0;
 }
}
/*	function definition for MAKE-ARG-NUMS                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L9make_arg_nums(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_fixnum V2;                                  /*  LET2315         */
   cl_object V3;                                  /*  I               */
   V2 = ecl_length(V1);
   V3 = ecl_make_fixnum(0);
   {
    cl_object V4;
    cl_object V5;
    V4 = ecl_list1(ECL_NIL);
    V5 = V4;
L5:;
    if (!(ecl_number_compare(V3,ecl_make_fixnum(V2))>=0)) { goto L7; }
    goto L6;
L7:;
    if (ecl_unlikely(ECL_ATOM(V5))) FEtype_error_cons(V5);
    T0 = V5;
    V5 = ecl_list1(V3);
    (ECL_CONS_CDR(T0)=V5,T0);
    V3 = ecl_one_plus(V3);
    goto L5;
L6:;
    value0 = ecl_cdr(V4);
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for WRAP-RET-ARG                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L10wrap_ret_arg(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  va_list args; va_start(args,V2);
  {
   int i = 2;
   if (i >= narg) {
    V3 = ECL_NIL;
   } else {
    i++;
    V3 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (!((V2)==(ECL_NIL))) { goto L2; }
  value0 = cl_format(3, ECL_NIL, _ecl_static_7, V1);
  return value0;
L2:;
  if (Null(V3)) { goto L4; }
  value0 = cl_format(5, ECL_NIL, _ecl_static_8, V3, V1, V3);
  return value0;
L4:;
  value0 = V1;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for MAKE-PACK-OF-BIN                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L11make_pack_of_bin(cl_narg narg, cl_object V1, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L11make_pack_of_binkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[1])) {
    V2 = ECL_SYM("INT-SSE-PACK",1791);
   } else {
    V2 = keyvars[0];
   }
  }
  {
   cl_object V3;                                  /*  ALL             */
   cl_object V4;                                  /*  PACK            */
   {
    cl_fixnum V5;                                 /*  I               */
    V5 = 0;
    {
     cl_object V6;                                /*  V               */
     V6 = ECL_NIL;
     {
      cl_object V7;
      cl_object V8;
      V7 = ecl_list1(ECL_NIL);
      V8 = V7;
      V6 = V1;
L7:;
      if (ecl_unlikely(ECL_ATOM(V8))) FEtype_error_cons(V8);
      T0 = V8;
      T1 = ecl_boole(ECL_BOOLAND,(V6),(ecl_make_fixnum(255)));
      V8 = ecl_list1(T1);
      (ECL_CONS_CDR(T0)=V8,T0);
      V5 = (V5)+1;
      if (!((V5)>(15))) { goto L17; }
      goto L8;
L17:;
      V6 = cl_ash(V6, ecl_make_fixnum(-8));
      goto L7;
L8:;
      V3 = ecl_cdr(V7);
      goto L2;
     }
    }
   }
L2:;
   T0 = cl_make_array(5, ecl_make_fixnum(16), ECL_SYM("ELEMENT-TYPE",1224), VV[19], ECL_SYM("INITIAL-CONTENTS",1252), V3);
   V4 = si_vector_to_sse_pack(T0);
   if (!((V2)==(ECL_SYM("INT-SSE-PACK",1791)))) { goto L24; }
   value0 = V4;
   cl_env_copy->nvalues = 1;
   return value0;
L24:;
   if (!((V2)==(ECL_SYM("FLOAT-SSE-PACK",1792)))) { goto L27; }
   T0 = ECL_SYM("SINGLE-FLOAT",778);
   goto L26;
L27:;
   if (!((V2)==(ECL_SYM("DOUBLE-SSE-PACK",1793)))) { goto L29; }
   T0 = ECL_SYM("DOUBLE-FLOAT",315);
   goto L26;
L29:;
   T0 = si_ecase_error(V2, VV[20]);
L26:;
   T1 = si_sse_pack_as_elt_type(V4, T0);
   value0 = cl_list(3, ECL_SYM("THE",856), V2, T1);
   return value0;
  }
 }
}
/*	local function DEF-INLINE                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC12def_inline(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  NAME            */
   cl_object V5;                                  /*  MODE            */
   cl_object V6;                                  /*  ARG-TYPES       */
   cl_object V7;                                  /*  RET-TYPE        */
   cl_object V8;                                  /*  CALL-STR        */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V9;
    V9 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V9;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V9;
    V9 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V9;
   }
   if (!(V3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(V1);
L15:;
   {
    cl_object V9;
    V9 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V9;
   }
   if (!(V3==ECL_NIL)) { goto L21; }
   si_dm_too_few_arguments(V1);
L21:;
   {
    cl_object V9;
    V9 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V7 = V9;
   }
   if (!(V3==ECL_NIL)) { goto L27; }
   si_dm_too_few_arguments(V1);
L27:;
   {
    cl_object V9;
    V9 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V8 = V9;
   }
   T0 = cl_list(2, ECL_SYM("QUOTE",679), V4);
   T1 = cl_list(2, ECL_SYM("QUOTE",679), V5);
   T2 = cl_list(2, ECL_SYM("QUOTE",679), V6);
   T3 = cl_list(2, ECL_SYM("QUOTE",679), V7);
   T4 = cl_listX(7, VV[23], T0, T1, T2, T3, V8, V3);
   value0 = cl_list(3, ECL_SYM("EVAL-WHEN",340), VV[22], T4);
   return value0;
  }
 }
}
/*	local function DEF-INTRINSIC                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC13def_intrinsic(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  NAME            */
   cl_object V5;                                  /*  ARG-TYPES       */
   cl_object V6;                                  /*  RET-TYPE        */
   cl_object V7;                                  /*  C-NAME          */
   cl_object V8;
   cl_object V9;                                  /*  EXPORT          */
   cl_object V10;
   cl_object V11;                                 /*  RET-ARG         */
   cl_object V12;
   cl_object V13;                                 /*  REORDER-ARGS    */
   cl_object V14;
   cl_object V15;                                 /*  IMMEDIATE-ARGS  */
   cl_object V16;
   cl_object V17;                                 /*  DEFUN-BODY      */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V18;
    V18 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V18;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V18;
    V18 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V18;
   }
   if (!(V3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(V1);
L15:;
   {
    cl_object V18;
    V18 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V18;
   }
   if (!(V3==ECL_NIL)) { goto L21; }
   si_dm_too_few_arguments(V1);
L21:;
   {
    cl_object V18;
    V18 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V7 = V18;
   }
   V8 = si_search_keyword(2, V3, ECL_SYM("EXPORT",1233));
   if (!((V8)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L28; }
   V9 = ECL_T;
   goto L27;
L28:;
   V9 = V8;
L27:;
   V10 = si_search_keyword(2, V3, VV[25]);
   if (!((V10)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L32; }
   V11 = ECL_NIL;
   goto L31;
L32:;
   V11 = V10;
L31:;
   V12 = si_search_keyword(2, V3, VV[26]);
   if (!((V12)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L36; }
   V13 = ECL_NIL;
   goto L35;
L36:;
   V13 = V12;
L35:;
   V14 = si_search_keyword(2, V3, VV[27]);
   if (!((V14)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L40; }
   V15 = ECL_NIL;
   goto L39;
L40:;
   V15 = V14;
L39:;
   V16 = si_search_keyword(2, V3, VV[28]);
   if (!((V16)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L44; }
   V17 = ECL_NIL;
   goto L43;
L44:;
   V17 = V16;
L43:;
   si_check_keyword(2, V3, VV[29]);
   {
    cl_object V18;                                /*  ANUMS           */
    cl_object V19;                                /*  ASYMS           */
    cl_object V20;                                /*  AFTYPES         */
    cl_object V21;                                /*  RFTYPE          */
    cl_object V22;                                /*  CALL-ANUMS      */
    cl_object V23;                                /*  CALL-STR        */
    V18 = L9make_arg_nums(V5);
    {
     cl_object V24;
     cl_object V25;
     V24 = ECL_NIL;
     if (ecl_unlikely(!ECL_LISTP(V18))) FEtype_error_list(V18);
     V25 = V18;
     {
      cl_object V26;
      cl_object V27;
      V26 = ecl_list1(ECL_NIL);
      V27 = V26;
L54:;
      if (!(ecl_endp(V25))) { goto L56; }
      goto L55;
L56:;
      V24 = _ecl_car(V25);
      {
       cl_object V28;
       V28 = _ecl_cdr(V25);
       if (ecl_unlikely(!ECL_LISTP(V28))) FEtype_error_list(V28);
       V25 = V28;
      }
      if (ecl_unlikely(ECL_ATOM(V27))) FEtype_error_cons(V27);
      T0 = V27;
      T1 = L8make_arg_name(V24);
      V27 = ecl_list1(T1);
      (ECL_CONS_CDR(T0)=V27,T0);
      goto L54;
L55:;
      V19 = ecl_cdr(V26);
      goto L48;
     }
    }
L48:;
    {
     cl_object V24;
     cl_object V25;
     V24 = ECL_NIL;
     if (ecl_unlikely(!ECL_LISTP(V5))) FEtype_error_list(V5);
     V25 = V5;
     {
      cl_object V26;
      cl_object V27;
      V26 = ecl_list1(ECL_NIL);
      V27 = V26;
L76:;
      if (!(ecl_endp(V25))) { goto L78; }
      goto L77;
L78:;
      V24 = _ecl_car(V25);
      {
       cl_object V28;
       V28 = _ecl_cdr(V25);
       if (ecl_unlikely(!ECL_LISTP(V28))) FEtype_error_list(V28);
       V25 = V28;
      }
      if (ecl_unlikely(ECL_ATOM(V27))) FEtype_error_cons(V27);
      T0 = V27;
      T1 = L3foreign_type_of(V24);
      V27 = ecl_list1(T1);
      (ECL_CONS_CDR(T0)=V27,T0);
      goto L76;
L77:;
      V20 = ecl_cdr(V26);
      goto L70;
     }
    }
L70:;
    V21 = L3foreign_type_of(V6);
    if (Null(V13)) { goto L94; }
    V22 = cl_reverse(V18);
    goto L93;
L94:;
    V22 = V18;
L93:;
    T0 = cl_format(4, ECL_NIL, _ecl_static_9, V7, V22);
    V23 = L10wrap_ret_arg(3, T0, V6, V11);
    if (Null(V9)) { goto L98; }
    T1 = cl_list(2, ECL_SYM("QUOTE",679), V4);
    T0 = cl_list(2, ECL_SYM("EXPORT",344), T1);
    goto L97;
L98:;
    T0 = ECL_NIL;
L97:;
    if (Null(V15)) { goto L101; }
    T2 = ecl_append(V19,VV[32]);
    T3 = cl_listX(5, ECL_SYM("&WHOLE",13), VV[30], ECL_SYM("&ENVIRONMENT",9), VV[31], T2);
    {
     cl_object V24;                               /*  ARG             */
     cl_object V25;                               /*  TYPE            */
     cl_object V26;
     V24 = ECL_NIL;
     V25 = ECL_NIL;
     if (ecl_unlikely(!ECL_LISTP(V15))) FEtype_error_list(V15);
     V26 = V15;
     {
      cl_object V27;
      cl_object V28;
      V27 = ecl_list1(ECL_NIL);
      V28 = V27;
L110:;
      if (!(ecl_endp(V26))) { goto L112; }
      goto L111;
L112:;
      {
       cl_object V29;
       V29 = _ecl_car(V26);
       V24 = ecl_car(V29);
       V29 = ecl_cdr(V29);
       V25 = ecl_car(V29);
      }
      {
       cl_object V29;
       V29 = _ecl_cdr(V26);
       if (ecl_unlikely(!ECL_LISTP(V29))) FEtype_error_list(V29);
       V26 = V29;
      }
      if (ecl_unlikely(ECL_ATOM(V28))) FEtype_error_cons(V28);
      T5 = V28;
      T6 = cl_list(2, VV[33], V24);
      T7 = ecl_list1(T6);
      T8 = cl_list(2, V24, VV[34]);
      T9 = cl_list(3, ECL_SYM("MULTIPLE-VALUE-SETQ",576), T8, VV[35]);
      T10 = cl_list(2, ECL_SYM("QUOTE",679), V25);
      T11 = cl_list(3, ECL_SYM("TYPEP",875), V24, T10);
      T12 = cl_list(2, ECL_SYM("QUOTE",679), V4);
      T13 = cl_list(3, ECL_SYM("EQL",334), VV[33], V24);
      T14 = cl_list(3, ECL_SYM("UNLESS",883), T13, V24);
      T15 = cl_list(2, ECL_SYM("QUOTE",679), V25);
      T16 = cl_list(6, VV[36], _ecl_static_10, T12, VV[33], T14, T15);
      T17 = cl_list(3, ECL_SYM("UNLESS",883), T11, T16);
      T18 = cl_list(4, ECL_SYM("LET",477), T7, T9, T17);
      V28 = ecl_list1(T18);
      (ECL_CONS_CDR(T5)=V28,T5);
      goto L110;
L111:;
      T4 = ecl_cdr(V27);
      goto L103;
     }
    }
L103:;
    T5 = cl_list(2, ECL_SYM("QUOTE",679), V4);
    T6 = cl_listX(3, ECL_SYM("LIST",481), T5, V19);
    T7 = cl_list(4, ECL_SYM("IF",946), VV[34], T6, VV[30]);
    T8 = ecl_list1(T7);
    T9 = ecl_append(T4,T8);
    T10 = cl_listX(4, ECL_SYM("DEFINE-COMPILER-MACRO",279), V4, T3, T9);
    T1 = ecl_list1(T10);
    goto L100;
L101:;
    T1 = ECL_NIL;
L100:;
    {
     cl_object V24;
     cl_object V25;
     V24 = ECL_NIL;
     if (ecl_unlikely(!ECL_LISTP(V5))) FEtype_error_list(V5);
     V25 = V5;
     {
      cl_object V26;
      cl_object V27;
      V26 = ecl_list1(ECL_NIL);
      V27 = V26;
L137:;
      if (!(ecl_endp(V25))) { goto L139; }
      goto L138;
L139:;
      V24 = _ecl_car(V25);
      {
       cl_object V28;
       V28 = _ecl_cdr(V25);
       if (ecl_unlikely(!ECL_LISTP(V28))) FEtype_error_list(V28);
       V25 = V28;
      }
      if (ecl_unlikely(ECL_ATOM(V27))) FEtype_error_cons(V27);
      T3 = V27;
      T4 = L5declaim_arg_type_of(V24);
      V27 = ecl_list1(T4);
      (ECL_CONS_CDR(T3)=V27,T3);
      goto L137;
L138:;
      T2 = ecl_cdr(V26);
      goto L131;
     }
    }
L131:;
    value0 = V6;
    if ((value0)!=ECL_NIL) { goto L155; }
    T3 = ECL_SYM("NULL",605);
    goto L153;
L155:;
    T3 = value0;
    goto L153;
L153:;
    T4 = cl_list(3, ECL_SYM("FUNCTION",396), T2, T3);
    T5 = cl_list(3, ECL_SYM("FTYPE",393), T4, V4);
    T6 = cl_list(2, ECL_SYM("QUOTE",679), T5);
    T7 = cl_list(2, ECL_SYM("PROCLAIM",666), T6);
    if (!(V15==ECL_NIL)) { goto L158; }
    value0 = V17;
    if ((value0)!=ECL_NIL) { goto L162; }
    T9 = V23;
    goto L160;
L162:;
    T9 = value0;
    goto L160;
L160:;
    T10 = cl_listX(6, ECL_SYM("C-INLINE",1969), V19, V20, V21, T9, VV[38]);
    T11 = cl_list(5, ECL_SYM("DEFUN",289), V4, V19, VV[37], T10);
    T8 = ecl_list1(T11);
    goto L157;
L158:;
    T8 = ECL_NIL;
L157:;
    {
     cl_object V24;
     cl_object V25;
     V24 = ECL_NIL;
     if (ecl_unlikely(!ECL_LISTP(V5))) FEtype_error_list(V5);
     V25 = V5;
     {
      cl_object V26;
      cl_object V27;
      V26 = ecl_list1(ECL_NIL);
      V27 = V26;
L170:;
      if (!(ecl_endp(V25))) { goto L172; }
      goto L171;
L172:;
      V24 = _ecl_car(V25);
      {
       cl_object V28;
       V28 = _ecl_cdr(V25);
       if (ecl_unlikely(!ECL_LISTP(V28))) FEtype_error_list(V28);
       V25 = V28;
      }
      if (ecl_unlikely(ECL_ATOM(V27))) FEtype_error_cons(V27);
      T10 = V27;
      T11 = L6inline_arg_type_of(V24);
      V27 = ecl_list1(T11);
      (ECL_CONS_CDR(T10)=V27,T10);
      goto L170;
L171:;
      T9 = ecl_cdr(V26);
      goto L164;
     }
    }
L164:;
    T10 = cl_listX(7, VV[24], V4, VV[39], T9, V21, V23, VV[40]);
    T11 = ecl_list1(T10);
    T12 = ecl_append(T8,T11);
    T13 = CONS(T7,T12);
    T14 = ecl_append(T1,T13);
    value0 = cl_listX(3, ECL_SYM("PROGN",671), T0, T14);
    return value0;
   }
  }
 }
}
/*	local function DEF-UNARY-INTRINSIC                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC14def_unary_intrinsic(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  NAME            */
   cl_object V5;                                  /*  RET-TYPE        */
   cl_object V6;                                  /*  INSN            */
   cl_object V7;                                  /*  COST            */
   cl_object V8;                                  /*  C-NAME          */
   cl_object V9;
   cl_object V10;                                 /*  ARG-TYPE        */
   cl_object V11;
   cl_object V12;
   cl_object V13;
   cl_object V14;                                 /*  IMMEDIATE-ARG   */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V15;
    V15 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V15;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V15;
    V15 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V15;
   }
   if (!(V3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(V1);
L15:;
   {
    cl_object V15;
    V15 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V15;
   }
   if (!(V3==ECL_NIL)) { goto L21; }
   si_dm_too_few_arguments(V1);
L21:;
   {
    cl_object V15;
    V15 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V7 = V15;
   }
   if (!(V3==ECL_NIL)) { goto L27; }
   si_dm_too_few_arguments(V1);
L27:;
   {
    cl_object V15;
    V15 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V8 = V15;
   }
   V9 = si_search_keyword(2, V3, VV[42]);
   if (!((V9)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L34; }
   V10 = V5;
   goto L33;
L34:;
   V10 = V9;
L33:;
   V11 = si_search_keyword(2, V3, VV[43]);
   V12 = si_search_keyword(2, V3, VV[44]);
   V13 = si_search_keyword(2, V3, VV[45]);
   if (!((V13)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L40; }
   V14 = ECL_NIL;
   goto L39;
L40:;
   V14 = V13;
L39:;
   si_check_keyword(2, V3, VV[46]);
   if (Null(V14)) { goto L44; }
   T0 = ecl_list1(V14);
   goto L43;
L44:;
   T0 = ECL_NIL;
L43:;
   T1 = CONS(V10,T0);
   if (Null(V14)) { goto L47; }
   T3 = cl_list(2, VV[47], V14);
   T2 = ecl_list1(T3);
   goto L46;
L47:;
   T2 = ECL_NIL;
L46:;
   value0 = cl_list(7, VV[41], V4, T1, V5, V8, VV[27], T2);
   return value0;
  }
 }
}
/*	local function DEF-CVT-TO-INT32-INTRINSIC                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC15def_cvt_to_int32_intrinsic(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  NAME            */
   cl_object V5;                                  /*  RET-TYPE        */
   cl_object V6;                                  /*  INSN            */
   cl_object V7;                                  /*  COST            */
   cl_object V8;                                  /*  C-NAME          */
   cl_object V9;
   cl_object V10;                                 /*  ARG-TYPE        */
   cl_object V11;
   cl_object V12;
   cl_object V13;                                 /*  IMMEDIATE-ARG   */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V14;
    V14 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V14;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V14;
    V14 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V14;
   }
   if (!(V3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(V1);
L15:;
   {
    cl_object V14;
    V14 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V14;
   }
   if (!(V3==ECL_NIL)) { goto L21; }
   si_dm_too_few_arguments(V1);
L21:;
   {
    cl_object V14;
    V14 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V7 = V14;
   }
   if (!(V3==ECL_NIL)) { goto L27; }
   si_dm_too_few_arguments(V1);
L27:;
   {
    cl_object V14;
    V14 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V8 = V14;
   }
   V9 = si_search_keyword(2, V3, VV[42]);
   if (!((V9)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L34; }
   V10 = V5;
   goto L33;
L34:;
   V10 = V9;
L33:;
   V11 = si_search_keyword(2, V3, VV[43]);
   V12 = si_search_keyword(2, V3, VV[45]);
   if (!((V12)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L39; }
   V13 = ECL_NIL;
   goto L38;
L39:;
   V13 = V12;
L38:;
   si_check_keyword(2, V3, VV[49]);
   goto L44;
L43:;
   si_assert_failure(1, VV[50]);
L44:;
   if ((cl_subtypep(2, V5, VV[51]))!=ECL_NIL) { goto L47; }
   goto L43;
L47:;
   if (Null(V13)) { goto L50; }
   T0 = ecl_list1(V13);
   goto L49;
L50:;
   T0 = ECL_NIL;
L49:;
   T1 = CONS(V10,T0);
   if (Null(V13)) { goto L53; }
   T3 = cl_list(2, VV[47], V13);
   T2 = ecl_list1(T3);
   goto L52;
L53:;
   T2 = ECL_NIL;
L52:;
   value0 = cl_list(7, VV[41], V4, T1, V5, V8, VV[27], T2);
   return value0;
  }
 }
}
/*	local function DEF-BINARY-INTRINSIC                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC16def_binary_intrinsic(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  NAME            */
   cl_object V5;                                  /*  RET-TYPE        */
   cl_object V6;                                  /*  INSN            */
   cl_object V7;                                  /*  COST            */
   cl_object V8;                                  /*  C-NAME          */
   cl_object V9;
   cl_object V10;                                 /*  X-TYPE          */
   cl_object V11;
   cl_object V12;                                 /*  Y-TYPE          */
   cl_object V13;
   cl_object V14;
   cl_object V15;
   cl_object V16;                                 /*  IMMEDIATE-ARG   */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V17;
    V17 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V17;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V17;
    V17 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V17;
   }
   if (!(V3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(V1);
L15:;
   {
    cl_object V17;
    V17 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V17;
   }
   if (!(V3==ECL_NIL)) { goto L21; }
   si_dm_too_few_arguments(V1);
L21:;
   {
    cl_object V17;
    V17 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V7 = V17;
   }
   if (!(V3==ECL_NIL)) { goto L27; }
   si_dm_too_few_arguments(V1);
L27:;
   {
    cl_object V17;
    V17 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V8 = V17;
   }
   V9 = si_search_keyword(2, V3, VV[53]);
   if (!((V9)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L34; }
   V10 = V5;
   goto L33;
L34:;
   V10 = V9;
L33:;
   V11 = si_search_keyword(2, V3, VV[54]);
   if (!((V11)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L38; }
   V12 = V5;
   goto L37;
L38:;
   V12 = V11;
L37:;
   V13 = si_search_keyword(2, V3, VV[55]);
   V14 = si_search_keyword(2, V3, VV[56]);
   V15 = si_search_keyword(2, V3, VV[45]);
   if (!((V15)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L44; }
   V16 = ECL_NIL;
   goto L43;
L44:;
   V16 = V15;
L43:;
   si_check_keyword(2, V3, VV[57]);
   if (Null(V16)) { goto L48; }
   T0 = ecl_list1(V16);
   goto L47;
L48:;
   T0 = ECL_NIL;
L47:;
   T1 = cl_listX(3, V10, V12, T0);
   if (Null(V16)) { goto L51; }
   T3 = cl_list(2, VV[58], V16);
   T2 = ecl_list1(T3);
   goto L50;
L51:;
   T2 = ECL_NIL;
L50:;
   value0 = cl_list(7, VV[41], V4, T1, V5, V8, VV[27], T2);
   return value0;
  }
 }
}
/*	local function DEF-SSE-INT-INTRINSIC                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC17def_sse_int_intrinsic(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  NAME            */
   cl_object V5;                                  /*  INT-TYPE        */
   cl_object V6;                                  /*  RET-TYPE        */
   cl_object V7;                                  /*  INSN            */
   cl_object V8;                                  /*  COST            */
   cl_object V9;                                  /*  C-NAME          */
   cl_object V10;
   cl_object V11;                                 /*  ARG-TYPE        */
   cl_object V12;
   cl_object V13;                                 /*  IMMEDIATE-ARG   */
   cl_object V14;
   cl_object V15;
   cl_object V16;                                 /*  DEFUN-BODY      */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V17;
    V17 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V17;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V17;
    V17 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V17;
   }
   if (!(V3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(V1);
L15:;
   {
    cl_object V17;
    V17 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V17;
   }
   if (!(V3==ECL_NIL)) { goto L21; }
   si_dm_too_few_arguments(V1);
L21:;
   {
    cl_object V17;
    V17 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V7 = V17;
   }
   if (!(V3==ECL_NIL)) { goto L27; }
   si_dm_too_few_arguments(V1);
L27:;
   {
    cl_object V17;
    V17 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V8 = V17;
   }
   if (!(V3==ECL_NIL)) { goto L33; }
   si_dm_too_few_arguments(V1);
L33:;
   {
    cl_object V17;
    V17 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V9 = V17;
   }
   V10 = si_search_keyword(2, V3, VV[42]);
   if (!((V10)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L40; }
   V11 = V6;
   goto L39;
L40:;
   V11 = V10;
L39:;
   V12 = si_search_keyword(2, V3, VV[45]);
   if (!((V12)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L44; }
   V13 = ECL_NIL;
   goto L43;
L44:;
   V13 = V12;
L43:;
   V14 = si_search_keyword(2, V3, VV[60]);
   V15 = si_search_keyword(2, V3, VV[28]);
   if (!((V15)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L49; }
   V16 = ECL_NIL;
   goto L48;
L49:;
   V16 = V15;
L48:;
   si_check_keyword(2, V3, VV[61]);
   if (Null(V13)) { goto L53; }
   T0 = ecl_list1(V13);
   goto L52;
L53:;
   T0 = ECL_NIL;
L52:;
   T1 = cl_listX(3, V11, V5, T0);
   if (Null(V13)) { goto L56; }
   T3 = cl_list(2, VV[58], V13);
   T2 = ecl_list1(T3);
   goto L55;
L56:;
   T2 = ECL_NIL;
L55:;
   value0 = cl_list(9, VV[41], V4, T1, V6, V9, VV[27], T2, VV[28], V16);
   return value0;
  }
 }
}
/*	local function DEF-COMPARISON-INTRINSIC                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC18def_comparison_intrinsic(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  NAME            */
   cl_object V5;                                  /*  ARG-TYPE        */
   cl_object V6;                                  /*  INSN            */
   cl_object V7;                                  /*  COST            */
   cl_object V8;                                  /*  C-NAME          */
   cl_object V9;
   cl_object V10;
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V11;
    V11 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V11;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V11;
    V11 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V11;
   }
   if (!(V3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(V1);
L15:;
   {
    cl_object V11;
    V11 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V11;
   }
   if (!(V3==ECL_NIL)) { goto L21; }
   si_dm_too_few_arguments(V1);
L21:;
   {
    cl_object V11;
    V11 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V7 = V11;
   }
   if (!(V3==ECL_NIL)) { goto L27; }
   si_dm_too_few_arguments(V1);
L27:;
   {
    cl_object V11;
    V11 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V8 = V11;
   }
   V9 = si_search_keyword(2, V3, VV[55]);
   V10 = si_search_keyword(2, V3, VV[56]);
   si_check_keyword(2, V3, VV[63]);
   T0 = cl_list(2, V5, V5);
   value0 = cl_list(5, VV[41], V4, T0, ECL_SYM("BOOLEAN",155), V8);
   return value0;
  }
 }
}
/*	local function %DEF-AREF-INTRINSIC                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC21_def_aref_intrinsic(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20, T21, T22, T23, T24, T25, T26, T27, T28, T29, T30, T31, T32, T33, T34, T35, T36, T37, T38, T39, T40, T41, T42, T43, T44, T45, T46, T47, T48, T49, T50, T51, T52, T53, T54, T55;
 volatile cl_object lex0[5];
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  TAG             */
   cl_object V5;
   cl_object V6;
   cl_object V7;                                  /*  BSIZE           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V8;
   }
   if (!(V3==ECL_NIL)) { goto L8; }
   si_dm_too_few_arguments(V1);
L8:;
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    T0 = V8;
   }
   lex0[0] = T0;                                  /*  VAL-TYPE        */
   if (!(V3==ECL_NIL)) { goto L14; }
   si_dm_too_few_arguments(V1);
L14:;
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    T0 = V8;
   }
   lex0[1] = T0;                                  /*  C-TYPE          */
   if (!(V3==ECL_NIL)) { goto L20; }
   si_dm_too_few_arguments(V1);
L20:;
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    T0 = V8;
   }
   lex0[2] = T0;                                  /*  READER          */
   if (!(V3==ECL_NIL)) { goto L26; }
   si_dm_too_few_arguments(V1);
L26:;
   {
    cl_object V8;
    V8 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    T0 = V8;
   }
   lex0[3] = T0;                                  /*  WRITER          */
   V5 = si_search_keyword(2, V3, VV[65]);
   if (!((V5)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L34; }
   T0 = _ecl_static_11;
   goto L33;
L34:;
   T0 = V5;
L33:;
   lex0[4] = T0;                                  /*  AUX-ARGS        */
   V6 = si_search_keyword(2, V3, VV[66]);
   if (!((V6)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L38; }
   V7 = ecl_make_fixnum(16);
   goto L37;
L38:;
   V7 = V6;
L37:;
   si_check_keyword(2, V3, VV[67]);
   {
    cl_object V8;                                 /*  RFTYPE          */
    cl_object V9;                                 /*  AREF-NAME       */
    cl_object V10;                                /*  RM-AREF-NAME    */
    cl_object V11;                                /*  RM-ASET-NAME    */
    V8 = L3foreign_type_of(lex0[0]);
    T0 = cl_format(3, ECL_NIL, _ecl_static_12, V4);
    V9 = cl_intern(2, T0, ecl_symbol_value(ECL_SYM("*PACKAGE*",43)));
    T0 = cl_format(3, ECL_NIL, _ecl_static_13, V4);
    V10 = cl_intern(2, T0, ecl_symbol_value(ECL_SYM("*PACKAGE*",43)));
    T0 = cl_format(3, ECL_NIL, _ecl_static_14, V4);
    V11 = cl_intern(2, T0, ecl_symbol_value(ECL_SYM("*PACKAGE*",43)));
    T0 = cl_list(2, ECL_SYM("QUOTE",679), V9);
    T1 = cl_list(2, ECL_SYM("EXPORT",344), T0);
    T2 = cl_list(2, ECL_SYM("QUOTE",679), V10);
    T3 = cl_list(2, ECL_SYM("EXPORT",344), T2);
    T4 = cl_list(2, ECL_SYM("QUOTE",679), V10);
    T5 = cl_listX(3, ECL_SYM("LIST",481), T4, VV[74]);
    T6 = cl_list(5, ECL_SYM("LIST",481), VV[71], VV[72], VV[73], T5);
    T7 = cl_list(3, ECL_SYM("LET",477), VV[70], T6);
    T8 = cl_list(4, ECL_SYM("DEFMACRO",283), V9, VV[69], T7);
    value0 = lex0[0];
    if ((value0)!=ECL_NIL) { goto L47; }
    T9 = ECL_SYM("NULL",605);
    goto L45;
L47:;
    T9 = value0;
    goto L45;
L45:;
    T10 = cl_list(3, ECL_SYM("FUNCTION",396), VV[75], T9);
    T11 = cl_list(3, ECL_SYM("FTYPE",393), T10, V10);
    T12 = cl_list(2, ECL_SYM("QUOTE",679), T11);
    T13 = cl_list(2, ECL_SYM("PROCLAIM",666), T12);
    T14 = LC19fmtr(2, lex0, _ecl_static_17, V7);
    T15 = cl_listX(6, ECL_SYM("C-INLINE",1969), VV[76], VV[78], V8, T14, VV[38]);
    T16 = cl_list(5, ECL_SYM("DEFUN",289), V10, VV[76], VV[77], T15);
    T17 = LC19fmtr(2, lex0, _ecl_static_18, V7);
    T18 = cl_listX(7, VV[24], V10, VV[39], VV[79], V8, T17, VV[40]);
    T19 = LC19fmtr(2, lex0, _ecl_static_17, V7);
    T20 = cl_list(6, VV[24], V10, VV[39], VV[80], V8, T19);
    {
     cl_object V12;
     cl_object V13;
     V12 = ECL_NIL;
     if (ecl_unlikely(!ECL_LISTP(VV[68]))) FEtype_error_list(VV[68]);
     V13 = VV[68];
     {
      cl_object V14;
      cl_object V15;
      V14 = ecl_list1(ECL_NIL);
      V15 = V14;
L58:;
      if (!(ecl_endp(V13))) { goto L60; }
      goto L59;
L60:;
      V12 = _ecl_car(V13);
      {
       cl_object V16;
       V16 = _ecl_cdr(V13);
       if (ecl_unlikely(!ECL_LISTP(V16))) FEtype_error_list(V16);
       V13 = V16;
      }
      if (ecl_unlikely(ECL_ATOM(V15))) FEtype_error_cons(V15);
      T22 = V15;
      T24 = ecl_car(V12);
      T25 = cl_list(2, ECL_SYM("ARRAY",96), T24);
      T26 = cl_list(2, T25, ECL_SYM("FIXNUM",372));
      T28 = ecl_cadr(V12);
      T27 = LC19fmtr(2, lex0, _ecl_static_19, T28);
      T23 = cl_list(6, VV[24], V10, VV[81], T26, V8, T27);
      V15 = ecl_list1(T23);
      (ECL_CONS_CDR(T22)=V15,T22);
      goto L58;
L59:;
      T21 = ecl_cdr(V14);
      goto L52;
     }
    }
L52:;
    if (Null(lex0[3])) { goto L77; }
    T23 = cl_list(2, ECL_SYM("QUOTE",679), V11);
    T24 = cl_listX(3, ECL_SYM("LIST",481), T23, VV[86]);
    T25 = cl_list(2, ECL_SYM("QUOTE",679), V10);
    T26 = cl_listX(3, ECL_SYM("LIST",481), T25, VV[87]);
    T27 = cl_list(6, ECL_SYM("VALUES",895), VV[83], VV[84], VV[85], T24, T26);
    T28 = cl_list(3, ECL_SYM("LET",477), VV[82], T27);
    T29 = cl_list(4, ECL_SYM("DEFINE-SETF-EXPANDER",281), V9, VV[69], T28);
    T30 = L5declaim_arg_type_of(lex0[0]);
    T31 = cl_list(3, ECL_SYM("ARRAY",96), ECL_SYM("FIXNUM",372), T30);
    T32 = cl_list(3, ECL_SYM("FUNCTION",396), T31, lex0[0]);
    T33 = cl_list(3, ECL_SYM("FTYPE",393), T32, V11);
    T34 = cl_list(2, ECL_SYM("QUOTE",679), T33);
    T35 = cl_list(2, ECL_SYM("PROCLAIM",666), T34);
    T36 = cl_list(3, ECL_SYM("OBJECT",1278), ECL_SYM("INT",1369), V8);
    T37 = LC20fmtw(2, lex0, _ecl_static_17, V7);
    T38 = cl_listX(6, ECL_SYM("C-INLINE",1969), VV[88], T36, ECL_SYM("VOID",1381), T37, VV[38]);
    T39 = cl_list(3, ECL_SYM("PROG1",669), VV[89], T38);
    T40 = cl_list(5, ECL_SYM("DEFUN",289), V11, VV[88], VV[77], T39);
    T41 = cl_list(3, ECL_SYM("DEFSETF",286), V10, V11);
    T42 = cl_list(3, ECL_T, ECL_T, lex0[0]);
    T43 = LC20fmtw(2, lex0, _ecl_static_18, V7);
    T44 = cl_listX(7, VV[24], V11, VV[39], T42, V8, T43, VV[40]);
    T45 = cl_list(3, ECL_T, ECL_SYM("FIXNUM",372), lex0[0]);
    T46 = LC20fmtw(2, lex0, _ecl_static_17, V7);
    T47 = cl_list(6, VV[24], V11, VV[39], T45, V8, T46);
    {
     cl_object V12;
     cl_object V13;
     V12 = ECL_NIL;
     if (ecl_unlikely(!ECL_LISTP(VV[68]))) FEtype_error_list(VV[68]);
     V13 = VV[68];
     {
      cl_object V14;
      cl_object V15;
      V14 = ecl_list1(ECL_NIL);
      V15 = V14;
L88:;
      if (!(ecl_endp(V13))) { goto L90; }
      goto L89;
L90:;
      V12 = _ecl_car(V13);
      {
       cl_object V16;
       V16 = _ecl_cdr(V13);
       if (ecl_unlikely(!ECL_LISTP(V16))) FEtype_error_list(V16);
       V13 = V16;
      }
      if (ecl_unlikely(ECL_ATOM(V15))) FEtype_error_cons(V15);
      T49 = V15;
      T51 = ecl_car(V12);
      T52 = cl_list(2, ECL_SYM("ARRAY",96), T51);
      T53 = cl_list(3, T52, ECL_SYM("FIXNUM",372), lex0[0]);
      T55 = ecl_cadr(V12);
      T54 = LC20fmtw(2, lex0, _ecl_static_19, T55);
      T50 = cl_list(6, VV[24], V11, VV[81], T53, V8, T54);
      V15 = ecl_list1(T50);
      (ECL_CONS_CDR(T49)=V15,T49);
      goto L88;
L89:;
      T48 = ecl_cdr(V14);
      goto L82;
     }
    }
L82:;
    T22 = cl_listX(7, T29, T35, T40, T41, T44, T47, T48);
    goto L76;
L77:;
    T22 = ECL_NIL;
L76:;
    T23 = ecl_append(T21,T22);
    value0 = cl_listX(9, ECL_SYM("PROGN",671), T1, T3, T8, T13, T16, T18, T20, T23);
    return value0;
   }
  }
 }
}
/*	local function FMTW                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC20fmtw(cl_narg narg, volatile cl_object *lex0, cl_object V1, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  V2 = cl_grab_rest_args(args);
  ecl_va_end(args);
  T0 = cl_format(6, ECL_NIL, _ecl_static_16, lex0[3], lex0[1], V1, V2);
  value0 = L10wrap_ret_arg(3, T0, lex0[0], ecl_make_fixnum(2));
  return value0;
 }
}
/*	local function FMTR                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC19fmtr(cl_narg narg, volatile cl_object *lex0, cl_object V1, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  V2 = cl_grab_rest_args(args);
  ecl_va_end(args);
  T0 = cl_format(7, ECL_NIL, _ecl_static_15, lex0[2], lex0[1], V1, V2, lex0[4]);
  value0 = L10wrap_ret_arg(2, T0, lex0[0]);
  return value0;
 }
}
/*	local function DEF-AREF-INTRINSIC                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC22def_aref_intrinsic(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  TAG             */
   cl_object V5;                                  /*  VAL-TYPE        */
   cl_object V6;                                  /*  READER-FUN      */
   cl_object V7;                                  /*  WRITER-FUN      */
   cl_object V8;
   cl_object V9;                                  /*  REF-SIZE        */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V10;
    V10 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V10;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V10;
    V10 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V10;
   }
   if (!(V3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(V1);
L15:;
   {
    cl_object V10;
    V10 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V10;
   }
   if (!(V3==ECL_NIL)) { goto L21; }
   si_dm_too_few_arguments(V1);
L21:;
   {
    cl_object V10;
    V10 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V7 = V10;
   }
   V8 = si_search_keyword(2, V3, VV[91]);
   if (!((V8)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L28; }
   V9 = ecl_make_fixnum(16);
   goto L27;
L28:;
   V9 = V8;
L27:;
   si_check_keyword(2, V3, VV[92]);
   T0 = L4pointer_c_type_of(V5);
   T1 = ecl_get(V6,VV[93],ECL_NIL);
   T2 = ecl_get(V7,VV[93],ECL_NIL);
   T3 = ecl_get(V6,VV[94],ECL_NIL);
   value0 = cl_list(10, VV[90], V4, V5, T0, T1, T2, VV[66], V9, VV[65], T3);
   return value0;
  }
 }
}
/*	local function DEF-MEM-INTRINSIC                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC24def_mem_intrinsic(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20, T21, T22, T23, T24, T25, T26, T27, T28, T29, T30, T31, T32, T33, T34, T35, T36, T37, T38, T39, T40, T41, T42, T43, T44, T45, T46, T47, T48, T49, T50, T51, T52, T53, T54, T55, T56;
 volatile cl_object lex0[10];
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  NAME            */
   cl_object V5;
   cl_object V6;                                  /*  PUBLIC          */
   cl_object V7;
   cl_object V8;                                  /*  PREFIX-ARGS     */
   cl_object V9;
   cl_object V10;
   cl_object V11;                                 /*  POSTFIX-ARGS    */
   cl_object V12;
   cl_object V13;                                 /*  PF-P            */
   cl_object V14;
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V15;
    V15 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V15;
   }
   if (!(V3==ECL_NIL)) { goto L8; }
   si_dm_too_few_arguments(V1);
L8:;
   {
    cl_object V15;
    V15 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    T0 = V15;
   }
   lex0[0] = T0;                                  /*  C-TYPE          */
   if (!(V3==ECL_NIL)) { goto L14; }
   si_dm_too_few_arguments(V1);
L14:;
   {
    cl_object V15;
    V15 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    T0 = V15;
   }
   lex0[1] = T0;                                  /*  RET-TYPE        */
   if (!(V3==ECL_NIL)) { goto L20; }
   si_dm_too_few_arguments(V1);
L20:;
   {
    cl_object V15;
    V15 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    T0 = V15;
   }
   lex0[2] = T0;                                  /*  C-NAME          */
   V5 = si_search_keyword(2, V3, VV[96]);
   if (!((V5)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L28; }
   V6 = ECL_T;
   goto L27;
L28:;
   V6 = V5;
L27:;
   V7 = si_search_keyword(2, V3, VV[97]);
   if (!((V7)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L32; }
   V8 = ECL_NIL;
   goto L31;
L32:;
   V8 = V7;
L31:;
   V9 = si_search_keyword(2, V3, VV[98]);
   if (!((V9)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L36; }
   T0 = _ecl_static_20;
   goto L35;
L36:;
   T0 = V9;
L35:;
   lex0[3] = T0;                                  /*  PREFIX-FMT      */
   V10 = si_search_keyword(2, V3, VV[99]);
   if (!((V10)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L40; }
   V11 = ECL_NIL;
   goto L39;
L40:;
   V11 = V10;
L39:;
   V12 = si_search_keyword(2, V3, VV[100]);
   if (!((V12)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L44; }
   T0 = _ecl_static_21;
   goto L43;
L44:;
   T0 = V12;
L43:;
   lex0[4] = T0;                                  /*  POSTFIX-FMT     */
   {
    bool V15;
    V15 = (V12)==(ECL_SYM("MISSING-KEYWORD",1925));
    V13 = (V15)?ECL_NIL:ECL_T;
   }
   V14 = si_search_keyword(2, V3, VV[25]);
   if (!((V14)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L49; }
   T0 = ECL_NIL;
   goto L48;
L49:;
   T0 = V14;
L48:;
   lex0[5] = T0;                                  /*  RET-ARG         */
   si_check_keyword(2, V3, VV[101]);
   {
    cl_object V15;                                /*  ANUMS           */
    cl_object V16;                                /*  ASYMS           */
    cl_object V17;                                /*  PREFIX-SYMS     */
    cl_object V18;                                /*  POSTFIX-SYMS    */
    cl_object V19;                                /*  PREFIX-ITYPES   */
    cl_object V20;                                /*  POSTFIX-ITYPES  */
    cl_object V21;                                /*  RFTYPE          */
    T0 = ecl_append(V8,V11);
    V15 = L9make_arg_nums(T0);
    {
     cl_object V22;
     cl_object V23;
     V22 = ECL_NIL;
     if (ecl_unlikely(!ECL_LISTP(V15))) FEtype_error_list(V15);
     V23 = V15;
     {
      cl_object V24;
      cl_object V25;
      V24 = ecl_list1(ECL_NIL);
      V25 = V24;
L59:;
      if (!(ecl_endp(V23))) { goto L61; }
      goto L60;
L61:;
      V22 = _ecl_car(V23);
      {
       cl_object V26;
       V26 = _ecl_cdr(V23);
       if (ecl_unlikely(!ECL_LISTP(V26))) FEtype_error_list(V26);
       V23 = V26;
      }
      if (ecl_unlikely(ECL_ATOM(V25))) FEtype_error_cons(V25);
      T0 = V25;
      T1 = L8make_arg_name(V22);
      V25 = ecl_list1(T1);
      (ECL_CONS_CDR(T0)=V25,T0);
      goto L59;
L60:;
      V16 = ecl_cdr(V24);
      goto L53;
     }
    }
L53:;
    {
     cl_fixnum V22;
     V22 = ecl_length(V8);
     T0 = cl_subseq(3, V15, ecl_make_fixnum(0), ecl_make_fixnum(V22));
     lex0[6] = T0;                                /*  PREFIX-NUMS     */
    }
    {
     cl_object V23;                               /*  LET2334         */
     cl_object V24;
     cl_object V25;
     {
      cl_fixnum V26;
      V26 = ecl_length(V8);
      V23 = cl_subseq(2, V15, ecl_make_fixnum(V26));
     }
     V24 = ECL_NIL;
     if (ecl_unlikely(!ECL_LISTP(V23))) FEtype_error_list(V23);
     V25 = V23;
     {
      cl_object V26;
      cl_object V27;
      V26 = ecl_list1(ECL_NIL);
      V27 = V26;
L82:;
      if (!(ecl_endp(V25))) { goto L84; }
      goto L83;
L84:;
      V24 = _ecl_car(V25);
      {
       cl_object V28;
       V28 = _ecl_cdr(V25);
       if (ecl_unlikely(!ECL_LISTP(V28))) FEtype_error_list(V28);
       V25 = V28;
      }
      if (ecl_unlikely(ECL_ATOM(V27))) FEtype_error_cons(V27);
      T1 = V27;
      T2 = ecl_one_plus(V24);
      V27 = ecl_list1(T2);
      (ECL_CONS_CDR(T1)=V27,T1);
      goto L82;
L83:;
      T0 = ecl_cdr(V26);
      goto L75;
     }
    }
L75:;
    lex0[7] = T0;                                 /*  POSTFIX-NUMS    */
    {
     cl_fixnum V23;
     V23 = ecl_length(V8);
     V17 = cl_subseq(3, V16, ecl_make_fixnum(0), ecl_make_fixnum(V23));
    }
    {
     cl_fixnum V23;
     V23 = ecl_length(V8);
     V18 = cl_subseq(2, V16, ecl_make_fixnum(V23));
    }
    {
     cl_object V23;
     cl_object V24;
     V23 = ECL_NIL;
     if (ecl_unlikely(!ECL_LISTP(V8))) FEtype_error_list(V8);
     V24 = V8;
     {
      cl_object V25;
      cl_object V26;
      V25 = ecl_list1(ECL_NIL);
      V26 = V25;
L106:;
      if (!(ecl_endp(V24))) { goto L108; }
      goto L107;
L108:;
      V23 = _ecl_car(V24);
      {
       cl_object V27;
       V27 = _ecl_cdr(V24);
       if (ecl_unlikely(!ECL_LISTP(V27))) FEtype_error_list(V27);
       V24 = V27;
      }
      if (ecl_unlikely(ECL_ATOM(V26))) FEtype_error_cons(V26);
      T0 = V26;
      T1 = L6inline_arg_type_of(V23);
      V26 = ecl_list1(T1);
      (ECL_CONS_CDR(T0)=V26,T0);
      goto L106;
L107:;
      V19 = ecl_cdr(V25);
      goto L100;
     }
    }
L100:;
    {
     cl_object V23;
     cl_object V24;
     V23 = ECL_NIL;
     if (ecl_unlikely(!ECL_LISTP(V11))) FEtype_error_list(V11);
     V24 = V11;
     {
      cl_object V25;
      cl_object V26;
      V25 = ecl_list1(ECL_NIL);
      V26 = V25;
L128:;
      if (!(ecl_endp(V24))) { goto L130; }
      goto L129;
L130:;
      V23 = _ecl_car(V24);
      {
       cl_object V27;
       V27 = _ecl_cdr(V24);
       if (ecl_unlikely(!ECL_LISTP(V27))) FEtype_error_list(V27);
       V24 = V27;
      }
      if (ecl_unlikely(ECL_ATOM(V26))) FEtype_error_cons(V26);
      T0 = V26;
      T1 = L6inline_arg_type_of(V23);
      V26 = ecl_list1(T1);
      (ECL_CONS_CDR(T0)=V26,T0);
      goto L128;
L129:;
      V20 = ecl_cdr(V25);
      goto L122;
     }
    }
L122:;
    V21 = L3foreign_type_of(lex0[1]);
    {
     cl_fixnum V23;
     V23 = ecl_length(V8);
     lex0[8] = ecl_make_fixnum(V23);              /*  PTR-IDX         */
    }
    T0 = ecl_plus(lex0[8],ecl_make_fixnum(1));
    {
     cl_fixnum V24;
     V24 = ecl_length(V11);
     T1 = ecl_plus(T0,ecl_make_fixnum(V24));
     lex0[9] = T1;                                /*  OFFSET-IDX      */
    }
    if (Null(V6)) { goto L146; }
    T1 = cl_list(2, ECL_SYM("QUOTE",679), V4);
    T0 = cl_list(2, ECL_SYM("EXPORT",344), T1);
    goto L145;
L146:;
    T0 = ECL_NIL;
L145:;
    T1 = cl_list(2, ECL_SYM("QUOTE",679), V4);
    T2 = cl_list(3, ECL_SYM("GET",402), T1, VV[103]);
    T3 = cl_list(3, ECL_SYM("SETF",750), T2, lex0[2]);
    if (Null(V13)) { goto L149; }
    if (!(V11==ECL_NIL)) { goto L149; }
    T5 = cl_list(2, ECL_SYM("QUOTE",679), V4);
    T6 = cl_list(3, ECL_SYM("GET",402), T5, VV[104]);
    T4 = cl_list(3, ECL_SYM("SETF",750), T6, lex0[4]);
    goto L148;
L149:;
    T4 = ECL_NIL;
L148:;
    T5 = cl_list(4, ECL_SYM("EVAL-WHEN",340), VV[102], T3, T4);
    {
     cl_object V25;
     cl_object V26;
     V25 = ECL_NIL;
     if (ecl_unlikely(!ECL_LISTP(V8))) FEtype_error_list(V8);
     V26 = V8;
     {
      cl_object V27;
      cl_object V28;
      V27 = ecl_list1(ECL_NIL);
      V28 = V27;
L158:;
      if (!(ecl_endp(V26))) { goto L160; }
      goto L159;
L160:;
      V25 = _ecl_car(V26);
      {
       cl_object V29;
       V29 = _ecl_cdr(V26);
       if (ecl_unlikely(!ECL_LISTP(V29))) FEtype_error_list(V29);
       V26 = V29;
      }
      if (ecl_unlikely(ECL_ATOM(V28))) FEtype_error_cons(V28);
      T7 = V28;
      T8 = L5declaim_arg_type_of(V25);
      V28 = ecl_list1(T8);
      (ECL_CONS_CDR(T7)=V28,T7);
      goto L158;
L159:;
      T6 = ecl_cdr(V27);
      goto L152;
     }
    }
L152:;
    {
     cl_object V25;
     cl_object V26;
     V25 = ECL_NIL;
     if (ecl_unlikely(!ECL_LISTP(V11))) FEtype_error_list(V11);
     V26 = V11;
     {
      cl_object V27;
      cl_object V28;
      V27 = ecl_list1(ECL_NIL);
      V28 = V27;
L180:;
      if (!(ecl_endp(V26))) { goto L182; }
      goto L181;
L182:;
      V25 = _ecl_car(V26);
      {
       cl_object V29;
       V29 = _ecl_cdr(V26);
       if (ecl_unlikely(!ECL_LISTP(V29))) FEtype_error_list(V29);
       V26 = V29;
      }
      if (ecl_unlikely(ECL_ATOM(V28))) FEtype_error_cons(V28);
      T8 = V28;
      T9 = L5declaim_arg_type_of(V25);
      V28 = ecl_list1(T9);
      (ECL_CONS_CDR(T8)=V28,T8);
      goto L180;
L181:;
      T7 = ecl_cdr(V27);
      goto L174;
     }
    }
L174:;
    T8 = ecl_append(T7,VV[105]);
    T9 = CONS(ECL_SYM("FOREIGN-DATA",1345),T8);
    T10 = ecl_append(T6,T9);
    T11 = cl_list(3, ECL_SYM("FUNCTION",396), T10, lex0[1]);
    T12 = cl_list(3, ECL_SYM("FTYPE",393), T11, V4);
    T13 = cl_list(2, ECL_SYM("QUOTE",679), T12);
    T14 = cl_list(2, ECL_SYM("PROCLAIM",666), T13);
    T15 = ecl_append(V18,VV[107]);
    T16 = CONS(VV[106],T15);
    T17 = ecl_append(V17,T16);
    T18 = ecl_append(V18,VV[108]);
    T19 = CONS(VV[106],T18);
    T20 = ecl_append(V17,T19);
    {
     cl_object V25;
     cl_object V26;
     V25 = ECL_NIL;
     if (ecl_unlikely(!ECL_LISTP(V8))) FEtype_error_list(V8);
     V26 = V8;
     {
      cl_object V27;
      cl_object V28;
      V27 = ecl_list1(ECL_NIL);
      V28 = V27;
L202:;
      if (!(ecl_endp(V26))) { goto L204; }
      goto L203;
L204:;
      V25 = _ecl_car(V26);
      {
       cl_object V29;
       V29 = _ecl_cdr(V26);
       if (ecl_unlikely(!ECL_LISTP(V29))) FEtype_error_list(V29);
       V26 = V29;
      }
      if (ecl_unlikely(ECL_ATOM(V28))) FEtype_error_cons(V28);
      T22 = V28;
      T23 = L3foreign_type_of(V25);
      V28 = ecl_list1(T23);
      (ECL_CONS_CDR(T22)=V28,T22);
      goto L202;
L203:;
      T21 = ecl_cdr(V27);
      goto L196;
     }
    }
L196:;
    {
     cl_object V25;
     cl_object V26;
     V25 = ECL_NIL;
     if (ecl_unlikely(!ECL_LISTP(V11))) FEtype_error_list(V11);
     V26 = V11;
     {
      cl_object V27;
      cl_object V28;
      V27 = ecl_list1(ECL_NIL);
      V28 = V27;
L224:;
      if (!(ecl_endp(V26))) { goto L226; }
      goto L225;
L226:;
      V25 = _ecl_car(V26);
      {
       cl_object V29;
       V29 = _ecl_cdr(V26);
       if (ecl_unlikely(!ECL_LISTP(V29))) FEtype_error_list(V29);
       V26 = V29;
      }
      if (ecl_unlikely(ECL_ATOM(V28))) FEtype_error_cons(V28);
      T23 = V28;
      T24 = L3foreign_type_of(V25);
      V28 = ecl_list1(T24);
      (ECL_CONS_CDR(T23)=V28,T23);
      goto L224;
L225:;
      T22 = ecl_cdr(V27);
      goto L218;
     }
    }
L218:;
    T23 = ecl_append(T22,VV[109]);
    T24 = CONS(ECL_SYM("POINTER-VOID",1377),T23);
    T25 = ecl_append(T21,T24);
    T26 = LC23fmt(lex0, _ecl_static_23);
    T27 = cl_listX(6, ECL_SYM("C-INLINE",1969), T20, T25, V21, T26, VV[38]);
    T28 = cl_list(5, ECL_SYM("DEFUN",289), V4, T17, VV[37], T27);
    T29 = CONS(ECL_T,V20);
    T30 = ecl_append(V19,T29);
    T31 = LC23fmt(lex0, _ecl_static_24);
    T32 = cl_listX(7, VV[24], V4, VV[39], T30, V21, T31, VV[40]);
    T33 = ecl_append(V20,VV[110]);
    T34 = CONS(ECL_T,T33);
    T35 = ecl_append(V19,T34);
    T36 = LC23fmt(lex0, _ecl_static_25);
    T37 = cl_list(6, VV[24], V4, VV[39], T35, V21, T36);
    T38 = ecl_append(V20,VV[111]);
    T39 = CONS(ECL_T,T38);
    T40 = ecl_append(V19,T39);
    T41 = LC23fmt(lex0, _ecl_static_26);
    T42 = cl_list(6, VV[24], V4, VV[39], T40, V21, T41);
    T43 = CONS(ECL_SYM("FOREIGN-DATA",1345),V20);
    T44 = ecl_append(V19,T43);
    T45 = LC23fmt(lex0, _ecl_static_27);
    T46 = cl_list(6, VV[24], V4, VV[81], T44, V21, T45);
    T47 = ecl_append(V20,VV[110]);
    T48 = CONS(ECL_SYM("FOREIGN-DATA",1345),T47);
    T49 = ecl_append(V19,T48);
    T50 = LC23fmt(lex0, _ecl_static_28);
    T51 = cl_list(6, VV[24], V4, VV[81], T49, V21, T50);
    T52 = ecl_append(V20,VV[111]);
    T53 = CONS(ECL_SYM("FOREIGN-DATA",1345),T52);
    T54 = ecl_append(V19,T53);
    T55 = LC23fmt(lex0, _ecl_static_29);
    T56 = cl_list(6, VV[24], V4, VV[81], T54, V21, T55);
    value0 = cl_list(11, ECL_SYM("PROGN",671), T0, T5, T14, T28, T32, T37, T42, T46, T51, T56);
    return value0;
   }
  }
 }
}
/*	local function FMT                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC23fmt(volatile cl_object *lex0, cl_object V1)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = cl_list(2, lex0[8], lex0[9]);
  T1 = cl_format(10, ECL_NIL, _ecl_static_22, lex0[2], lex0[3], lex0[6], lex0[0], V1, T0, lex0[4], lex0[7]);
  value0 = L10wrap_ret_arg(3, T1, lex0[1], lex0[5]);
  return value0;
 }
}
/*	local function DEF-LOAD-INTRINSIC                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC25def_load_intrinsic(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  NAME            */
   cl_object V5;                                  /*  RET-TYPE        */
   cl_object V6;                                  /*  INSN            */
   cl_object V7;                                  /*  C-NAME          */
   cl_object V8;
   cl_object V9;                                  /*  REGISTER-ARG    */
   cl_object V10;
   cl_object V11;
   cl_object V12;
   cl_object V13;                                 /*  POSTFIX-FMT     */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V14;
    V14 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V14;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V14;
    V14 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V14;
   }
   if (!(V3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(V1);
L15:;
   {
    cl_object V14;
    V14 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V14;
   }
   if (!(V3==ECL_NIL)) { goto L21; }
   si_dm_too_few_arguments(V1);
L21:;
   {
    cl_object V14;
    V14 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V7 = V14;
   }
   V8 = si_search_keyword(2, V3, VV[113]);
   if (!((V8)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L28; }
   V9 = ECL_NIL;
   goto L27;
L28:;
   V9 = V8;
L27:;
   V10 = si_search_keyword(2, V3, VV[56]);
   V11 = si_search_keyword(2, V3, ECL_SYM("SIZE",1308));
   V12 = si_search_keyword(2, V3, VV[100]);
   if (!((V12)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L34; }
   V13 = ECL_NIL;
   goto L33;
L34:;
   V13 = V12;
L33:;
   si_check_keyword(2, V3, VV[114]);
   T0 = L4pointer_c_type_of(V5);
   if (Null(V9)) { goto L38; }
   T1 = ecl_list1(V5);
   goto L37;
L38:;
   T1 = ECL_NIL;
L37:;
   value0 = V13;
   if ((value0)!=ECL_NIL) { goto L42; }
   T2 = _ecl_static_11;
   goto L40;
L42:;
   T2 = value0;
   goto L40;
L40:;
   value0 = cl_list(9, VV[112], V4, T0, V5, V7, VV[97], T1, VV[100], T2);
   return value0;
  }
 }
}
/*	local function DEF-STORE-INTRINSIC                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC26def_store_intrinsic(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  NAME            */
   cl_object V5;                                  /*  RET-TYPE        */
   cl_object V6;                                  /*  INSN            */
   cl_object V7;                                  /*  C-NAME          */
   cl_object V8;
   cl_object V9;                                  /*  SETF-NAME       */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V10;
    V10 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V10;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V10;
    V10 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V10;
   }
   if (!(V3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(V1);
L15:;
   {
    cl_object V10;
    V10 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V10;
   }
   if (!(V3==ECL_NIL)) { goto L21; }
   si_dm_too_few_arguments(V1);
L21:;
   {
    cl_object V10;
    V10 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V7 = V10;
   }
   V8 = si_search_keyword(2, V3, VV[116]);
   if (!((V8)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L28; }
   V9 = ECL_NIL;
   goto L27;
L28:;
   V9 = V8;
L27:;
   si_check_keyword(2, V3, VV[117]);
   T0 = L4pointer_c_type_of(V5);
   T1 = Null(V9)?ECL_T:ECL_NIL;
   T2 = ecl_list1(V5);
   T3 = cl_listX(10, VV[112], V4, T0, V5, V7, VV[96], T1, VV[99], T2, VV[118]);
   if (Null(V9)) { goto L33; }
   T5 = cl_list(2, ECL_SYM("QUOTE",679), V4);
   T6 = cl_listX(3, ECL_SYM("LIST",481), T5, VV[121]);
   T4 = cl_list(5, ECL_SYM("DEFSETF",286), V9, VV[119], VV[120], T6);
   goto L32;
L33:;
   T4 = ECL_NIL;
L32:;
   value0 = cl_list(3, ECL_SYM("PROGN",671), T3, T4);
   return value0;
  }
 }
}

#include "ext/ecl-sse-core.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclaGjh8A3fvMhn9_WRpgOl01(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.data_text_size = compiler_data_text_size;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("EXT:CL-SIMD;ECL-SSE-CORE.LISP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = "@EcLtAg:_eclaGjh8A3fvMhn9_WRpgOl01@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
 si_select_package(_ecl_static_0);
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun_va((cl_objectfn)LC1sse_pack,ECL_NIL,Cblock);
  T0 = V1;
 }
 si_do_deftype(3, VV[0], VVtemp[0], T0);
 }
 ecl_cmp_defmacro(VV[123]);                       /*  TYPENAME-CASE   */
 ecl_cmp_defun(VV[124]);                          /*  FOREIGN-TYPE-OF */
 ecl_cmp_defun(VV[125]);                          /*  POINTER-C-TYPE-OF */
 ecl_cmp_defun(VV[126]);                          /*  DECLAIM-ARG-TYPE-OF */
 ecl_cmp_defun(VV[127]);                          /*  INLINE-ARG-TYPE-OF */
 ecl_cmp_defun(VV[128]);                          /*  EXPAND-CONSTANT */
 ecl_cmp_defun(VV[129]);                          /*  MAKE-ARG-NAME   */
 ecl_cmp_defun(VV[130]);                          /*  MAKE-ARG-NUMS   */
 ecl_cmp_defun(VV[131]);                          /*  WRAP-RET-ARG    */
 ecl_cmp_defun(VV[132]);                          /*  MAKE-PACK-OF-BIN */
 ecl_cmp_defmacro(VV[134]);                       /*  DEF-INLINE      */
 ecl_cmp_defmacro(VV[135]);                       /*  DEF-INTRINSIC   */
 ecl_cmp_defmacro(VV[136]);                       /*  DEF-UNARY-INTRINSIC */
 ecl_cmp_defmacro(VV[137]);                       /*  DEF-CVT-TO-INT32-INTRINSIC */
 ecl_cmp_defmacro(VV[138]);                       /*  DEF-BINARY-INTRINSIC */
 ecl_cmp_defmacro(VV[139]);                       /*  DEF-SSE-INT-INTRINSIC */
 ecl_cmp_defmacro(VV[140]);                       /*  DEF-COMPARISON-INTRINSIC */
 ecl_cmp_defmacro(VV[141]);                       /*  %DEF-AREF-INTRINSIC */
 ecl_cmp_defmacro(VV[142]);                       /*  DEF-AREF-INTRINSIC */
 ecl_cmp_defmacro(VV[143]);                       /*  DEF-MEM-INTRINSIC */
 ecl_cmp_defmacro(VV[144]);                       /*  DEF-LOAD-INTRINSIC */
 ecl_cmp_defmacro(VV[145]);                       /*  DEF-STORE-INTRINSIC */
}
