/*	Compiler: ECL 12.12.1                                         */
/*	Source: EXT:CL-SIMD;ECL-SSE-UTILS.LISP                        */
#include <ecl/ecl-cmp.h>
#include "ext/ecl-sse-utils.eclh"
/*	function definition for LOOKUP-FLIP                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1lookup_flip(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L1lookup_flipkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V3 = keyvars[0];
  }
  if (!(ECL_CONSP(V1))) { goto L2; }
  {
   cl_object V4;                                  /*  FIX             */
   T1 = ecl_car(V1);
   T0 = ecl_assql(T1,V2);
   value0 = ecl_cdr(T0);
   if ((value0)!=ECL_NIL) { goto L6; }
   if ((V3)!=ECL_NIL) { goto L9; }
   T0 = ecl_car(V1);
   T1 = cl_rassoc(2, T0, V2);
   V4 = ecl_car(T1);
   goto L4;
L9:;
   V4 = ECL_NIL;
   goto L4;
L6:;
   V4 = value0;
   goto L4;
L4:;
   if (!((V4)==(VV[0]))) { goto L11; }
   goto L15;
L14:;
   si_assert_failure(1, VV[1]);
L15:;
   T0 = ecl_cddr(V1);
   if (T0==ECL_NIL) { goto L18; }
   goto L14;
L18:;
   value0 = ecl_cadr(V1);
   cl_env_copy->nvalues = 1;
   return value0;
L11:;
   if (Null(V4)) { goto L20; }
   T0 = ecl_cdr(V1);
   value0 = CONS(V4,T0);
   cl_env_copy->nvalues = 1;
   return value0;
L20:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for EXPAND-CONDITION                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2expand_condition(cl_object V1, cl_object V2)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  V1 = cl_macroexpand(2, V1, V2);
L4:;
  if (!(ECL_CONSP(V1))) { goto L9; }
  T0 = ecl_car(V1);
  if (!(ECL_SYMBOLP(T0))) { goto L9; }
  T0 = ecl_car(V1);
  if ((ecl_get(T0,VV[3],ECL_NIL))!=ECL_NIL) { goto L6; }
  goto L7;
L9:;
  goto L7;
L7:;
  goto L5;
L6:;
  T0 = ecl_car(V1);
  T1 = (cl_env_copy->function=(ECL_SYM("COMPILER-MACRO-FUNCTION",239)->symbol.gfdef))->cfun.entry(1, T0) /*  COMPILER-MACRO-FUNCTION */;
  V1 = ecl_function_dispatch(cl_env_copy,VV[162])(3, T1, V1, V2) /*  CMP-EXPAND-MACRO */;
  goto L4;
L5:;
  value0 = V1;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for IS-UNARY?                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3is_unary_(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (!(ECL_CONSP(V1))) { goto L2; }
  T0 = ecl_car(V1);
  if (!((T0)==(V2))) { goto L2; }
  T0 = ecl_cddr(V1);
  value0 = ecl_make_bool(T0==ECL_NIL);
  cl_env_copy->nvalues = 1;
  return value0;
L2:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for EXPAND-IF-MACRO                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4expand_if_macro(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6, cl_object V7, cl_object V8, cl_object V9, cl_object V10, cl_object V11, ...)
{
 cl_object T0, T1, T2, T3, T4, T5, T6;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<11)) FEwrong_num_arguments_anonym();
 {
  cl_object V12;
  ecl_va_list args; ecl_va_start(args,V11,narg,11);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L4expand_if_macrokeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   V12 = keyvars[0];
  }
  {
   cl_object V13;                                 /*  CONDITION       */
   cl_object V14;                                 /*  THEN-VALUE      */
   cl_object V15;                                 /*  ELSE-VALUE      */
   cl_object V16;                                 /*  THEN-ZERO?      */
   cl_object V17;                                 /*  ELSE-ZERO?      */
   V13 = L2expand_condition(V1, V4);
   V14 = cl_macroexpand(2, V2, V4);
   V15 = cl_macroexpand(2, V3, V4);
   V16 = ecl_make_bool(ecl_equal(V14,V11));
   V17 = ecl_make_bool(ecl_equal(V15,V11));
   if (Null(L3is_unary_(V13, V6))) { goto L6; }
   T0 = ecl_cadr(V13);
   T1 = Null(V12)?ECL_T:ECL_NIL;
   value0 = L4expand_if_macro(13, T0, V15, V14, V4, V5, V6, V7, V8, V9, V10, V11, VV[6], T1);
   return value0;
L6:;
   if (Null(V16)) { goto L9; }
   if (Null(V17)) { goto L9; }
   value0 = V11;
   cl_env_copy->nvalues = 1;
   return value0;
L9:;
   if (Null(V16)) { goto L12; }
   value0 = cl_list(3, V9, V13, V15);
   return value0;
L12:;
   if (Null(V17)) { goto L14; }
   value0 = cl_list(3, V8, V13, V14);
   return value0;
L14:;
   {
    cl_object V18;                                /*  CSYM            */
    cl_object V19;                                /*  ARGS            */
    V18 = cl_gensym(0);
    T0 = cl_list(3, V8, V18, V14);
    T1 = cl_list(3, V9, V18, V15);
    V19 = cl_list(2, T0, T1);
    T0 = cl_list(2, V18, V13);
    T1 = ecl_list1(T0);
    T2 = cl_list(3, ECL_SYM("TYPE",869), V10, V18);
    T3 = cl_list(2, VV[7], V18);
    T4 = cl_list(3, ECL_SYM("DECLARE",274), T2, T3);
    if (Null(V12)) { goto L19; }
    T5 = cl_reverse(V19);
    goto L18;
L19:;
    T5 = V19;
L18:;
    T6 = CONS(V7,T5);
    value0 = cl_list(4, ECL_SYM("LET",477), T1, T4, T6);
    return value0;
   }
  }
 }
}
/*	local function DEF-UTILITY                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC5def_utility(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19, T20, T21;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  NAME            */
   cl_object V5;                                  /*  ARG-TYPES       */
   cl_object V6;                                  /*  RET-TYPE        */
   cl_object V7;                                  /*  EXPANSION       */
   cl_object V8;
   cl_object V9;                                  /*  EXPAND-ARGS     */
   cl_object V10;
   cl_object V11;                                 /*  EXPAND-IN-CONDITION */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V12;
    V12 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V12;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V12;
    V12 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V12;
   }
   if (!(V3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(V1);
L15:;
   {
    cl_object V12;
    V12 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V12;
   }
   if (!(V3==ECL_NIL)) { goto L21; }
   si_dm_too_few_arguments(V1);
L21:;
   {
    cl_object V12;
    V12 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V7 = V12;
   }
   V8 = si_search_keyword(2, V3, VV[9]);
   if (!((V8)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L28; }
   V9 = ECL_NIL;
   goto L27;
L28:;
   V9 = V8;
L27:;
   V10 = si_search_keyword(2, V3, VV[10]);
   if (!((V10)==(ECL_SYM("MISSING-KEYWORD",1925)))) { goto L32; }
   V11 = ECL_NIL;
   goto L31;
L32:;
   V11 = V10;
L31:;
   si_check_keyword(2, V3, VV[11]);
   {
    cl_object V12;                                /*  ANAMES          */
    {
     cl_object V13;                               /*  LET2402         */
     cl_object V14;
     cl_object V15;
     V13 = ecl_function_dispatch(cl_env_copy,VV[164])(1, V5) /*  MAKE-ARG-NUMS */;
     V14 = ECL_NIL;
     if (ecl_unlikely(!ECL_LISTP(V13))) FEtype_error_list(V13);
     V15 = V13;
     {
      cl_object V16;
      cl_object V17;
      V16 = ecl_list1(ECL_NIL);
      V17 = V16;
L42:;
      if (!(ecl_endp(V15))) { goto L44; }
      goto L43;
L44:;
      V14 = _ecl_car(V15);
      {
       cl_object V18;
       V18 = _ecl_cdr(V15);
       if (ecl_unlikely(!ECL_LISTP(V18))) FEtype_error_list(V18);
       V15 = V18;
      }
      if (ecl_unlikely(ECL_ATOM(V17))) FEtype_error_cons(V17);
      T0 = V17;
      T1 = ecl_function_dispatch(cl_env_copy,VV[165])(1, V14) /*  MAKE-ARG-NAME */;
      V17 = ecl_list1(T1);
      (ECL_CONS_CDR(T0)=V17,T0);
      goto L42;
L43:;
      V12 = ecl_cdr(V16);
      goto L35;
     }
    }
L35:;
    T0 = cl_list(2, ECL_SYM("QUOTE",679), V4);
    T1 = cl_list(2, ECL_SYM("EXPORT",344), T0);
    if (Null(V11)) { goto L59; }
    T3 = cl_list(2, ECL_SYM("QUOTE",679), V4);
    T4 = cl_list(3, ECL_SYM("GET",402), T3, VV[13]);
    T5 = cl_list(3, ECL_SYM("SETF",750), T4, ECL_T);
    T2 = ecl_list1(T5);
    goto L58;
L59:;
    T2 = ECL_NIL;
L58:;
    T3 = cl_listX(3, ECL_SYM("&ENVIRONMENT",9), VV[14], V12);
    {
     cl_object V13;                               /*  LET2404         */
     cl_object V14;                               /*  ARG             */
     cl_object V15;
     if (!((V9)==(ECL_T))) { goto L63; }
     V13 = V12;
     goto L62;
L63:;
     V13 = V9;
L62:;
     V14 = ECL_NIL;
     if (ecl_unlikely(!ECL_LISTP(V13))) FEtype_error_list(V13);
     V15 = V13;
     {
      cl_object V16;
      cl_object V17;
      V16 = ecl_list1(ECL_NIL);
      V17 = V16;
L70:;
      if (!(ecl_endp(V15))) { goto L72; }
      goto L71;
L72:;
      V14 = _ecl_car(V15);
      {
       cl_object V18;
       V18 = _ecl_cdr(V15);
       if (ecl_unlikely(!ECL_LISTP(V18))) FEtype_error_list(V18);
       V15 = V18;
      }
      if (ecl_unlikely(ECL_ATOM(V17))) FEtype_error_cons(V17);
      T5 = V17;
      T6 = cl_list(3, ECL_SYM("MACROEXPAND",519), V14, VV[14]);
      T7 = cl_list(3, ECL_SYM("SETQ",751), V14, T6);
      V17 = ecl_list1(T7);
      (ECL_CONS_CDR(T5)=V17,T5);
      goto L70;
L71:;
      T4 = ecl_cdr(V16);
      goto L61;
     }
    }
L61:;
    T5 = ecl_list1(V7);
    T6 = ecl_append(T4,T5);
    T7 = cl_listX(5, ECL_SYM("DEFINE-COMPILER-MACRO",279), V4, T3, VV[15], T6);
    T8 = ecl_list1(T7);
    T9 = ecl_append(T2,T8);
    T10 = cl_listX(3, ECL_SYM("EVAL-WHEN",340), VV[12], T9);
    {
     cl_object V13;
     cl_object V14;
     V13 = ECL_NIL;
     if (ecl_unlikely(!ECL_LISTP(V5))) FEtype_error_list(V5);
     V14 = V5;
     {
      cl_object V15;
      cl_object V16;
      V15 = ecl_list1(ECL_NIL);
      V16 = V15;
L92:;
      if (!(ecl_endp(V14))) { goto L94; }
      goto L93;
L94:;
      V13 = _ecl_car(V14);
      {
       cl_object V17;
       V17 = _ecl_cdr(V14);
       if (ecl_unlikely(!ECL_LISTP(V17))) FEtype_error_list(V17);
       V14 = V17;
      }
      if (ecl_unlikely(ECL_ATOM(V16))) FEtype_error_cons(V16);
      T12 = V16;
      T13 = ecl_function_dispatch(cl_env_copy,VV[166])(1, V13) /*  DECLAIM-ARG-TYPE-OF */;
      V16 = ecl_list1(T13);
      (ECL_CONS_CDR(T12)=V16,T12);
      goto L92;
L93:;
      T11 = ecl_cdr(V15);
      goto L86;
     }
    }
L86:;
    T12 = cl_list(3, ECL_SYM("FUNCTION",396), T11, V6);
    T13 = cl_list(3, ECL_SYM("FTYPE",393), T12, V4);
    T14 = cl_list(2, ECL_SYM("QUOTE",679), T13);
    T15 = cl_list(2, ECL_SYM("PROCLAIM",666), T14);
    {
     cl_object V13;
     cl_object V14;
     V13 = ECL_NIL;
     if (ecl_unlikely(!ECL_LISTP(V12))) FEtype_error_list(V12);
     V14 = V12;
     {
      cl_object V15;
      cl_object V16;
      V15 = ECL_NIL;
      if (ecl_unlikely(!ECL_LISTP(V12))) FEtype_error_list(V12);
      V16 = V12;
      {
       cl_object V17;
       cl_object V18;
       V17 = ecl_list1(ECL_NIL);
       V18 = V17;
L117:;
       if (!(ecl_endp(V14))) { goto L119; }
       goto L118;
L119:;
       V13 = _ecl_car(V14);
       {
        cl_object V19;
        V19 = _ecl_cdr(V14);
        if (ecl_unlikely(!ECL_LISTP(V19))) FEtype_error_list(V19);
        V14 = V19;
       }
       if (!(ecl_endp(V16))) { goto L127; }
       goto L118;
L127:;
       V15 = _ecl_car(V16);
       {
        cl_object V19;
        V19 = _ecl_cdr(V16);
        if (ecl_unlikely(!ECL_LISTP(V19))) FEtype_error_list(V19);
        V16 = V19;
       }
       if (ecl_unlikely(ECL_ATOM(V18))) FEtype_error_cons(V18);
       T17 = V18;
       T18 = cl_list(2, V13, V15);
       V18 = ecl_list1(T18);
       (ECL_CONS_CDR(T17)=V18,T17);
       goto L117;
L118:;
       T16 = ecl_cdr(V17);
       goto L108;
      }
     }
    }
L108:;
    {
     cl_object V13;                               /*  AN              */
     cl_object V14;
     cl_object V15;                               /*  AT              */
     cl_object V16;
     V13 = ECL_NIL;
     if (ecl_unlikely(!ECL_LISTP(V12))) FEtype_error_list(V12);
     V14 = V12;
     V15 = ECL_NIL;
     if (ecl_unlikely(!ECL_LISTP(V5))) FEtype_error_list(V5);
     V16 = V5;
     {
      cl_object V17;
      cl_object V18;
      V17 = ecl_list1(ECL_NIL);
      V18 = V17;
L150:;
      if (ecl_endp(V14)) { goto L154; }
      if (!(ecl_endp(V16))) { goto L152; }
      goto L153;
L154:;
L153:;
      goto L151;
L152:;
      {
       cl_object V19;
       V19 = _ecl_car(V14);
       V15 = _ecl_car(V16);
       V13 = V19;
      }
      {
       cl_object V19;
       V19 = _ecl_cdr(V14);
       if (ecl_unlikely(!ECL_LISTP(V19))) FEtype_error_list(V19);
       V14 = V19;
      }
      {
       cl_object V19;
       V19 = _ecl_cdr(V16);
       if (ecl_unlikely(!ECL_LISTP(V19))) FEtype_error_list(V19);
       V16 = V19;
      }
      if (ecl_unlikely(ECL_ATOM(V18))) FEtype_error_cons(V18);
      T18 = V18;
      T19 = cl_list(3, ECL_SYM("TYPE",869), V15, V13);
      V18 = ecl_list1(T19);
      (ECL_CONS_CDR(T18)=V18,T18);
      goto L150;
L151:;
      T17 = ecl_cdr(V17);
      goto L141;
     }
    }
L141:;
    T18 = CONS(ECL_SYM("DECLARE",274),T17);
    T19 = CONS(V4,V12);
    T20 = cl_list(4, ECL_SYM("LET",477), T16, T18, T19);
    T21 = cl_list(5, ECL_SYM("DEFUN",289), V4, V12, VV[16], T20);
    value0 = cl_list(5, ECL_SYM("PROGN",671), T1, T10, T15, T21);
    return value0;
   }
  }
 }
}
/*	local function DEF-IF-FUNCTION                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC6def_if_function(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18, T19;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  NAME            */
   cl_object V5;                                  /*  TYPE-NAME       */
   cl_object V6;                                  /*  POSTFIX         */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(V1);
L15:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V7;
   }
   if (Null(V3)) { goto L20; }
   si_dm_too_many_arguments(V1);
L20:;
   T0 = cl_list(3, V5, V5, V5);
   T1 = cl_list(2, ECL_SYM("QUOTE",679), V4);
   T2 = cl_format(3, ECL_NIL, _ecl_static_1, V6);
   T3 = cl_intern(1, T2);
   T4 = cl_list(2, ECL_SYM("QUOTE",679), T3);
   T5 = cl_format(3, ECL_NIL, _ecl_static_2, V6);
   T6 = cl_intern(1, T5);
   T7 = cl_list(2, ECL_SYM("QUOTE",679), T6);
   T8 = cl_format(3, ECL_NIL, _ecl_static_3, V6);
   T9 = cl_intern(1, T8);
   T10 = cl_list(2, ECL_SYM("QUOTE",679), T9);
   T11 = cl_format(3, ECL_NIL, _ecl_static_4, V6);
   T12 = cl_intern(1, T11);
   T13 = cl_list(2, ECL_SYM("QUOTE",679), T12);
   T14 = cl_list(2, ECL_SYM("QUOTE",679), V5);
   T15 = cl_format(3, ECL_NIL, _ecl_static_5, V6);
   T16 = cl_intern(1, T15);
   T17 = ecl_list1(T16);
   T18 = cl_list(2, ECL_SYM("QUOTE",679), T17);
   T19 = cl_list(12, VV[8], VV[18], VV[19], VV[20], VV[14], T1, T4, T7, T10, T13, T14, T18);
   value0 = cl_list(5, VV[17], V4, T0, V5, T19);
   return value0;
  }
 }
}
/*	local function SSE-ARRAY                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC7sse_array(cl_narg narg, cl_object V1, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  va_list args; va_start(args,V1);
  {
   int i = 1;
   if (i >= narg) {
    V2 = ECL_SYM("*",18);
   } else {
    i++;
    V2 = va_arg(args,cl_object);
   }
  }
  va_end(args);
  if (!((V1)==(ECL_SYM("*",18)))) { goto L2; }
  ecl_function_dispatch(cl_env_copy,VV[168])(1, _ecl_static_6) /*  CMPERR */;
L2:;
  {
   cl_object V3;                                  /*  UPGRADED        */
   V3 = cl_upgraded_array_element_type(1, V1);
   if (!((V3)==(ECL_T))) { goto L10; }
   goto L7;
   goto L8;
L10:;
   goto L8;
L8:;
   if (!((V3)==(ECL_SYM("BIT",123)))) { goto L5; }
   goto L6;
L7:;
L6:;
   ecl_function_dispatch(cl_env_copy,VV[168])(2, _ecl_static_7, V1) /*  CMPERR */;
L5:;
   if ((cl_subtypep(2, V3, V1))!=ECL_NIL) { goto L13; }
   ecl_function_dispatch(cl_env_copy,VV[169])(3, _ecl_static_8, V1, V3) /*  CMPWARN */;
L13:;
   value0 = cl_list(3, ECL_SYM("ARRAY",96), V3, V2);
   return value0;
  }
 }
}
/*	function definition for MAKE-SSE-ARRAY                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L8make_sse_array(cl_narg narg, cl_object V1, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object V2;
  cl_object V3;
  cl_object V4;
  ecl_va_list args; ecl_va_start(args,V1,narg,1);
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,L8make_sse_arraykeys,keyvars,(cl_object*)&V2,TRUE);
   ecl_va_end(args);
   if (Null(keyvars[2])) {
    V3 = VV[25];
   } else {
    V3 = keyvars[0];
   }
   V4 = keyvars[1];
  }
  if (Null(V4)) { goto L2; }
  T0 = (ECL_SYM("MAKE-ARRAY",522)->symbol.gfdef);
  value0 = cl_apply(3, T0, V1, V2);
  return value0;
L2:;
  cl_env_copy->values[0] = si_array_element_type_byte_size(V3);
  {
   cl_object V6;                                  /*  ELT-SIZE        */
   cl_object V7;                                  /*  ADJ-TYPE        */
   {
    int V8 = cl_env_copy->nvalues-0;
    if (V8--<=0) goto L6;
    V6 = cl_env_copy->values[0];
    if (V8--<=0) goto L7;
    V7 = cl_env_copy->values[1];
    goto L8;
   }
L6:;
   V6 = ECL_NIL;
L7:;
   V7 = ECL_NIL;
L8:;
   if (!((V7)==(ECL_T))) { goto L9; }
   cl_error(1, _ecl_static_9);
L9:;
   cl_env_copy->values[0] = si_rem_f(V2, ECL_SYM("ELEMENT-TYPE",1224));
   {
    cl_object V9;
    cl_object V10;                                /*  FLAG            */
    V9 = cl_env_copy->values[0];
    V10 = cl_env_copy->values[1];
    V2 = V9;
   }
   {
    cl_object V8;                                 /*  FULL-SIZE       */
    cl_object V9;                                 /*  PADDED-SIZE     */
    cl_object V10;                                /*  ARRAY           */
    cl_fixnum V11;                                /*  MISALIGN        */
    cl_object V12;                                /*  OFFSET          */
    if (!(ecl_numberp(V1))) { goto L16; }
    V8 = V1;
    goto L15;
L16:;
    T0 = (ECL_SYM("*",18)->symbol.gfdef);
    V8 = cl_reduce(2, T0, V1);
L15:;
    T0 = ecl_ceiling2(ecl_make_fixnum(15),V6);
    V9 = ecl_plus(V8,T0);
    T0 = (ECL_SYM("MAKE-ARRAY",522)->symbol.gfdef);
    V10 = cl_apply(5, T0, V9, ECL_SYM("ELEMENT-TYPE",1224), V7, V2);
    V11 = (cl_fixnum)((((unsigned long)(V10)->array.self.b8) & 15));
    if (!((V11)>(0))) { goto L25; }
    T0 = ecl_minus(ecl_make_fixnum(16),ecl_make_fixnum(V11));
    goto L24;
L25:;
    T0 = ecl_make_fixnum(0);
L24:;
    V12 = ecl_divide(T0,V6);
    value0 = si_make_pure_array(V3, V1, ECL_NIL, ECL_NIL, V10, V12);
    return value0;
   }
  }
 }
}
/*	local function SET-TRUE-SS                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC9set_true_ss(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   V3 = ecl_cdr(V1);
   if (Null(V3)) { goto L2; }
   si_dm_too_many_arguments(V1);
L2:;
   value0 = VV[27];
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function SET-TRUE-PS                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC10set_true_ps(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   V3 = ecl_cdr(V1);
   if (Null(V3)) { goto L2; }
   si_dm_too_many_arguments(V1);
L2:;
   value0 = VV[30];
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function G90                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC11__g90(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[33];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function G91                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC12__g91(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[35];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function G92                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC13__g92(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[33];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function G93                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC14__g93(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[38];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function G94                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC15__g94(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[33];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function IF-PS                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC16if_ps(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ARG0            */
   cl_object V5;                                  /*  ARG1            */
   cl_object V6;                                  /*  ARG2            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(V1);
L15:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V7;
   }
   if (Null(V3)) { goto L20; }
   si_dm_too_many_arguments(V1);
L20:;
   value0 = L4expand_if_macro(11, V4, V5, V6, V2, VV[40], VV[41], VV[42], VV[43], VV[44], ECL_SYM("FLOAT-SSE-PACK",1792), VV[33]);
   return value0;
  }
 }
}
/*	function definition for IF-PS                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L17if_ps(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128 V4;                                     /*  ARG0            */
   __m128 V5;                                     /*  ARG1            */
   __m128 V6;                                     /*  ARG2            */
   T0 = si_sse_pack_p(V1);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("FLOAT-SSE-PACK",1792),V1);
   V4 = ecl_unbox_float_sse_pack_unsafe(V1);
   T0 = si_sse_pack_p(V2);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("FLOAT-SSE-PACK",1792),V2);
   V5 = ecl_unbox_float_sse_pack_unsafe(V2);
   T0 = si_sse_pack_p(V3);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("FLOAT-SSE-PACK",1792),V3);
   V6 = ecl_unbox_float_sse_pack_unsafe(V3);
   {
    __m128 V7;
    V7 = _mm_and_ps(V4,V5);
    {
     __m128 V8;
     V8 = _mm_andnot_ps(V4,V6);
     value0 = ecl_make_float_sse_pack(_mm_or_ps(V7,V8));
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
  }
 }
}
/*	local function NEG-SS                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC18neg_ss(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ARG0            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   if (Null(V3)) { goto L8; }
   si_dm_too_many_arguments(V1);
L8:;
   value0 = cl_list(3, VV[47], V4, VV[48]);
   return value0;
  }
 }
}
/*	function definition for NEG-SS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L19neg_ss(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128 V2;                                     /*  ARG0            */
   T0 = si_sse_pack_p(V1);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("FLOAT-SSE-PACK",1792),V1);
   V2 = ecl_unbox_float_sse_pack_unsafe(V1);
   {
    __m128 V3;
    V3 = _mm_castsi128_ps(_mm_setr_epi8(0,0,0,128,0,0,0,0,0,0,0,0,0,0,0,0));
    value0 = ecl_make_float_sse_pack(_mm_xor_ps(V2,V3));
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	local function NEG-PS                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC20neg_ps(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ARG0            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   if (Null(V3)) { goto L8; }
   si_dm_too_many_arguments(V1);
L8:;
   value0 = cl_list(3, VV[47], V4, VV[51]);
   return value0;
  }
 }
}
/*	function definition for NEG-PS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L21neg_ps(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128 V2;                                     /*  ARG0            */
   T0 = si_sse_pack_p(V1);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("FLOAT-SSE-PACK",1792),V1);
   V2 = ecl_unbox_float_sse_pack_unsafe(V1);
   {
    __m128 V3;
    V3 = _mm_castsi128_ps(_mm_setr_epi8(0,0,0,128,0,0,0,128,0,0,0,128,0,0,0,128));
    value0 = ecl_make_float_sse_pack(_mm_xor_ps(V2,V3));
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	local function NOT-PS                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC22not_ps(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ARG0            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   if (Null(V3)) { goto L8; }
   si_dm_too_many_arguments(V1);
L8:;
   V4 = cl_macroexpand(2, V4, V2);
   value0 = L1lookup_flip(2, V4, VV[54]);
   if ((value0)!=ECL_NIL) { goto L13; }
   value0 = cl_list(3, VV[47], V4, VV[37]);
   return value0;
L13:;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for NOT-PS                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L23not_ps(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128 V2;                                     /*  ARG0            */
   T0 = si_sse_pack_p(V1);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("FLOAT-SSE-PACK",1792),V1);
   V2 = ecl_unbox_float_sse_pack_unsafe(V1);
   {
    __m128 V3;
    V3 = _mm_castsi128_ps(_mm_setr_epi8(255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255));
    value0 = ecl_make_float_sse_pack(_mm_xor_ps(V2,V3));
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for SHUFFLE-PS                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L24shuffle_ps(cl_object V1, cl_object V2, cl_object V3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   cl_object V4;
   V4 = V1;
   if ((si_sse_pack_p(V4))!=ECL_NIL) { goto L3; }
   V1 = si_do_check_type(V4, VV[56], ECL_NIL, VV[57]);
L3:;
  }
  {
   cl_object V4;
   V4 = V2;
   if ((si_sse_pack_p(V4))!=ECL_NIL) { goto L8; }
   V2 = si_do_check_type(V4, VV[56], ECL_NIL, VV[58]);
L8:;
  }
  {
   cl_object V4;
   V4 = V3;
   {
    cl_fixnum V5;
    V5 = 0;
    if (!(ECL_FIXNUMP(V4))) { goto L17; }
    V5 = ecl_fixnum(V4);
    if (!((V5)<=(255))) { goto L22; }
    if ((V5)>=(0)) { goto L13; }
    goto L14;
L22:;
    goto L14;
L17:;
    goto L14;
   }
L14:;
   V3 = si_do_check_type(V4, VV[25], ECL_NIL, VV[59]);
L13:;
  }
  value0 = ecl_make_float_sse_pack(_mm_setr_ps(
       (V1)->sse.data.sf[(ecl_to_int(V3))&3],
       (V1)->sse.data.sf[((ecl_to_int(V3))>>2)&3],
       (V2)->sse.data.sf[((ecl_to_int(V3))>>4)&3],
       (V2)->sse.data.sf[((ecl_to_int(V3))>>6)&3]
     ));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function SET-TRUE-SD                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC25set_true_sd(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   V3 = ecl_cdr(V1);
   if (Null(V3)) { goto L2; }
   si_dm_too_many_arguments(V1);
L2:;
   value0 = VV[61];
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function SET-TRUE-PD                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC26set_true_pd(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   V3 = ecl_cdr(V1);
   if (Null(V3)) { goto L2; }
   si_dm_too_many_arguments(V1);
L2:;
   value0 = VV[64];
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function G131                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC27__g131(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[67];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function G132                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC28__g132(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[69];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function G133                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC29__g133(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[67];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function G134                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC30__g134(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[72];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function G135                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC31__g135(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[67];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function IF-PD                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC32if_pd(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ARG0            */
   cl_object V5;                                  /*  ARG1            */
   cl_object V6;                                  /*  ARG2            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(V1);
L15:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V7;
   }
   if (Null(V3)) { goto L20; }
   si_dm_too_many_arguments(V1);
L20:;
   value0 = L4expand_if_macro(11, V4, V5, V6, V2, VV[74], VV[75], VV[76], VV[77], VV[78], ECL_SYM("DOUBLE-SSE-PACK",1793), VV[67]);
   return value0;
  }
 }
}
/*	function definition for IF-PD                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L33if_pd(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128d V4;                                    /*  ARG0            */
   __m128d V5;                                    /*  ARG1            */
   __m128d V6;                                    /*  ARG2            */
   T0 = si_sse_pack_p(V1);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("DOUBLE-SSE-PACK",1793),V1);
   V4 = ecl_unbox_double_sse_pack_unsafe(V1);
   T0 = si_sse_pack_p(V2);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("DOUBLE-SSE-PACK",1793),V2);
   V5 = ecl_unbox_double_sse_pack_unsafe(V2);
   T0 = si_sse_pack_p(V3);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("DOUBLE-SSE-PACK",1793),V3);
   V6 = ecl_unbox_double_sse_pack_unsafe(V3);
   {
    __m128d V7;
    V7 = _mm_and_pd(V4,V5);
    {
     __m128d V8;
     V8 = _mm_andnot_pd(V4,V6);
     value0 = ecl_make_double_sse_pack(_mm_or_pd(V7,V8));
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
  }
 }
}
/*	local function NEG-SD                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC34neg_sd(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ARG0            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   if (Null(V3)) { goto L8; }
   si_dm_too_many_arguments(V1);
L8:;
   value0 = cl_list(3, VV[81], V4, VV[82]);
   return value0;
  }
 }
}
/*	function definition for NEG-SD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L35neg_sd(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128d V2;                                    /*  ARG0            */
   T0 = si_sse_pack_p(V1);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("DOUBLE-SSE-PACK",1793),V1);
   V2 = ecl_unbox_double_sse_pack_unsafe(V1);
   {
    __m128d V3;
    V3 = _mm_castsi128_pd(_mm_setr_epi8(0,0,0,0,0,0,0,128,0,0,0,0,0,0,0,0));
    value0 = ecl_make_double_sse_pack(_mm_xor_pd(V2,V3));
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	local function NEG-PD                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC36neg_pd(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ARG0            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   if (Null(V3)) { goto L8; }
   si_dm_too_many_arguments(V1);
L8:;
   value0 = cl_list(3, VV[81], V4, VV[86]);
   return value0;
  }
 }
}
/*	function definition for NEG-PD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L37neg_pd(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128d V2;                                    /*  ARG0            */
   T0 = si_sse_pack_p(V1);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("DOUBLE-SSE-PACK",1793),V1);
   V2 = ecl_unbox_double_sse_pack_unsafe(V1);
   {
    __m128d V3;
    V3 = _mm_castsi128_pd(_mm_setr_epi8(0,0,0,0,0,0,0,128,0,0,0,0,0,0,0,128));
    value0 = ecl_make_double_sse_pack(_mm_xor_pd(V2,V3));
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	local function NOT-PD                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC38not_pd(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ARG0            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   if (Null(V3)) { goto L8; }
   si_dm_too_many_arguments(V1);
L8:;
   V4 = cl_macroexpand(2, V4, V2);
   value0 = L1lookup_flip(2, V4, VV[89]);
   if ((value0)!=ECL_NIL) { goto L13; }
   value0 = cl_list(3, VV[81], V4, VV[71]);
   return value0;
L13:;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for NOT-PD                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L39not_pd(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128d V2;                                    /*  ARG0            */
   T0 = si_sse_pack_p(V1);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("DOUBLE-SSE-PACK",1793),V1);
   V2 = ecl_unbox_double_sse_pack_unsafe(V1);
   {
    __m128d V3;
    V3 = _mm_castsi128_pd(_mm_setr_epi8(255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255));
    value0 = ecl_make_double_sse_pack(_mm_xor_pd(V2,V3));
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for SHUFFLE-PD                            */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L40shuffle_pd(cl_object V1, cl_object V2, cl_object V3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   cl_object V4;
   V4 = V1;
   if ((si_sse_pack_p(V4))!=ECL_NIL) { goto L3; }
   V1 = si_do_check_type(V4, VV[56], ECL_NIL, VV[57]);
L3:;
  }
  {
   cl_object V4;
   V4 = V2;
   if ((si_sse_pack_p(V4))!=ECL_NIL) { goto L8; }
   V2 = si_do_check_type(V4, VV[56], ECL_NIL, VV[58]);
L8:;
  }
  {
   cl_object V4;
   V4 = V3;
   {
    cl_fixnum V5;
    V5 = 0;
    if (!(ECL_FIXNUMP(V4))) { goto L17; }
    V5 = ecl_fixnum(V4);
    if (!((V5)<=(3))) { goto L22; }
    if ((V5)>=(0)) { goto L13; }
    goto L14;
L22:;
    goto L14;
L17:;
    goto L14;
   }
L14:;
   V3 = si_do_check_type(V4, VV[91], ECL_NIL, VV[59]);
L13:;
  }
  value0 = ecl_make_double_sse_pack(_mm_setr_pd(
       (V1)->sse.data.df[(ecl_to_int(V3))&1],
       (V2)->sse.data.df[((ecl_to_int(V3))>>1)&1]
     ));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function SET-TRUE-PI                                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC41set_true_pi(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   V3 = ecl_cdr(V1);
   if (Null(V3)) { goto L2; }
   si_dm_too_many_arguments(V1);
L2:;
   value0 = VV[93];
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	local function G166                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC42__g166(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[96];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function G167                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC43__g167(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[98];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function G168                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC44__g168(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = VV[96];
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function IF-PI                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC45if_pi(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ARG0            */
   cl_object V5;                                  /*  ARG1            */
   cl_object V6;                                  /*  ARG2            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V7;
   }
   if (!(V3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(V1);
L15:;
   {
    cl_object V7;
    V7 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V6 = V7;
   }
   if (Null(V3)) { goto L20; }
   si_dm_too_many_arguments(V1);
L20:;
   value0 = L4expand_if_macro(11, V4, V5, V6, V2, VV[100], VV[101], VV[102], VV[103], VV[104], ECL_SYM("FLOAT-SSE-PACK",1792), VV[96]);
   return value0;
  }
 }
}
/*	function definition for IF-PI                                 */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L46if_pi(cl_object V1, cl_object V2, cl_object V3)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128 V4;                                     /*  ARG0            */
   __m128 V5;                                     /*  ARG1            */
   __m128 V6;                                     /*  ARG2            */
   T0 = si_sse_pack_p(V1);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("FLOAT-SSE-PACK",1792),V1);
   V4 = ecl_unbox_float_sse_pack_unsafe(V1);
   T0 = si_sse_pack_p(V2);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("FLOAT-SSE-PACK",1792),V2);
   V5 = ecl_unbox_float_sse_pack_unsafe(V2);
   T0 = si_sse_pack_p(V3);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("FLOAT-SSE-PACK",1792),V3);
   V6 = ecl_unbox_float_sse_pack_unsafe(V3);
   {
    __m128i V7;
    V7 = _mm_and_si128(_mm_castps_si128(V4),_mm_castps_si128(V5));
    {
     __m128i V8;
     V8 = _mm_andnot_si128(_mm_castps_si128(V4),_mm_castps_si128(V6));
     value0 = ecl_make_int_sse_pack(_mm_or_si128(V7,V8));
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
  }
 }
}
/*	local function NEG-PI8                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC47neg_pi8(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ARG0            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   if (Null(V3)) { goto L8; }
   si_dm_too_many_arguments(V1);
L8:;
   value0 = cl_list(3, VV[107], VV[96], V4);
   return value0;
  }
 }
}
/*	function definition for NEG-PI8                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L48neg_pi8(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128i V2;                                    /*  ARG0            */
   T0 = si_sse_pack_p(V1);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1791),V1);
   V2 = ecl_unbox_int_sse_pack_unsafe(V1);
   {
    __m128i V3;
    V3 = _mm_setzero_si128();
    value0 = ecl_make_int_sse_pack(_mm_sub_epi8(V3,V2));
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	local function NEG-PI16                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC49neg_pi16(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ARG0            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   if (Null(V3)) { goto L8; }
   si_dm_too_many_arguments(V1);
L8:;
   value0 = cl_list(3, VV[110], VV[96], V4);
   return value0;
  }
 }
}
/*	function definition for NEG-PI16                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L50neg_pi16(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128i V2;                                    /*  ARG0            */
   T0 = si_sse_pack_p(V1);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1791),V1);
   V2 = ecl_unbox_int_sse_pack_unsafe(V1);
   {
    __m128i V3;
    V3 = _mm_setzero_si128();
    value0 = ecl_make_int_sse_pack(_mm_sub_epi16(V3,V2));
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	local function NEG-PI32                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC51neg_pi32(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ARG0            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   if (Null(V3)) { goto L8; }
   si_dm_too_many_arguments(V1);
L8:;
   value0 = cl_list(3, VV[113], VV[96], V4);
   return value0;
  }
 }
}
/*	function definition for NEG-PI32                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L52neg_pi32(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128i V2;                                    /*  ARG0            */
   T0 = si_sse_pack_p(V1);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1791),V1);
   V2 = ecl_unbox_int_sse_pack_unsafe(V1);
   {
    __m128i V3;
    V3 = _mm_setzero_si128();
    value0 = ecl_make_int_sse_pack(_mm_sub_epi32(V3,V2));
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	local function NEG-PI64                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC53neg_pi64(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ARG0            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   if (Null(V3)) { goto L8; }
   si_dm_too_many_arguments(V1);
L8:;
   value0 = cl_list(3, VV[116], VV[96], V4);
   return value0;
  }
 }
}
/*	function definition for NEG-PI64                              */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L54neg_pi64(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128i V2;                                    /*  ARG0            */
   T0 = si_sse_pack_p(V1);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1791),V1);
   V2 = ecl_unbox_int_sse_pack_unsafe(V1);
   {
    __m128i V3;
    V3 = _mm_setzero_si128();
    value0 = ecl_make_int_sse_pack(_mm_sub_epi64(V3,V2));
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	local function NOT-PI                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC55not_pi(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ARG0            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   if (Null(V3)) { goto L8; }
   si_dm_too_many_arguments(V1);
L8:;
   V4 = cl_macroexpand(2, V4, V2);
   value0 = L1lookup_flip(4, V4, VV[118], VV[119], ECL_T);
   if ((value0)!=ECL_NIL) { goto L13; }
   value0 = cl_list(3, VV[120], V4, VV[97]);
   return value0;
L13:;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for NOT-PI                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L56not_pi(cl_object V1)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128i V2;                                    /*  ARG0            */
   T0 = si_sse_pack_p(V1);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1791),V1);
   V2 = ecl_unbox_int_sse_pack_unsafe(V1);
   {
    __m128i V3;
    V3 = (_mm_setr_epi8(255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255));
    value0 = ecl_make_int_sse_pack(_mm_xor_si128(V2,V3));
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	local function <=-PI8                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC57___pi8(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ARG0            */
   cl_object V5;                                  /*  ARG1            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   T0 = cl_list(3, VV[123], V4, V5);
   value0 = cl_list(2, VV[101], T0);
   return value0;
  }
 }
}
/*	function definition for <=-PI8                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L58___pi8(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128i V3;                                    /*  ARG0            */
   __m128i V4;                                    /*  ARG1            */
   T0 = si_sse_pack_p(V1);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1791),V1);
   V3 = ecl_unbox_int_sse_pack_unsafe(V1);
   T0 = si_sse_pack_p(V2);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1791),V2);
   V4 = ecl_unbox_int_sse_pack_unsafe(V2);
   {
    __m128i V5;
    V5 = _mm_cmpgt_epi8(V3,V4);
    {
     __m128i V6;
     V6 = (_mm_setr_epi8(255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255));
     value0 = ecl_make_int_sse_pack(_mm_xor_si128(V5,V6));
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
  }
 }
}
/*	local function <=-PI16                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC59___pi16(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ARG0            */
   cl_object V5;                                  /*  ARG1            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   T0 = cl_list(3, VV[126], V4, V5);
   value0 = cl_list(2, VV[101], T0);
   return value0;
  }
 }
}
/*	function definition for <=-PI16                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L60___pi16(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128i V3;                                    /*  ARG0            */
   __m128i V4;                                    /*  ARG1            */
   T0 = si_sse_pack_p(V1);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1791),V1);
   V3 = ecl_unbox_int_sse_pack_unsafe(V1);
   T0 = si_sse_pack_p(V2);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1791),V2);
   V4 = ecl_unbox_int_sse_pack_unsafe(V2);
   {
    __m128i V5;
    V5 = _mm_cmpgt_epi16(V3,V4);
    {
     __m128i V6;
     V6 = (_mm_setr_epi8(255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255));
     value0 = ecl_make_int_sse_pack(_mm_xor_si128(V5,V6));
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
  }
 }
}
/*	local function <=-PI32                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC61___pi32(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ARG0            */
   cl_object V5;                                  /*  ARG1            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   T0 = cl_list(3, VV[129], V4, V5);
   value0 = cl_list(2, VV[101], T0);
   return value0;
  }
 }
}
/*	function definition for <=-PI32                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L62___pi32(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128i V3;                                    /*  ARG0            */
   __m128i V4;                                    /*  ARG1            */
   T0 = si_sse_pack_p(V1);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1791),V1);
   V3 = ecl_unbox_int_sse_pack_unsafe(V1);
   T0 = si_sse_pack_p(V2);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1791),V2);
   V4 = ecl_unbox_int_sse_pack_unsafe(V2);
   {
    __m128i V5;
    V5 = _mm_cmpgt_epi32(V3,V4);
    {
     __m128i V6;
     V6 = (_mm_setr_epi8(255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255));
     value0 = ecl_make_int_sse_pack(_mm_xor_si128(V5,V6));
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
  }
 }
}
/*	local function >=-PI8                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC63___pi8(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ARG0            */
   cl_object V5;                                  /*  ARG1            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   T0 = cl_list(3, VV[132], V4, V5);
   value0 = cl_list(2, VV[101], T0);
   return value0;
  }
 }
}
/*	function definition for >=-PI8                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L64___pi8(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128i V3;                                    /*  ARG0            */
   __m128i V4;                                    /*  ARG1            */
   T0 = si_sse_pack_p(V1);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1791),V1);
   V3 = ecl_unbox_int_sse_pack_unsafe(V1);
   T0 = si_sse_pack_p(V2);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1791),V2);
   V4 = ecl_unbox_int_sse_pack_unsafe(V2);
   {
    __m128i V5;
    V5 = _mm_cmplt_epi8(V3,V4);
    {
     __m128i V6;
     V6 = (_mm_setr_epi8(255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255));
     value0 = ecl_make_int_sse_pack(_mm_xor_si128(V5,V6));
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
  }
 }
}
/*	local function >=-PI16                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC65___pi16(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ARG0            */
   cl_object V5;                                  /*  ARG1            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   T0 = cl_list(3, VV[135], V4, V5);
   value0 = cl_list(2, VV[101], T0);
   return value0;
  }
 }
}
/*	function definition for >=-PI16                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L66___pi16(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128i V3;                                    /*  ARG0            */
   __m128i V4;                                    /*  ARG1            */
   T0 = si_sse_pack_p(V1);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1791),V1);
   V3 = ecl_unbox_int_sse_pack_unsafe(V1);
   T0 = si_sse_pack_p(V2);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1791),V2);
   V4 = ecl_unbox_int_sse_pack_unsafe(V2);
   {
    __m128i V5;
    V5 = _mm_cmplt_epi16(V3,V4);
    {
     __m128i V6;
     V6 = (_mm_setr_epi8(255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255));
     value0 = ecl_make_int_sse_pack(_mm_xor_si128(V5,V6));
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
  }
 }
}
/*	local function >=-PI32                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC67___pi32(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ARG0            */
   cl_object V5;                                  /*  ARG1            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   T0 = cl_list(3, VV[138], V4, V5);
   value0 = cl_list(2, VV[101], T0);
   return value0;
  }
 }
}
/*	function definition for >=-PI32                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L68___pi32(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128i V3;                                    /*  ARG0            */
   __m128i V4;                                    /*  ARG1            */
   T0 = si_sse_pack_p(V1);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1791),V1);
   V3 = ecl_unbox_int_sse_pack_unsafe(V1);
   T0 = si_sse_pack_p(V2);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1791),V2);
   V4 = ecl_unbox_int_sse_pack_unsafe(V2);
   {
    __m128i V5;
    V5 = _mm_cmplt_epi32(V3,V4);
    {
     __m128i V6;
     V6 = (_mm_setr_epi8(255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255));
     value0 = ecl_make_int_sse_pack(_mm_xor_si128(V5,V6));
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
  }
 }
}
/*	local function /=-PI8                                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC69___pi8(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ARG0            */
   cl_object V5;                                  /*  ARG1            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   T0 = cl_list(3, VV[141], V4, V5);
   value0 = cl_list(2, VV[101], T0);
   return value0;
  }
 }
}
/*	function definition for /=-PI8                                */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L70___pi8(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128i V3;                                    /*  ARG0            */
   __m128i V4;                                    /*  ARG1            */
   T0 = si_sse_pack_p(V1);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1791),V1);
   V3 = ecl_unbox_int_sse_pack_unsafe(V1);
   T0 = si_sse_pack_p(V2);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1791),V2);
   V4 = ecl_unbox_int_sse_pack_unsafe(V2);
   {
    __m128i V5;
    V5 = _mm_cmpeq_epi8(V3,V4);
    {
     __m128i V6;
     V6 = (_mm_setr_epi8(255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255));
     value0 = ecl_make_int_sse_pack(_mm_xor_si128(V5,V6));
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
  }
 }
}
/*	local function /=-PI16                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC71___pi16(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ARG0            */
   cl_object V5;                                  /*  ARG1            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   T0 = cl_list(3, VV[144], V4, V5);
   value0 = cl_list(2, VV[101], T0);
   return value0;
  }
 }
}
/*	function definition for /=-PI16                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L72___pi16(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128i V3;                                    /*  ARG0            */
   __m128i V4;                                    /*  ARG1            */
   T0 = si_sse_pack_p(V1);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1791),V1);
   V3 = ecl_unbox_int_sse_pack_unsafe(V1);
   T0 = si_sse_pack_p(V2);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1791),V2);
   V4 = ecl_unbox_int_sse_pack_unsafe(V2);
   {
    __m128i V5;
    V5 = _mm_cmpeq_epi16(V3,V4);
    {
     __m128i V6;
     V6 = (_mm_setr_epi8(255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255));
     value0 = ecl_make_int_sse_pack(_mm_xor_si128(V5,V6));
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
  }
 }
}
/*	local function /=-PI32                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC73___pi32(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ARG0            */
   cl_object V5;                                  /*  ARG1            */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V6;
   }
   if (!(V3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(V1);
L9:;
   {
    cl_object V6;
    V6 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V5 = V6;
   }
   if (Null(V3)) { goto L14; }
   si_dm_too_many_arguments(V1);
L14:;
   T0 = cl_list(3, VV[147], V4, V5);
   value0 = cl_list(2, VV[101], T0);
   return value0;
  }
 }
}
/*	function definition for /=-PI32                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L74___pi32(cl_object V1, cl_object V2)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   __m128i V3;                                    /*  ARG0            */
   __m128i V4;                                    /*  ARG1            */
   T0 = si_sse_pack_p(V1);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1791),V1);
   V3 = ecl_unbox_int_sse_pack_unsafe(V1);
   T0 = si_sse_pack_p(V2);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("INT-SSE-PACK",1791),V2);
   V4 = ecl_unbox_int_sse_pack_unsafe(V2);
   {
    __m128i V5;
    V5 = _mm_cmpeq_epi32(V3,V4);
    {
     __m128i V6;
     V6 = (_mm_setr_epi8(255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255));
     value0 = ecl_make_int_sse_pack(_mm_xor_si128(V5,V6));
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
  }
 }
}
/*	function definition for SLLI-PI                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L75slli_pi(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   cl_object V3;
   V3 = V1;
   if ((si_sse_pack_p(V3))!=ECL_NIL) { goto L3; }
   V1 = si_do_check_type(V3, VV[56], ECL_NIL, VV[57]);
L3:;
  }
  {
   cl_object V3;
   V3 = V2;
   {
    cl_fixnum V4;
    V4 = 0;
    if (!(ECL_FIXNUMP(V3))) { goto L12; }
    V4 = ecl_fixnum(V3);
    if (!((V4)<=(255))) { goto L17; }
    if ((V4)>=(0)) { goto L8; }
    goto L9;
L17:;
    goto L9;
L12:;
    goto L9;
   }
L9:;
   V2 = si_do_check_type(V3, VV[25], ECL_NIL, VV[149]);
L8:;
  }
  {
   cl_object V3;
   cl_object rv = ecl_make_int_sse_pack(_mm_setzero_si128());
     unsigned bshift=(ecl_to_int(V2)), i;
     for (i = 0; i + bshift < 16; i++)
       rv->sse.data.b8[i+bshift] = (V1)->sse.data.b8[i];
     V3= rv;
   value0 = V3;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for SRLI-PI                               */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L76srli_pi(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   cl_object V3;
   V3 = V1;
   if ((si_sse_pack_p(V3))!=ECL_NIL) { goto L3; }
   V1 = si_do_check_type(V3, VV[56], ECL_NIL, VV[57]);
L3:;
  }
  {
   cl_object V3;
   V3 = V2;
   {
    cl_fixnum V4;
    V4 = 0;
    if (!(ECL_FIXNUMP(V3))) { goto L12; }
    V4 = ecl_fixnum(V3);
    if (!((V4)<=(255))) { goto L17; }
    if ((V4)>=(0)) { goto L8; }
    goto L9;
L17:;
    goto L9;
L12:;
    goto L9;
   }
L9:;
   V2 = si_do_check_type(V3, VV[25], ECL_NIL, VV[149]);
L8:;
  }
  {
   cl_object V3;
   cl_object rv = ecl_make_int_sse_pack(_mm_setzero_si128());
     int bshift=(ecl_to_int(V2)), i;
     for (i = 16 - bshift - 1; i >= 0; i--)
       rv->sse.data.b8[i] = (V1)->sse.data.b8[i+bshift];
     V3= rv;
   value0 = V3;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for EXTRACT-PI16                          */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L77extract_pi16(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   cl_object V3;
   V3 = V1;
   if ((si_sse_pack_p(V3))!=ECL_NIL) { goto L3; }
   V1 = si_do_check_type(V3, VV[56], ECL_NIL, VV[57]);
L3:;
  }
  {
   cl_object V3;
   V3 = V2;
   {
    cl_fixnum V4;
    V4 = 0;
    if (!(ECL_FIXNUMP(V3))) { goto L12; }
    V4 = ecl_fixnum(V3);
    if (!((V4)<=(255))) { goto L17; }
    if ((V4)>=(0)) { goto L8; }
    goto L9;
L17:;
    goto L9;
L12:;
    goto L9;
   }
L9:;
   V2 = si_do_check_type(V3, VV[25], ECL_NIL, VV[152]);
L8:;
  }
  value0 = ecl_make_fixnum(*((unsigned short*)&(V1)->sse.data.b8[((ecl_to_int(V2))&3)*2]));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for INSERT-PI16                           */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L78insert_pi16(cl_object V1, cl_object V2, cl_object V3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   cl_object V4;
   V4 = V1;
   if ((si_sse_pack_p(V4))!=ECL_NIL) { goto L3; }
   V1 = si_do_check_type(V4, VV[56], ECL_NIL, VV[57]);
L3:;
  }
  {
   cl_object V4;
   V4 = V3;
   {
    cl_fixnum V5;
    V5 = 0;
    if (!(ECL_FIXNUMP(V4))) { goto L12; }
    V5 = ecl_fixnum(V4);
    if (!((V5)<=(255))) { goto L17; }
    if ((V5)>=(0)) { goto L8; }
    goto L9;
L17:;
    goto L9;
L12:;
    goto L9;
   }
L9:;
   V3 = si_do_check_type(V4, VV[25], ECL_NIL, VV[152]);
L8:;
  }
  {
   cl_object V4;
   cl_object rv = ecl_make_int_sse_pack(ecl_unbox_int_sse_pack(V1));
     *((unsigned short*)&rv->sse.data.b8[((ecl_to_int(V3))&3)*2]) = (unsigned short)(ecl_to_int(V2));
     V4= rv;
   value0 = V4;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for SHUFFLE-PI32                          */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L79shuffle_pi32(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   cl_object V3;
   V3 = V1;
   if ((si_sse_pack_p(V3))!=ECL_NIL) { goto L3; }
   V1 = si_do_check_type(V3, VV[56], ECL_NIL, VV[57]);
L3:;
  }
  {
   cl_object V3;
   V3 = V2;
   {
    cl_fixnum V4;
    V4 = 0;
    if (!(ECL_FIXNUMP(V3))) { goto L12; }
    V4 = ecl_fixnum(V3);
    if (!((V4)<=(255))) { goto L17; }
    if ((V4)>=(0)) { goto L8; }
    goto L9;
L17:;
    goto L9;
L12:;
    goto L9;
   }
L9:;
   V2 = si_do_check_type(V3, VV[25], ECL_NIL, VV[59]);
L8:;
  }
  {
   __m128i V3;
   unsigned *pd = (unsigned*)(V1)->sse.data.b8;
     V3= _mm_setr_epi32(pd[(ecl_to_int(V2))&3],pd[((ecl_to_int(V2))>>2)&3],pd[((ecl_to_int(V2))>>4)&3],pd[((ecl_to_int(V2))>>6)&3]);
   value0 = ecl_make_int_sse_pack(V3);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for SHUFFLELO-PI16                        */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L80shufflelo_pi16(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   cl_object V3;
   V3 = V1;
   if ((si_sse_pack_p(V3))!=ECL_NIL) { goto L3; }
   V1 = si_do_check_type(V3, VV[56], ECL_NIL, VV[57]);
L3:;
  }
  {
   cl_object V3;
   V3 = V2;
   {
    cl_fixnum V4;
    V4 = 0;
    if (!(ECL_FIXNUMP(V3))) { goto L12; }
    V4 = ecl_fixnum(V3);
    if (!((V4)<=(255))) { goto L17; }
    if ((V4)>=(0)) { goto L8; }
    goto L9;
L17:;
    goto L9;
L12:;
    goto L9;
   }
L9:;
   V2 = si_do_check_type(V3, VV[25], ECL_NIL, VV[59]);
L8:;
  }
  {
   __m128i V3;
   unsigned short *pd = (unsigned short*)(V1)->sse.data.b8;
     V3= _mm_setr_epi16(
       pd[(ecl_to_int(V2))&3],pd[((ecl_to_int(V2))>>2)&3],pd[((ecl_to_int(V2))>>4)&3],pd[(((ecl_to_int(V2))>>6)&3)],
       pd[4], pd[5], pd[6], pd[7]
     );
   value0 = ecl_make_int_sse_pack(V3);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for SHUFFLEHI-PI16                        */
/*	optimize speed 0, debug 0, space 1, safety 1                  */
static cl_object L81shufflehi_pi16(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 {
TTL:
  {
   cl_object V3;
   V3 = V1;
   if ((si_sse_pack_p(V3))!=ECL_NIL) { goto L3; }
   V1 = si_do_check_type(V3, VV[56], ECL_NIL, VV[57]);
L3:;
  }
  {
   cl_object V3;
   V3 = V2;
   {
    cl_fixnum V4;
    V4 = 0;
    if (!(ECL_FIXNUMP(V3))) { goto L12; }
    V4 = ecl_fixnum(V3);
    if (!((V4)<=(255))) { goto L17; }
    if ((V4)>=(0)) { goto L8; }
    goto L9;
L17:;
    goto L9;
L12:;
    goto L9;
   }
L9:;
   V2 = si_do_check_type(V3, VV[25], ECL_NIL, VV[59]);
L8:;
  }
  {
   __m128i V3;
   unsigned short *pb = (unsigned short*)(V1)->sse.data.b8, *pd = pb+4;
     V3= _mm_setr_epi16(
       pb[0], pb[1], pb[2], pb[3],
       pd[(ecl_to_int(V2))&3],pd[((ecl_to_int(V2))>>2)&3],pd[((ecl_to_int(V2))>>4)&3],pd[(((ecl_to_int(V2))>>6)&3)]
     );
   value0 = ecl_make_int_sse_pack(V3);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}

#include "ext/ecl-sse-utils.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclmQxOAGSNxlIj9_QrsgOl01(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.data_text_size = compiler_data_text_size;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("EXT:CL-SIMD;ECL-SSE-UTILS.LISP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = "@EcLtAg:_eclmQxOAGSNxlIj9_QrsgOl01@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
 si_select_package(_ecl_static_0);
 ecl_cmp_defun(VV[158]);                          /*  LOOKUP-FLIP     */
 ecl_cmp_defun(VV[159]);                          /*  EXPAND-CONDITION */
 ecl_cmp_defun(VV[160]);                          /*  IS-UNARY?       */
 ecl_cmp_defun(VV[161]);                          /*  EXPAND-IF-MACRO */
 ecl_cmp_defmacro(VV[163]);                       /*  DEF-UTILITY     */
 ecl_cmp_defmacro(VV[167]);                       /*  DEF-IF-FUNCTION */
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun_va((cl_objectfn)LC7sse_array,ECL_NIL,Cblock);
  T0 = V1;
 }
 si_do_deftype(3, VV[22], VVtemp[0], T0);
 }
 ecl_cmp_defun(VV[170]);                          /*  MAKE-SSE-ARRAY  */
 VV[27]= ecl_function_dispatch(cl_env_copy,VV[173])(3, ecl_make_fixnum(4294967295), VV[28], ECL_SYM("FLOAT-SSE-PACK",1792)) /*  MAKE-PACK-OF-BIN */;
 ecl_cmp_defmacro(VV[174]);                       /*  SET-TRUE-SS     */
 VV[30]= ecl_function_dispatch(cl_env_copy,VV[173])(3, ecl_make_fixnum(-1), VV[28], ECL_SYM("FLOAT-SSE-PACK",1792)) /*  MAKE-PACK-OF-BIN */;
 ecl_cmp_defmacro(VV[175]);                       /*  SET-TRUE-PS     */
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC11__g90,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_put_sysprop(VV[32], ECL_SYM("SYMBOL-MACRO",1159), T0);
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC12__g91,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_put_sysprop(VV[34], ECL_SYM("SYMBOL-MACRO",1159), T0);
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC13__g92,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_put_sysprop(VV[36], ECL_SYM("SYMBOL-MACRO",1159), T0);
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC14__g93,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_put_sysprop(VV[37], ECL_SYM("SYMBOL-MACRO",1159), T0);
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC15__g94,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_put_sysprop(VV[39], ECL_SYM("SYMBOL-MACRO",1159), T0);
 }
 {
  cl_object T0;
 cl_export(1, VV[40]);
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC16if_ps,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_put_sysprop(VV[40], ECL_SYM("COMPILER-MACRO",238), T0);
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[1]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[176]);                          /*  IF-PS           */
 }
 {
  cl_object T0;
 cl_export(1, VV[46]);
 VV[48]= ecl_function_dispatch(cl_env_copy,VV[173])(3, ecl_make_fixnum(2147483648), VV[28], ECL_SYM("FLOAT-SSE-PACK",1792)) /*  MAKE-PACK-OF-BIN */;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC18neg_ss,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_put_sysprop(VV[46], ECL_SYM("COMPILER-MACRO",238), T0);
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[2]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[177]);                          /*  NEG-SS          */
 }
 {
  cl_object T0;
 cl_export(1, VV[50]);
 VV[51]= ecl_function_dispatch(cl_env_copy,VV[173])(3, VV[52], VV[28], ECL_SYM("FLOAT-SSE-PACK",1792)) /*  MAKE-PACK-OF-BIN */;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC20neg_ps,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_put_sysprop(VV[50], ECL_SYM("COMPILER-MACRO",238), T0);
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[3]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[178]);                          /*  NEG-PS          */
 }
 {
  cl_object T0;
 cl_export(1, VV[41]);
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC22not_ps,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_put_sysprop(VV[41], ECL_SYM("COMPILER-MACRO",238), T0);
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[4]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[179]);                          /*  NOT-PS          */
 }
 ecl_cmp_defun(VV[180]);                          /*  SHUFFLE-PS      */
 VV[61]= ecl_function_dispatch(cl_env_copy,VV[173])(3, VV[62], VV[28], ECL_SYM("DOUBLE-SSE-PACK",1793)) /*  MAKE-PACK-OF-BIN */;
 ecl_cmp_defmacro(VV[181]);                       /*  SET-TRUE-SD     */
 VV[64]= ecl_function_dispatch(cl_env_copy,VV[173])(3, ecl_make_fixnum(-1), VV[28], ECL_SYM("DOUBLE-SSE-PACK",1793)) /*  MAKE-PACK-OF-BIN */;
 ecl_cmp_defmacro(VV[182]);                       /*  SET-TRUE-PD     */
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC27__g131,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_put_sysprop(VV[66], ECL_SYM("SYMBOL-MACRO",1159), T0);
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC28__g132,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_put_sysprop(VV[68], ECL_SYM("SYMBOL-MACRO",1159), T0);
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC29__g133,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_put_sysprop(VV[70], ECL_SYM("SYMBOL-MACRO",1159), T0);
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC30__g134,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_put_sysprop(VV[71], ECL_SYM("SYMBOL-MACRO",1159), T0);
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC31__g135,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_put_sysprop(VV[73], ECL_SYM("SYMBOL-MACRO",1159), T0);
 }
 {
  cl_object T0;
 cl_export(1, VV[74]);
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC32if_pd,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_put_sysprop(VV[74], ECL_SYM("COMPILER-MACRO",238), T0);
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[5]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[183]);                          /*  IF-PD           */
 }
 {
  cl_object T0;
 cl_export(1, VV[80]);
 VV[82]= ecl_function_dispatch(cl_env_copy,VV[173])(3, VV[83], VV[28], ECL_SYM("DOUBLE-SSE-PACK",1793)) /*  MAKE-PACK-OF-BIN */;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC34neg_sd,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_put_sysprop(VV[80], ECL_SYM("COMPILER-MACRO",238), T0);
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[6]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[184]);                          /*  NEG-SD          */
 }
 {
  cl_object T0;
 cl_export(1, VV[85]);
 VV[86]= ecl_function_dispatch(cl_env_copy,VV[173])(3, VV[87], VV[28], ECL_SYM("DOUBLE-SSE-PACK",1793)) /*  MAKE-PACK-OF-BIN */;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC36neg_pd,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_put_sysprop(VV[85], ECL_SYM("COMPILER-MACRO",238), T0);
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[7]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[185]);                          /*  NEG-PD          */
 }
 {
  cl_object T0;
 cl_export(1, VV[75]);
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC38not_pd,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_put_sysprop(VV[75], ECL_SYM("COMPILER-MACRO",238), T0);
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[8]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[186]);                          /*  NOT-PD          */
 }
 ecl_cmp_defun(VV[187]);                          /*  SHUFFLE-PD      */
 VV[93]= ecl_function_dispatch(cl_env_copy,VV[173])(3, ecl_make_fixnum(-1), VV[28], ECL_SYM("INT-SSE-PACK",1791)) /*  MAKE-PACK-OF-BIN */;
 ecl_cmp_defmacro(VV[188]);                       /*  SET-TRUE-PI     */
 {
  cl_object T0;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC42__g166,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_put_sysprop(VV[95], ECL_SYM("SYMBOL-MACRO",1159), T0);
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC43__g167,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_put_sysprop(VV[97], ECL_SYM("SYMBOL-MACRO",1159), T0);
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC44__g168,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_put_sysprop(VV[99], ECL_SYM("SYMBOL-MACRO",1159), T0);
 }
 {
  cl_object T0;
 cl_export(1, VV[100]);
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC45if_pi,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_put_sysprop(VV[100], ECL_SYM("COMPILER-MACRO",238), T0);
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[9]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[189]);                          /*  IF-PI           */
 }
 {
  cl_object T0;
 cl_export(1, VV[106]);
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC47neg_pi8,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_put_sysprop(VV[106], ECL_SYM("COMPILER-MACRO",238), T0);
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[10]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[190]);                          /*  NEG-PI8         */
 cl_export(1, VV[109]);
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC49neg_pi16,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_put_sysprop(VV[109], ECL_SYM("COMPILER-MACRO",238), T0);
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[11]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[191]);                          /*  NEG-PI16        */
 cl_export(1, VV[112]);
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC51neg_pi32,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_put_sysprop(VV[112], ECL_SYM("COMPILER-MACRO",238), T0);
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[12]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[192]);                          /*  NEG-PI32        */
 cl_export(1, VV[115]);
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC53neg_pi64,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_put_sysprop(VV[115], ECL_SYM("COMPILER-MACRO",238), T0);
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[13]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[193]);                          /*  NEG-PI64        */
 }
 {
  cl_object T0;
 cl_export(1, VV[101]);
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC55not_pi,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_put_sysprop(VV[101], ECL_SYM("COMPILER-MACRO",238), T0);
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[14]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[194]);                          /*  NOT-PI          */
 }
 {
  cl_object T0;
 cl_export(1, VV[122]);
 si_putprop(VV[122], ECL_T, VV[3]);
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC57___pi8,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_put_sysprop(VV[122], ECL_SYM("COMPILER-MACRO",238), T0);
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[15]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[195]);                          /*  <=-PI8          */
 cl_export(1, VV[125]);
 si_putprop(VV[125], ECL_T, VV[3]);
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC59___pi16,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_put_sysprop(VV[125], ECL_SYM("COMPILER-MACRO",238), T0);
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[16]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[196]);                          /*  <=-PI16         */
 cl_export(1, VV[128]);
 si_putprop(VV[128], ECL_T, VV[3]);
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC61___pi32,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_put_sysprop(VV[128], ECL_SYM("COMPILER-MACRO",238), T0);
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[17]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[197]);                          /*  <=-PI32         */
 cl_export(1, VV[131]);
 si_putprop(VV[131], ECL_T, VV[3]);
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC63___pi8,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_put_sysprop(VV[131], ECL_SYM("COMPILER-MACRO",238), T0);
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[18]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[198]);                          /*  >=-PI8          */
 cl_export(1, VV[134]);
 si_putprop(VV[134], ECL_T, VV[3]);
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC65___pi16,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_put_sysprop(VV[134], ECL_SYM("COMPILER-MACRO",238), T0);
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[19]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[199]);                          /*  >=-PI16         */
 cl_export(1, VV[137]);
 si_putprop(VV[137], ECL_T, VV[3]);
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC67___pi32,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_put_sysprop(VV[137], ECL_SYM("COMPILER-MACRO",238), T0);
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[20]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[200]);                          /*  >=-PI32         */
 cl_export(1, VV[140]);
 si_putprop(VV[140], ECL_T, VV[3]);
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC69___pi8,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_put_sysprop(VV[140], ECL_SYM("COMPILER-MACRO",238), T0);
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[21]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[201]);                          /*  /=-PI8          */
 cl_export(1, VV[143]);
 si_putprop(VV[143], ECL_T, VV[3]);
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC71___pi16,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_put_sysprop(VV[143], ECL_SYM("COMPILER-MACRO",238), T0);
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[22]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[202]);                          /*  /=-PI16         */
 cl_export(1, VV[146]);
 si_putprop(VV[146], ECL_T, VV[3]);
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun((cl_objectfn_fixed)LC73___pi32,ECL_NIL,Cblock,2);
  T0 = V1;
 }
 si_put_sysprop(VV[146], ECL_SYM("COMPILER-MACRO",238), T0);
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[23]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[203]);                          /*  /=-PI32         */
 }
 ecl_cmp_defun(VV[204]);                          /*  SLLI-PI         */
 ecl_cmp_defun(VV[205]);                          /*  SRLI-PI         */
 ecl_cmp_defun(VV[206]);                          /*  EXTRACT-PI16    */
 ecl_cmp_defun(VV[207]);                          /*  INSERT-PI16     */
 ecl_cmp_defun(VV[208]);                          /*  SHUFFLE-PI32    */
 ecl_cmp_defun(VV[209]);                          /*  SHUFFLELO-PI16  */
 ecl_cmp_defun(VV[210]);                          /*  SHUFFLEHI-PI16  */
}
