/*	Compiler: ECL 12.12.1                                         */
/*	Source: EXT:CL-SIMD;SSE-ARRAY-DEFS.LISP                       */
#include <ecl/ecl-cmp.h>
#include "ext/sse-array-defs.eclh"
/*	local function AREF-PREFETCH-T0                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1aref_prefetch_t0(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ARRAY           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   {
    cl_object V5;                                 /*  VARR            */
    V5 = cl_gensym(1, _ecl_static_1);
    T0 = cl_list(2, V5, V4);
    T1 = ecl_list1(T0);
    T2 = cl_list(2, VV[2], V5);
    T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
    T4 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), V5, V3);
    T5 = cl_list(3, VV[1], V5, T4);
    value0 = cl_list(4, ECL_SYM("LET",477), T1, T3, T5);
    return value0;
   }
  }
 }
}
/*	function definition for ROW-MAJOR-AREF-PREFETCH-T0            */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L2row_major_aref_prefetch_t0(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = (_mm_prefetch((void*)ecl_row_major_ptr(V1,ecl_to_int(V2),0),_MM_HINT_T0),Cnil);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function AREF-PREFETCH-T1                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3aref_prefetch_t1(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ARRAY           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   {
    cl_object V5;                                 /*  VARR            */
    V5 = cl_gensym(1, _ecl_static_1);
    T0 = cl_list(2, V5, V4);
    T1 = ecl_list1(T0);
    T2 = cl_list(2, VV[2], V5);
    T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
    T4 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), V5, V3);
    T5 = cl_list(3, VV[9], V5, T4);
    value0 = cl_list(4, ECL_SYM("LET",477), T1, T3, T5);
    return value0;
   }
  }
 }
}
/*	function definition for ROW-MAJOR-AREF-PREFETCH-T1            */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L4row_major_aref_prefetch_t1(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = (_mm_prefetch((void*)ecl_row_major_ptr(V1,ecl_to_int(V2),0),_MM_HINT_T1),Cnil);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function AREF-PREFETCH-T2                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC5aref_prefetch_t2(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ARRAY           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   {
    cl_object V5;                                 /*  VARR            */
    V5 = cl_gensym(1, _ecl_static_1);
    T0 = cl_list(2, V5, V4);
    T1 = ecl_list1(T0);
    T2 = cl_list(2, VV[2], V5);
    T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
    T4 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), V5, V3);
    T5 = cl_list(3, VV[13], V5, T4);
    value0 = cl_list(4, ECL_SYM("LET",477), T1, T3, T5);
    return value0;
   }
  }
 }
}
/*	function definition for ROW-MAJOR-AREF-PREFETCH-T2            */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L6row_major_aref_prefetch_t2(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = (_mm_prefetch((void*)ecl_row_major_ptr(V1,ecl_to_int(V2),0),_MM_HINT_T2),Cnil);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function AREF-PREFETCH-NTA                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC7aref_prefetch_nta(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ARRAY           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   {
    cl_object V5;                                 /*  VARR            */
    V5 = cl_gensym(1, _ecl_static_1);
    T0 = cl_list(2, V5, V4);
    T1 = ecl_list1(T0);
    T2 = cl_list(2, VV[2], V5);
    T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
    T4 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), V5, V3);
    T5 = cl_list(3, VV[17], V5, T4);
    value0 = cl_list(4, ECL_SYM("LET",477), T1, T3, T5);
    return value0;
   }
  }
 }
}
/*	function definition for ROW-MAJOR-AREF-PREFETCH-NTA           */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L8row_major_aref_prefetch_nta(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = (_mm_prefetch((void*)ecl_row_major_ptr(V1,ecl_to_int(V2),0),_MM_HINT_NTA),Cnil);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function AREF-CLFLUSH                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC9aref_clflush(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ARRAY           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   {
    cl_object V5;                                 /*  VARR            */
    V5 = cl_gensym(1, _ecl_static_1);
    T0 = cl_list(2, V5, V4);
    T1 = ecl_list1(T0);
    T2 = cl_list(2, VV[2], V5);
    T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
    T4 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), V5, V3);
    T5 = cl_list(3, VV[21], V5, T4);
    value0 = cl_list(4, ECL_SYM("LET",477), T1, T3, T5);
    return value0;
   }
  }
 }
}
/*	function definition for ROW-MAJOR-AREF-CLFLUSH                */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L10row_major_aref_clflush(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = (_mm_clflush((void*)ecl_row_major_ptr(V1,ecl_to_int(V2),1)),Cnil);
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function AREF-SS                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC11aref_ss(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ARRAY           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   {
    cl_object V5;                                 /*  VARR            */
    V5 = cl_gensym(1, _ecl_static_1);
    T0 = cl_list(2, V5, V4);
    T1 = ecl_list1(T0);
    T2 = cl_list(2, VV[2], V5);
    T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
    T4 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), V5, V3);
    T5 = cl_list(3, VV[25], V5, T4);
    value0 = cl_list(4, ECL_SYM("LET",477), T1, T3, T5);
    return value0;
   }
  }
 }
}
/*	function definition for ROW-MAJOR-AREF-SS                     */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L12row_major_aref_ss(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_load_ss((float*)ecl_row_major_ptr(V1,ecl_to_int(V2),4)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function AREF-SS                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC13aref_ss(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  V3 = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object V4;                                  /*  LET2365         */
   cl_object V5;                                  /*  LET2366         */
   cl_object V6;                                  /*  LET2367         */
   V4 = cl_gensym(0);
   V5 = cl_gensym(0);
   V6 = cl_gensym(0);
   T0 = cl_list(2, V4, V5);
   T1 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), V4, V3);
   T2 = cl_list(2, V2, T1);
   T3 = ecl_list1(V6);
   T4 = cl_list(4, VV[29], V4, V5, V6);
   T5 = cl_list(3, VV[25], V4, V5);
   cl_env_copy->nvalues = 5;
   cl_env_copy->values[4] = T5;
   cl_env_copy->values[3] = T4;
   cl_env_copy->values[2] = T3;
   cl_env_copy->values[1] = T2;
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
  }
 }
}
/*	function definition for ROW-MAJOR-ASET-SS                     */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L14row_major_aset_ss(cl_object V1, cl_object V2, cl_object V3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  (_mm_store_ss((float*)ecl_row_major_ptr(V1,ecl_to_int(V2),4),ecl_unbox_float_sse_pack(V3)),ecl_unbox_float_sse_pack(V3));
  value0 = V3;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function AREF-PS                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC15aref_ps(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ARRAY           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   {
    cl_object V5;                                 /*  VARR            */
    V5 = cl_gensym(1, _ecl_static_1);
    T0 = cl_list(2, V5, V4);
    T1 = ecl_list1(T0);
    T2 = cl_list(2, VV[2], V5);
    T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
    T4 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), V5, V3);
    T5 = cl_list(3, VV[32], V5, T4);
    value0 = cl_list(4, ECL_SYM("LET",477), T1, T3, T5);
    return value0;
   }
  }
 }
}
/*	function definition for ROW-MAJOR-AREF-PS                     */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L16row_major_aref_ps(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_loadu_ps((float*)ecl_row_major_ptr(V1,ecl_to_int(V2),16)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function AREF-PS                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC17aref_ps(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  V3 = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object V4;                                  /*  LET2368         */
   cl_object V5;                                  /*  LET2369         */
   cl_object V6;                                  /*  LET2370         */
   V4 = cl_gensym(0);
   V5 = cl_gensym(0);
   V6 = cl_gensym(0);
   T0 = cl_list(2, V4, V5);
   T1 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), V4, V3);
   T2 = cl_list(2, V2, T1);
   T3 = ecl_list1(V6);
   T4 = cl_list(4, VV[35], V4, V5, V6);
   T5 = cl_list(3, VV[32], V4, V5);
   cl_env_copy->nvalues = 5;
   cl_env_copy->values[4] = T5;
   cl_env_copy->values[3] = T4;
   cl_env_copy->values[2] = T3;
   cl_env_copy->values[1] = T2;
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
  }
 }
}
/*	function definition for ROW-MAJOR-ASET-PS                     */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L18row_major_aset_ps(cl_object V1, cl_object V2, cl_object V3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  (_mm_storeu_ps((float*)ecl_row_major_ptr(V1,ecl_to_int(V2),16),ecl_unbox_float_sse_pack(V3)),ecl_unbox_float_sse_pack(V3));
  value0 = V3;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function AREF-APS                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC19aref_aps(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ARRAY           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   {
    cl_object V5;                                 /*  VARR            */
    V5 = cl_gensym(1, _ecl_static_1);
    T0 = cl_list(2, V5, V4);
    T1 = ecl_list1(T0);
    T2 = cl_list(2, VV[2], V5);
    T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
    T4 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), V5, V3);
    T5 = cl_list(3, VV[38], V5, T4);
    value0 = cl_list(4, ECL_SYM("LET",477), T1, T3, T5);
    return value0;
   }
  }
 }
}
/*	function definition for ROW-MAJOR-AREF-APS                    */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L20row_major_aref_aps(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_load_ps((float*)ecl_row_major_ptr(V1,ecl_to_int(V2),16)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function AREF-APS                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC21aref_aps(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  V3 = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object V4;                                  /*  LET2371         */
   cl_object V5;                                  /*  LET2372         */
   cl_object V6;                                  /*  LET2373         */
   V4 = cl_gensym(0);
   V5 = cl_gensym(0);
   V6 = cl_gensym(0);
   T0 = cl_list(2, V4, V5);
   T1 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), V4, V3);
   T2 = cl_list(2, V2, T1);
   T3 = ecl_list1(V6);
   T4 = cl_list(4, VV[41], V4, V5, V6);
   T5 = cl_list(3, VV[38], V4, V5);
   cl_env_copy->nvalues = 5;
   cl_env_copy->values[4] = T5;
   cl_env_copy->values[3] = T4;
   cl_env_copy->values[2] = T3;
   cl_env_copy->values[1] = T2;
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
  }
 }
}
/*	function definition for ROW-MAJOR-ASET-APS                    */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L22row_major_aset_aps(cl_object V1, cl_object V2, cl_object V3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  (_mm_store_ps((float*)ecl_row_major_ptr(V1,ecl_to_int(V2),16),ecl_unbox_float_sse_pack(V3)),ecl_unbox_float_sse_pack(V3));
  value0 = V3;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function AREF-SPS                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC23aref_sps(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ARRAY           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   {
    cl_object V5;                                 /*  VARR            */
    V5 = cl_gensym(1, _ecl_static_1);
    T0 = cl_list(2, V5, V4);
    T1 = ecl_list1(T0);
    T2 = cl_list(2, VV[2], V5);
    T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
    T4 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), V5, V3);
    T5 = cl_list(3, VV[44], V5, T4);
    value0 = cl_list(4, ECL_SYM("LET",477), T1, T3, T5);
    return value0;
   }
  }
 }
}
/*	function definition for ROW-MAJOR-AREF-SPS                    */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L24row_major_aref_sps(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_make_float_sse_pack(_mm_load_ps((float*)ecl_row_major_ptr(V1,ecl_to_int(V2),16)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function AREF-SPS                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC25aref_sps(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  V3 = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object V4;                                  /*  LET2374         */
   cl_object V5;                                  /*  LET2375         */
   cl_object V6;                                  /*  LET2376         */
   V4 = cl_gensym(0);
   V5 = cl_gensym(0);
   V6 = cl_gensym(0);
   T0 = cl_list(2, V4, V5);
   T1 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), V4, V3);
   T2 = cl_list(2, V2, T1);
   T3 = ecl_list1(V6);
   T4 = cl_list(4, VV[47], V4, V5, V6);
   T5 = cl_list(3, VV[44], V4, V5);
   cl_env_copy->nvalues = 5;
   cl_env_copy->values[4] = T5;
   cl_env_copy->values[3] = T4;
   cl_env_copy->values[2] = T3;
   cl_env_copy->values[1] = T2;
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
  }
 }
}
/*	function definition for ROW-MAJOR-ASET-SPS                    */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L26row_major_aset_sps(cl_object V1, cl_object V2, cl_object V3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  (_mm_stream_ps((float*)ecl_row_major_ptr(V1,ecl_to_int(V2),16),ecl_unbox_float_sse_pack(V3)),ecl_unbox_float_sse_pack(V3));
  value0 = V3;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function AREF-SD                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC27aref_sd(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ARRAY           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   {
    cl_object V5;                                 /*  VARR            */
    V5 = cl_gensym(1, _ecl_static_1);
    T0 = cl_list(2, V5, V4);
    T1 = ecl_list1(T0);
    T2 = cl_list(2, VV[2], V5);
    T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
    T4 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), V5, V3);
    T5 = cl_list(3, VV[50], V5, T4);
    value0 = cl_list(4, ECL_SYM("LET",477), T1, T3, T5);
    return value0;
   }
  }
 }
}
/*	function definition for ROW-MAJOR-AREF-SD                     */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L28row_major_aref_sd(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_load_sd((double*)ecl_row_major_ptr(V1,ecl_to_int(V2),8)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function AREF-SD                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC29aref_sd(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  V3 = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object V4;                                  /*  LET2377         */
   cl_object V5;                                  /*  LET2378         */
   cl_object V6;                                  /*  LET2379         */
   V4 = cl_gensym(0);
   V5 = cl_gensym(0);
   V6 = cl_gensym(0);
   T0 = cl_list(2, V4, V5);
   T1 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), V4, V3);
   T2 = cl_list(2, V2, T1);
   T3 = ecl_list1(V6);
   T4 = cl_list(4, VV[54], V4, V5, V6);
   T5 = cl_list(3, VV[50], V4, V5);
   cl_env_copy->nvalues = 5;
   cl_env_copy->values[4] = T5;
   cl_env_copy->values[3] = T4;
   cl_env_copy->values[2] = T3;
   cl_env_copy->values[1] = T2;
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
  }
 }
}
/*	function definition for ROW-MAJOR-ASET-SD                     */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L30row_major_aset_sd(cl_object V1, cl_object V2, cl_object V3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  (_mm_store_sd((double*)ecl_row_major_ptr(V1,ecl_to_int(V2),8),ecl_unbox_double_sse_pack(V3)),ecl_unbox_double_sse_pack(V3));
  value0 = V3;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function AREF-PD                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC31aref_pd(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ARRAY           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   {
    cl_object V5;                                 /*  VARR            */
    V5 = cl_gensym(1, _ecl_static_1);
    T0 = cl_list(2, V5, V4);
    T1 = ecl_list1(T0);
    T2 = cl_list(2, VV[2], V5);
    T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
    T4 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), V5, V3);
    T5 = cl_list(3, VV[57], V5, T4);
    value0 = cl_list(4, ECL_SYM("LET",477), T1, T3, T5);
    return value0;
   }
  }
 }
}
/*	function definition for ROW-MAJOR-AREF-PD                     */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L32row_major_aref_pd(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_loadu_pd((double*)ecl_row_major_ptr(V1,ecl_to_int(V2),16)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function AREF-PD                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC33aref_pd(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  V3 = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object V4;                                  /*  LET2380         */
   cl_object V5;                                  /*  LET2381         */
   cl_object V6;                                  /*  LET2382         */
   V4 = cl_gensym(0);
   V5 = cl_gensym(0);
   V6 = cl_gensym(0);
   T0 = cl_list(2, V4, V5);
   T1 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), V4, V3);
   T2 = cl_list(2, V2, T1);
   T3 = ecl_list1(V6);
   T4 = cl_list(4, VV[60], V4, V5, V6);
   T5 = cl_list(3, VV[57], V4, V5);
   cl_env_copy->nvalues = 5;
   cl_env_copy->values[4] = T5;
   cl_env_copy->values[3] = T4;
   cl_env_copy->values[2] = T3;
   cl_env_copy->values[1] = T2;
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
  }
 }
}
/*	function definition for ROW-MAJOR-ASET-PD                     */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L34row_major_aset_pd(cl_object V1, cl_object V2, cl_object V3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  (_mm_storeu_pd((double*)ecl_row_major_ptr(V1,ecl_to_int(V2),16),ecl_unbox_double_sse_pack(V3)),ecl_unbox_double_sse_pack(V3));
  value0 = V3;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function AREF-APD                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC35aref_apd(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ARRAY           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   {
    cl_object V5;                                 /*  VARR            */
    V5 = cl_gensym(1, _ecl_static_1);
    T0 = cl_list(2, V5, V4);
    T1 = ecl_list1(T0);
    T2 = cl_list(2, VV[2], V5);
    T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
    T4 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), V5, V3);
    T5 = cl_list(3, VV[63], V5, T4);
    value0 = cl_list(4, ECL_SYM("LET",477), T1, T3, T5);
    return value0;
   }
  }
 }
}
/*	function definition for ROW-MAJOR-AREF-APD                    */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L36row_major_aref_apd(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_load_pd((double*)ecl_row_major_ptr(V1,ecl_to_int(V2),16)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function AREF-APD                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC37aref_apd(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  V3 = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object V4;                                  /*  LET2383         */
   cl_object V5;                                  /*  LET2384         */
   cl_object V6;                                  /*  LET2385         */
   V4 = cl_gensym(0);
   V5 = cl_gensym(0);
   V6 = cl_gensym(0);
   T0 = cl_list(2, V4, V5);
   T1 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), V4, V3);
   T2 = cl_list(2, V2, T1);
   T3 = ecl_list1(V6);
   T4 = cl_list(4, VV[66], V4, V5, V6);
   T5 = cl_list(3, VV[63], V4, V5);
   cl_env_copy->nvalues = 5;
   cl_env_copy->values[4] = T5;
   cl_env_copy->values[3] = T4;
   cl_env_copy->values[2] = T3;
   cl_env_copy->values[1] = T2;
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
  }
 }
}
/*	function definition for ROW-MAJOR-ASET-APD                    */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L38row_major_aset_apd(cl_object V1, cl_object V2, cl_object V3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  (_mm_store_pd((double*)ecl_row_major_ptr(V1,ecl_to_int(V2),16),ecl_unbox_double_sse_pack(V3)),ecl_unbox_double_sse_pack(V3));
  value0 = V3;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function AREF-SPD                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC39aref_spd(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ARRAY           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   {
    cl_object V5;                                 /*  VARR            */
    V5 = cl_gensym(1, _ecl_static_1);
    T0 = cl_list(2, V5, V4);
    T1 = ecl_list1(T0);
    T2 = cl_list(2, VV[2], V5);
    T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
    T4 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), V5, V3);
    T5 = cl_list(3, VV[69], V5, T4);
    value0 = cl_list(4, ECL_SYM("LET",477), T1, T3, T5);
    return value0;
   }
  }
 }
}
/*	function definition for ROW-MAJOR-AREF-SPD                    */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L40row_major_aref_spd(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_make_double_sse_pack(_mm_load_pd((double*)ecl_row_major_ptr(V1,ecl_to_int(V2),16)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function AREF-SPD                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC41aref_spd(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  V3 = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object V4;                                  /*  LET2386         */
   cl_object V5;                                  /*  LET2387         */
   cl_object V6;                                  /*  LET2388         */
   V4 = cl_gensym(0);
   V5 = cl_gensym(0);
   V6 = cl_gensym(0);
   T0 = cl_list(2, V4, V5);
   T1 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), V4, V3);
   T2 = cl_list(2, V2, T1);
   T3 = ecl_list1(V6);
   T4 = cl_list(4, VV[72], V4, V5, V6);
   T5 = cl_list(3, VV[69], V4, V5);
   cl_env_copy->nvalues = 5;
   cl_env_copy->values[4] = T5;
   cl_env_copy->values[3] = T4;
   cl_env_copy->values[2] = T3;
   cl_env_copy->values[1] = T2;
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
  }
 }
}
/*	function definition for ROW-MAJOR-ASET-SPD                    */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L42row_major_aset_spd(cl_object V1, cl_object V2, cl_object V3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  (_mm_stream_pd((double*)ecl_row_major_ptr(V1,ecl_to_int(V2),16),ecl_unbox_double_sse_pack(V3)),ecl_unbox_double_sse_pack(V3));
  value0 = V3;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function AREF-SI64                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC43aref_si64(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ARRAY           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   {
    cl_object V5;                                 /*  VARR            */
    V5 = cl_gensym(1, _ecl_static_1);
    T0 = cl_list(2, V5, V4);
    T1 = ecl_list1(T0);
    T2 = cl_list(2, VV[2], V5);
    T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
    T4 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), V5, V3);
    T5 = cl_list(3, VV[75], V5, T4);
    value0 = cl_list(4, ECL_SYM("LET",477), T1, T3, T5);
    return value0;
   }
  }
 }
}
/*	function definition for ROW-MAJOR-AREF-SI64                   */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L44row_major_aref_si64(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_loadl_epi64((__m128i*)ecl_row_major_ptr(V1,ecl_to_int(V2),8)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function AREF-SI64                                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC45aref_si64(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  V3 = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object V4;                                  /*  LET2389         */
   cl_object V5;                                  /*  LET2390         */
   cl_object V6;                                  /*  LET2391         */
   V4 = cl_gensym(0);
   V5 = cl_gensym(0);
   V6 = cl_gensym(0);
   T0 = cl_list(2, V4, V5);
   T1 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), V4, V3);
   T2 = cl_list(2, V2, T1);
   T3 = ecl_list1(V6);
   T4 = cl_list(4, VV[79], V4, V5, V6);
   T5 = cl_list(3, VV[75], V4, V5);
   cl_env_copy->nvalues = 5;
   cl_env_copy->values[4] = T5;
   cl_env_copy->values[3] = T4;
   cl_env_copy->values[2] = T3;
   cl_env_copy->values[1] = T2;
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
  }
 }
}
/*	function definition for ROW-MAJOR-ASET-SI64                   */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L46row_major_aset_si64(cl_object V1, cl_object V2, cl_object V3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  (_mm_storel_epi64((__m128i*)ecl_row_major_ptr(V1,ecl_to_int(V2),8),ecl_unbox_int_sse_pack(V3)),ecl_unbox_int_sse_pack(V3));
  value0 = V3;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function AREF-PI                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC47aref_pi(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ARRAY           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   {
    cl_object V5;                                 /*  VARR            */
    V5 = cl_gensym(1, _ecl_static_1);
    T0 = cl_list(2, V5, V4);
    T1 = ecl_list1(T0);
    T2 = cl_list(2, VV[2], V5);
    T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
    T4 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), V5, V3);
    T5 = cl_list(3, VV[82], V5, T4);
    value0 = cl_list(4, ECL_SYM("LET",477), T1, T3, T5);
    return value0;
   }
  }
 }
}
/*	function definition for ROW-MAJOR-AREF-PI                     */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L48row_major_aref_pi(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_loadu_si128((__m128i*)ecl_row_major_ptr(V1,ecl_to_int(V2),16)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function AREF-PI                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC49aref_pi(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  V3 = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object V4;                                  /*  LET2392         */
   cl_object V5;                                  /*  LET2393         */
   cl_object V6;                                  /*  LET2394         */
   V4 = cl_gensym(0);
   V5 = cl_gensym(0);
   V6 = cl_gensym(0);
   T0 = cl_list(2, V4, V5);
   T1 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), V4, V3);
   T2 = cl_list(2, V2, T1);
   T3 = ecl_list1(V6);
   T4 = cl_list(4, VV[85], V4, V5, V6);
   T5 = cl_list(3, VV[82], V4, V5);
   cl_env_copy->nvalues = 5;
   cl_env_copy->values[4] = T5;
   cl_env_copy->values[3] = T4;
   cl_env_copy->values[2] = T3;
   cl_env_copy->values[1] = T2;
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
  }
 }
}
/*	function definition for ROW-MAJOR-ASET-PI                     */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L50row_major_aset_pi(cl_object V1, cl_object V2, cl_object V3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  (_mm_storeu_si128((__m128i*)ecl_row_major_ptr(V1,ecl_to_int(V2),16),ecl_unbox_int_sse_pack(V3)),ecl_unbox_int_sse_pack(V3));
  value0 = V3;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function AREF-API                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC51aref_api(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ARRAY           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   {
    cl_object V5;                                 /*  VARR            */
    V5 = cl_gensym(1, _ecl_static_1);
    T0 = cl_list(2, V5, V4);
    T1 = ecl_list1(T0);
    T2 = cl_list(2, VV[2], V5);
    T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
    T4 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), V5, V3);
    T5 = cl_list(3, VV[88], V5, T4);
    value0 = cl_list(4, ECL_SYM("LET",477), T1, T3, T5);
    return value0;
   }
  }
 }
}
/*	function definition for ROW-MAJOR-AREF-API                    */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L52row_major_aref_api(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_load_si128((__m128i*)ecl_row_major_ptr(V1,ecl_to_int(V2),16)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function AREF-API                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC53aref_api(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  V3 = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object V4;                                  /*  LET2395         */
   cl_object V5;                                  /*  LET2396         */
   cl_object V6;                                  /*  LET2397         */
   V4 = cl_gensym(0);
   V5 = cl_gensym(0);
   V6 = cl_gensym(0);
   T0 = cl_list(2, V4, V5);
   T1 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), V4, V3);
   T2 = cl_list(2, V2, T1);
   T3 = ecl_list1(V6);
   T4 = cl_list(4, VV[91], V4, V5, V6);
   T5 = cl_list(3, VV[88], V4, V5);
   cl_env_copy->nvalues = 5;
   cl_env_copy->values[4] = T5;
   cl_env_copy->values[3] = T4;
   cl_env_copy->values[2] = T3;
   cl_env_copy->values[1] = T2;
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
  }
 }
}
/*	function definition for ROW-MAJOR-ASET-API                    */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L54row_major_aset_api(cl_object V1, cl_object V2, cl_object V3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  (_mm_store_si128((__m128i*)ecl_row_major_ptr(V1,ecl_to_int(V2),16),ecl_unbox_int_sse_pack(V3)),ecl_unbox_int_sse_pack(V3));
  value0 = V3;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function AREF-SPI                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC55aref_spi(cl_object V1, cl_object V2)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object V3;
   cl_object V4;                                  /*  ARRAY           */
   V3 = ecl_cdr(V1);
   if (!(V3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(V1);
L3:;
   {
    cl_object V5;
    V5 = ecl_car(V3);
    V3 = ecl_cdr(V3);
    V4 = V5;
   }
   {
    cl_object V5;                                 /*  VARR            */
    V5 = cl_gensym(1, _ecl_static_1);
    T0 = cl_list(2, V5, V4);
    T1 = ecl_list1(T0);
    T2 = cl_list(2, VV[2], V5);
    T3 = cl_list(2, ECL_SYM("DECLARE",274), T2);
    T4 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), V5, V3);
    T5 = cl_list(3, VV[94], V5, T4);
    value0 = cl_list(4, ECL_SYM("LET",477), T1, T3, T5);
    return value0;
   }
  }
 }
}
/*	function definition for ROW-MAJOR-AREF-SPI                    */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L56row_major_aref_spi(cl_object V1, cl_object V2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  value0 = ecl_make_int_sse_pack(_mm_load_si128((__m128i*)ecl_row_major_ptr(V1,ecl_to_int(V2),16)));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	local function AREF-SPI                                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC57aref_spi(cl_narg narg, cl_object V1, cl_object V2, ...)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
 {
  cl_object V3;
  ecl_va_list args; ecl_va_start(args,V2,narg,2);
  V3 = cl_grab_rest_args(args);
  ecl_va_end(args);
  {
   cl_object V4;                                  /*  LET2398         */
   cl_object V5;                                  /*  LET2399         */
   cl_object V6;                                  /*  LET2400         */
   V4 = cl_gensym(0);
   V5 = cl_gensym(0);
   V6 = cl_gensym(0);
   T0 = cl_list(2, V4, V5);
   T1 = cl_listX(3, ECL_SYM("ARRAY-ROW-MAJOR-INDEX",106), V4, V3);
   T2 = cl_list(2, V2, T1);
   T3 = ecl_list1(V6);
   T4 = cl_list(4, VV[97], V4, V5, V6);
   T5 = cl_list(3, VV[94], V4, V5);
   cl_env_copy->nvalues = 5;
   cl_env_copy->values[4] = T5;
   cl_env_copy->values[3] = T4;
   cl_env_copy->values[2] = T3;
   cl_env_copy->values[1] = T2;
   cl_env_copy->values[0] = T0;
   return cl_env_copy->values[0];
  }
 }
}
/*	function definition for ROW-MAJOR-ASET-SPI                    */
/*	optimize speed 0, debug 0, space 1, safety 2                  */
static cl_object L58row_major_aset_spi(cl_object V1, cl_object V2, cl_object V3)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  (_mm_stream_si128((__m128i*)ecl_row_major_ptr(V1,ecl_to_int(V2),16),ecl_unbox_int_sse_pack(V3)),ecl_unbox_int_sse_pack(V3));
  value0 = V3;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}

#include "ext/sse-array-defs.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _ecl4e6uxycPj0Sn9_K8sgOl01(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.data_text_size = compiler_data_text_size;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("EXT:CL-SIMD;SSE-ARRAY-DEFS.LISP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = "@EcLtAg:_ecl4e6uxycPj0Sn9_K8sgOl01@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
 si_select_package(_ecl_static_0);
 cl_export(1, VV[0]);
 cl_export(1, VV[1]);
 ecl_cmp_defmacro(VV[99]);                        /*  AREF-PREFETCH-T0 */
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[0]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[100]);                          /*  ROW-MAJOR-AREF-PREFETCH-T0 */
 ecl_function_dispatch(cl_env_copy,VV[101])(7, VV[1], VV[5], VVtemp[1], ECL_SYM("OBJECT",1278), VVtemp[2], VV[6], ECL_T) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[1], VV[5], VVtemp[3], ECL_SYM("OBJECT",1278), VVtemp[4]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[1], VV[7], VVtemp[5], ECL_SYM("OBJECT",1278), VVtemp[6]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[1], VV[7], VVtemp[7], ECL_SYM("OBJECT",1278), VVtemp[8]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[1], VV[7], VVtemp[9], ECL_SYM("OBJECT",1278), VVtemp[10]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[1], VV[7], VVtemp[11], ECL_SYM("OBJECT",1278), VVtemp[12]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[1], VV[7], VVtemp[13], ECL_SYM("OBJECT",1278), VVtemp[14]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[1], VV[7], VVtemp[15], ECL_SYM("OBJECT",1278), VVtemp[16]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[1], VV[7], VVtemp[17], ECL_SYM("OBJECT",1278), VVtemp[18]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[1], VV[7], VVtemp[19], ECL_SYM("OBJECT",1278), VVtemp[20]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[1], VV[7], VVtemp[21], ECL_SYM("OBJECT",1278), VVtemp[22]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[1], VV[7], VVtemp[23], ECL_SYM("OBJECT",1278), VVtemp[24]) /*  DEF-INLINE */;
 cl_export(1, VV[8]);
 cl_export(1, VV[9]);
 ecl_cmp_defmacro(VV[102]);                       /*  AREF-PREFETCH-T1 */
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[25]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[103]);                          /*  ROW-MAJOR-AREF-PREFETCH-T1 */
 ecl_function_dispatch(cl_env_copy,VV[101])(7, VV[9], VV[5], VVtemp[1], ECL_SYM("OBJECT",1278), VVtemp[26], VV[6], ECL_T) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[9], VV[5], VVtemp[3], ECL_SYM("OBJECT",1278), VVtemp[27]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[9], VV[7], VVtemp[5], ECL_SYM("OBJECT",1278), VVtemp[28]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[9], VV[7], VVtemp[7], ECL_SYM("OBJECT",1278), VVtemp[29]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[9], VV[7], VVtemp[9], ECL_SYM("OBJECT",1278), VVtemp[30]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[9], VV[7], VVtemp[11], ECL_SYM("OBJECT",1278), VVtemp[31]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[9], VV[7], VVtemp[13], ECL_SYM("OBJECT",1278), VVtemp[32]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[9], VV[7], VVtemp[15], ECL_SYM("OBJECT",1278), VVtemp[33]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[9], VV[7], VVtemp[17], ECL_SYM("OBJECT",1278), VVtemp[34]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[9], VV[7], VVtemp[19], ECL_SYM("OBJECT",1278), VVtemp[35]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[9], VV[7], VVtemp[21], ECL_SYM("OBJECT",1278), VVtemp[36]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[9], VV[7], VVtemp[23], ECL_SYM("OBJECT",1278), VVtemp[37]) /*  DEF-INLINE */;
 cl_export(1, VV[12]);
 cl_export(1, VV[13]);
 ecl_cmp_defmacro(VV[104]);                       /*  AREF-PREFETCH-T2 */
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[38]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[105]);                          /*  ROW-MAJOR-AREF-PREFETCH-T2 */
 ecl_function_dispatch(cl_env_copy,VV[101])(7, VV[13], VV[5], VVtemp[1], ECL_SYM("OBJECT",1278), VVtemp[39], VV[6], ECL_T) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[13], VV[5], VVtemp[3], ECL_SYM("OBJECT",1278), VVtemp[40]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[13], VV[7], VVtemp[5], ECL_SYM("OBJECT",1278), VVtemp[41]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[13], VV[7], VVtemp[7], ECL_SYM("OBJECT",1278), VVtemp[42]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[13], VV[7], VVtemp[9], ECL_SYM("OBJECT",1278), VVtemp[43]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[13], VV[7], VVtemp[11], ECL_SYM("OBJECT",1278), VVtemp[44]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[13], VV[7], VVtemp[13], ECL_SYM("OBJECT",1278), VVtemp[45]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[13], VV[7], VVtemp[15], ECL_SYM("OBJECT",1278), VVtemp[46]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[13], VV[7], VVtemp[17], ECL_SYM("OBJECT",1278), VVtemp[47]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[13], VV[7], VVtemp[19], ECL_SYM("OBJECT",1278), VVtemp[48]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[13], VV[7], VVtemp[21], ECL_SYM("OBJECT",1278), VVtemp[49]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[13], VV[7], VVtemp[23], ECL_SYM("OBJECT",1278), VVtemp[50]) /*  DEF-INLINE */;
 cl_export(1, VV[16]);
 cl_export(1, VV[17]);
 ecl_cmp_defmacro(VV[106]);                       /*  AREF-PREFETCH-NTA */
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[51]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[107]);                          /*  ROW-MAJOR-AREF-PREFETCH-NTA */
 ecl_function_dispatch(cl_env_copy,VV[101])(7, VV[17], VV[5], VVtemp[1], ECL_SYM("OBJECT",1278), VVtemp[52], VV[6], ECL_T) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[17], VV[5], VVtemp[3], ECL_SYM("OBJECT",1278), VVtemp[53]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[17], VV[7], VVtemp[5], ECL_SYM("OBJECT",1278), VVtemp[54]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[17], VV[7], VVtemp[7], ECL_SYM("OBJECT",1278), VVtemp[55]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[17], VV[7], VVtemp[9], ECL_SYM("OBJECT",1278), VVtemp[56]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[17], VV[7], VVtemp[11], ECL_SYM("OBJECT",1278), VVtemp[57]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[17], VV[7], VVtemp[13], ECL_SYM("OBJECT",1278), VVtemp[58]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[17], VV[7], VVtemp[15], ECL_SYM("OBJECT",1278), VVtemp[59]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[17], VV[7], VVtemp[17], ECL_SYM("OBJECT",1278), VVtemp[60]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[17], VV[7], VVtemp[19], ECL_SYM("OBJECT",1278), VVtemp[61]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[17], VV[7], VVtemp[21], ECL_SYM("OBJECT",1278), VVtemp[62]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[17], VV[7], VVtemp[23], ECL_SYM("OBJECT",1278), VVtemp[63]) /*  DEF-INLINE */;
 cl_export(1, VV[20]);
 cl_export(1, VV[21]);
 ecl_cmp_defmacro(VV[108]);                       /*  AREF-CLFLUSH    */
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[64]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[109]);                          /*  ROW-MAJOR-AREF-CLFLUSH */
 ecl_function_dispatch(cl_env_copy,VV[101])(7, VV[21], VV[5], VVtemp[1], ECL_SYM("OBJECT",1278), VVtemp[65], VV[6], ECL_T) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[21], VV[5], VVtemp[3], ECL_SYM("OBJECT",1278), VVtemp[66]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[21], VV[7], VVtemp[5], ECL_SYM("OBJECT",1278), VVtemp[67]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[21], VV[7], VVtemp[7], ECL_SYM("OBJECT",1278), VVtemp[68]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[21], VV[7], VVtemp[9], ECL_SYM("OBJECT",1278), VVtemp[69]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[21], VV[7], VVtemp[11], ECL_SYM("OBJECT",1278), VVtemp[70]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[21], VV[7], VVtemp[13], ECL_SYM("OBJECT",1278), VVtemp[71]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[21], VV[7], VVtemp[15], ECL_SYM("OBJECT",1278), VVtemp[72]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[21], VV[7], VVtemp[17], ECL_SYM("OBJECT",1278), VVtemp[73]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[21], VV[7], VVtemp[19], ECL_SYM("OBJECT",1278), VVtemp[74]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[21], VV[7], VVtemp[21], ECL_SYM("OBJECT",1278), VVtemp[75]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[21], VV[7], VVtemp[23], ECL_SYM("OBJECT",1278), VVtemp[76]) /*  DEF-INLINE */;
 {
  cl_object T0;
 cl_export(1, VV[24]);
 cl_export(1, VV[25]);
 ecl_cmp_defmacro(VV[110]);                       /*  AREF-SS         */
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[77]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[111]);                          /*  ROW-MAJOR-AREF-SS */
 ecl_function_dispatch(cl_env_copy,VV[101])(7, VV[25], VV[5], VVtemp[1], VV[28], VVtemp[78], VV[6], ECL_T) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[25], VV[5], VVtemp[3], VV[28], VVtemp[79]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[25], VV[7], VVtemp[5], VV[28], VVtemp[80]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[25], VV[7], VVtemp[7], VV[28], VVtemp[81]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[25], VV[7], VVtemp[9], VV[28], VVtemp[82]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[25], VV[7], VVtemp[11], VV[28], VVtemp[83]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[25], VV[7], VVtemp[13], VV[28], VVtemp[84]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[25], VV[7], VVtemp[15], VV[28], VVtemp[85]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[25], VV[7], VVtemp[17], VV[28], VVtemp[86]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[25], VV[7], VVtemp[19], VV[28], VVtemp[87]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[25], VV[7], VVtemp[21], VV[28], VVtemp[88]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[25], VV[7], VVtemp[23], VV[28], VVtemp[89]) /*  DEF-INLINE */;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun_va((cl_objectfn)LC13aref_ss,ECL_NIL,Cblock);
  T0 = V1;
 }
 si_do_define_setf_method(VV[24], T0);
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[90]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[112]);                          /*  ROW-MAJOR-ASET-SS */
 si_do_defsetf(VV[25], VV[29]);
 ecl_function_dispatch(cl_env_copy,VV[101])(7, VV[29], VV[5], VVtemp[91], VV[28], VVtemp[92], VV[6], ECL_T) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[29], VV[5], VVtemp[93], VV[28], VVtemp[94]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[29], VV[7], VVtemp[95], VV[28], VVtemp[96]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[29], VV[7], VVtemp[97], VV[28], VVtemp[98]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[29], VV[7], VVtemp[99], VV[28], VVtemp[100]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[29], VV[7], VVtemp[101], VV[28], VVtemp[102]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[29], VV[7], VVtemp[103], VV[28], VVtemp[104]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[29], VV[7], VVtemp[105], VV[28], VVtemp[106]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[29], VV[7], VVtemp[107], VV[28], VVtemp[108]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[29], VV[7], VVtemp[109], VV[28], VVtemp[110]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[29], VV[7], VVtemp[111], VV[28], VVtemp[112]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[29], VV[7], VVtemp[113], VV[28], VVtemp[114]) /*  DEF-INLINE */;
 }
 {
  cl_object T0;
 cl_export(1, VV[31]);
 cl_export(1, VV[32]);
 ecl_cmp_defmacro(VV[113]);                       /*  AREF-PS         */
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[115]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[114]);                          /*  ROW-MAJOR-AREF-PS */
 ecl_function_dispatch(cl_env_copy,VV[101])(7, VV[32], VV[5], VVtemp[1], VV[28], VVtemp[116], VV[6], ECL_T) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[32], VV[5], VVtemp[3], VV[28], VVtemp[117]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[32], VV[7], VVtemp[5], VV[28], VVtemp[118]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[32], VV[7], VVtemp[7], VV[28], VVtemp[119]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[32], VV[7], VVtemp[9], VV[28], VVtemp[120]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[32], VV[7], VVtemp[11], VV[28], VVtemp[121]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[32], VV[7], VVtemp[13], VV[28], VVtemp[122]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[32], VV[7], VVtemp[15], VV[28], VVtemp[123]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[32], VV[7], VVtemp[17], VV[28], VVtemp[124]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[32], VV[7], VVtemp[19], VV[28], VVtemp[125]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[32], VV[7], VVtemp[21], VV[28], VVtemp[126]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[32], VV[7], VVtemp[23], VV[28], VVtemp[127]) /*  DEF-INLINE */;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun_va((cl_objectfn)LC17aref_ps,ECL_NIL,Cblock);
  T0 = V1;
 }
 si_do_define_setf_method(VV[31], T0);
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[128]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[115]);                          /*  ROW-MAJOR-ASET-PS */
 si_do_defsetf(VV[32], VV[35]);
 ecl_function_dispatch(cl_env_copy,VV[101])(7, VV[35], VV[5], VVtemp[91], VV[28], VVtemp[129], VV[6], ECL_T) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[35], VV[5], VVtemp[93], VV[28], VVtemp[130]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[35], VV[7], VVtemp[95], VV[28], VVtemp[131]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[35], VV[7], VVtemp[97], VV[28], VVtemp[132]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[35], VV[7], VVtemp[99], VV[28], VVtemp[133]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[35], VV[7], VVtemp[101], VV[28], VVtemp[134]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[35], VV[7], VVtemp[103], VV[28], VVtemp[135]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[35], VV[7], VVtemp[105], VV[28], VVtemp[136]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[35], VV[7], VVtemp[107], VV[28], VVtemp[137]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[35], VV[7], VVtemp[109], VV[28], VVtemp[138]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[35], VV[7], VVtemp[111], VV[28], VVtemp[139]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[35], VV[7], VVtemp[113], VV[28], VVtemp[140]) /*  DEF-INLINE */;
 }
 {
  cl_object T0;
 cl_export(1, VV[37]);
 cl_export(1, VV[38]);
 ecl_cmp_defmacro(VV[116]);                       /*  AREF-APS        */
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[141]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[117]);                          /*  ROW-MAJOR-AREF-APS */
 ecl_function_dispatch(cl_env_copy,VV[101])(7, VV[38], VV[5], VVtemp[1], VV[28], VVtemp[142], VV[6], ECL_T) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[38], VV[5], VVtemp[3], VV[28], VVtemp[143]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[38], VV[7], VVtemp[5], VV[28], VVtemp[144]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[38], VV[7], VVtemp[7], VV[28], VVtemp[145]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[38], VV[7], VVtemp[9], VV[28], VVtemp[146]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[38], VV[7], VVtemp[11], VV[28], VVtemp[147]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[38], VV[7], VVtemp[13], VV[28], VVtemp[148]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[38], VV[7], VVtemp[15], VV[28], VVtemp[149]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[38], VV[7], VVtemp[17], VV[28], VVtemp[150]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[38], VV[7], VVtemp[19], VV[28], VVtemp[151]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[38], VV[7], VVtemp[21], VV[28], VVtemp[152]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[38], VV[7], VVtemp[23], VV[28], VVtemp[153]) /*  DEF-INLINE */;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun_va((cl_objectfn)LC21aref_aps,ECL_NIL,Cblock);
  T0 = V1;
 }
 si_do_define_setf_method(VV[37], T0);
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[154]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[118]);                          /*  ROW-MAJOR-ASET-APS */
 si_do_defsetf(VV[38], VV[41]);
 ecl_function_dispatch(cl_env_copy,VV[101])(7, VV[41], VV[5], VVtemp[91], VV[28], VVtemp[155], VV[6], ECL_T) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[41], VV[5], VVtemp[93], VV[28], VVtemp[156]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[41], VV[7], VVtemp[95], VV[28], VVtemp[157]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[41], VV[7], VVtemp[97], VV[28], VVtemp[158]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[41], VV[7], VVtemp[99], VV[28], VVtemp[159]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[41], VV[7], VVtemp[101], VV[28], VVtemp[160]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[41], VV[7], VVtemp[103], VV[28], VVtemp[161]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[41], VV[7], VVtemp[105], VV[28], VVtemp[162]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[41], VV[7], VVtemp[107], VV[28], VVtemp[163]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[41], VV[7], VVtemp[109], VV[28], VVtemp[164]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[41], VV[7], VVtemp[111], VV[28], VVtemp[165]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[41], VV[7], VVtemp[113], VV[28], VVtemp[166]) /*  DEF-INLINE */;
 }
 {
  cl_object T0;
 cl_export(1, VV[43]);
 cl_export(1, VV[44]);
 ecl_cmp_defmacro(VV[119]);                       /*  AREF-SPS        */
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[167]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[120]);                          /*  ROW-MAJOR-AREF-SPS */
 ecl_function_dispatch(cl_env_copy,VV[101])(7, VV[44], VV[5], VVtemp[1], VV[28], VVtemp[142], VV[6], ECL_T) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[44], VV[5], VVtemp[3], VV[28], VVtemp[143]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[44], VV[7], VVtemp[5], VV[28], VVtemp[144]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[44], VV[7], VVtemp[7], VV[28], VVtemp[145]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[44], VV[7], VVtemp[9], VV[28], VVtemp[146]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[44], VV[7], VVtemp[11], VV[28], VVtemp[147]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[44], VV[7], VVtemp[13], VV[28], VVtemp[148]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[44], VV[7], VVtemp[15], VV[28], VVtemp[149]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[44], VV[7], VVtemp[17], VV[28], VVtemp[150]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[44], VV[7], VVtemp[19], VV[28], VVtemp[151]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[44], VV[7], VVtemp[21], VV[28], VVtemp[152]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[44], VV[7], VVtemp[23], VV[28], VVtemp[153]) /*  DEF-INLINE */;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun_va((cl_objectfn)LC25aref_sps,ECL_NIL,Cblock);
  T0 = V1;
 }
 si_do_define_setf_method(VV[43], T0);
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[168]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[121]);                          /*  ROW-MAJOR-ASET-SPS */
 si_do_defsetf(VV[44], VV[47]);
 ecl_function_dispatch(cl_env_copy,VV[101])(7, VV[47], VV[5], VVtemp[91], VV[28], VVtemp[169], VV[6], ECL_T) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[47], VV[5], VVtemp[93], VV[28], VVtemp[170]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[47], VV[7], VVtemp[95], VV[28], VVtemp[171]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[47], VV[7], VVtemp[97], VV[28], VVtemp[172]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[47], VV[7], VVtemp[99], VV[28], VVtemp[173]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[47], VV[7], VVtemp[101], VV[28], VVtemp[174]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[47], VV[7], VVtemp[103], VV[28], VVtemp[175]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[47], VV[7], VVtemp[105], VV[28], VVtemp[176]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[47], VV[7], VVtemp[107], VV[28], VVtemp[177]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[47], VV[7], VVtemp[109], VV[28], VVtemp[178]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[47], VV[7], VVtemp[111], VV[28], VVtemp[179]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[47], VV[7], VVtemp[113], VV[28], VVtemp[180]) /*  DEF-INLINE */;
 }
 {
  cl_object T0;
 cl_export(1, VV[49]);
 cl_export(1, VV[50]);
 ecl_cmp_defmacro(VV[122]);                       /*  AREF-SD         */
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[181]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[123]);                          /*  ROW-MAJOR-AREF-SD */
 ecl_function_dispatch(cl_env_copy,VV[101])(7, VV[50], VV[5], VVtemp[1], VV[53], VVtemp[182], VV[6], ECL_T) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[50], VV[5], VVtemp[3], VV[53], VVtemp[183]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[50], VV[7], VVtemp[5], VV[53], VVtemp[184]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[50], VV[7], VVtemp[7], VV[53], VVtemp[185]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[50], VV[7], VVtemp[9], VV[53], VVtemp[186]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[50], VV[7], VVtemp[11], VV[53], VVtemp[187]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[50], VV[7], VVtemp[13], VV[53], VVtemp[188]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[50], VV[7], VVtemp[15], VV[53], VVtemp[189]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[50], VV[7], VVtemp[17], VV[53], VVtemp[190]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[50], VV[7], VVtemp[19], VV[53], VVtemp[191]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[50], VV[7], VVtemp[21], VV[53], VVtemp[192]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[50], VV[7], VVtemp[23], VV[53], VVtemp[193]) /*  DEF-INLINE */;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun_va((cl_objectfn)LC29aref_sd,ECL_NIL,Cblock);
  T0 = V1;
 }
 si_do_define_setf_method(VV[49], T0);
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[194]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[124]);                          /*  ROW-MAJOR-ASET-SD */
 si_do_defsetf(VV[50], VV[54]);
 ecl_function_dispatch(cl_env_copy,VV[101])(7, VV[54], VV[5], VVtemp[195], VV[53], VVtemp[196], VV[6], ECL_T) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[54], VV[5], VVtemp[197], VV[53], VVtemp[198]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[54], VV[7], VVtemp[199], VV[53], VVtemp[200]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[54], VV[7], VVtemp[201], VV[53], VVtemp[202]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[54], VV[7], VVtemp[203], VV[53], VVtemp[204]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[54], VV[7], VVtemp[205], VV[53], VVtemp[206]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[54], VV[7], VVtemp[207], VV[53], VVtemp[208]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[54], VV[7], VVtemp[209], VV[53], VVtemp[210]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[54], VV[7], VVtemp[211], VV[53], VVtemp[212]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[54], VV[7], VVtemp[213], VV[53], VVtemp[214]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[54], VV[7], VVtemp[215], VV[53], VVtemp[216]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[54], VV[7], VVtemp[217], VV[53], VVtemp[218]) /*  DEF-INLINE */;
 }
 {
  cl_object T0;
 cl_export(1, VV[56]);
 cl_export(1, VV[57]);
 ecl_cmp_defmacro(VV[125]);                       /*  AREF-PD         */
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[219]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[126]);                          /*  ROW-MAJOR-AREF-PD */
 ecl_function_dispatch(cl_env_copy,VV[101])(7, VV[57], VV[5], VVtemp[1], VV[53], VVtemp[220], VV[6], ECL_T) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[57], VV[5], VVtemp[3], VV[53], VVtemp[221]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[57], VV[7], VVtemp[5], VV[53], VVtemp[222]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[57], VV[7], VVtemp[7], VV[53], VVtemp[223]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[57], VV[7], VVtemp[9], VV[53], VVtemp[224]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[57], VV[7], VVtemp[11], VV[53], VVtemp[225]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[57], VV[7], VVtemp[13], VV[53], VVtemp[226]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[57], VV[7], VVtemp[15], VV[53], VVtemp[227]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[57], VV[7], VVtemp[17], VV[53], VVtemp[228]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[57], VV[7], VVtemp[19], VV[53], VVtemp[229]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[57], VV[7], VVtemp[21], VV[53], VVtemp[230]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[57], VV[7], VVtemp[23], VV[53], VVtemp[231]) /*  DEF-INLINE */;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun_va((cl_objectfn)LC33aref_pd,ECL_NIL,Cblock);
  T0 = V1;
 }
 si_do_define_setf_method(VV[56], T0);
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[232]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[127]);                          /*  ROW-MAJOR-ASET-PD */
 si_do_defsetf(VV[57], VV[60]);
 ecl_function_dispatch(cl_env_copy,VV[101])(7, VV[60], VV[5], VVtemp[195], VV[53], VVtemp[233], VV[6], ECL_T) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[60], VV[5], VVtemp[197], VV[53], VVtemp[234]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[60], VV[7], VVtemp[199], VV[53], VVtemp[235]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[60], VV[7], VVtemp[201], VV[53], VVtemp[236]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[60], VV[7], VVtemp[203], VV[53], VVtemp[237]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[60], VV[7], VVtemp[205], VV[53], VVtemp[238]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[60], VV[7], VVtemp[207], VV[53], VVtemp[239]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[60], VV[7], VVtemp[209], VV[53], VVtemp[240]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[60], VV[7], VVtemp[211], VV[53], VVtemp[241]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[60], VV[7], VVtemp[213], VV[53], VVtemp[242]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[60], VV[7], VVtemp[215], VV[53], VVtemp[243]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[60], VV[7], VVtemp[217], VV[53], VVtemp[244]) /*  DEF-INLINE */;
 }
 {
  cl_object T0;
 cl_export(1, VV[62]);
 cl_export(1, VV[63]);
 ecl_cmp_defmacro(VV[128]);                       /*  AREF-APD        */
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[245]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[129]);                          /*  ROW-MAJOR-AREF-APD */
 ecl_function_dispatch(cl_env_copy,VV[101])(7, VV[63], VV[5], VVtemp[1], VV[53], VVtemp[246], VV[6], ECL_T) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[63], VV[5], VVtemp[3], VV[53], VVtemp[247]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[63], VV[7], VVtemp[5], VV[53], VVtemp[248]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[63], VV[7], VVtemp[7], VV[53], VVtemp[249]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[63], VV[7], VVtemp[9], VV[53], VVtemp[250]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[63], VV[7], VVtemp[11], VV[53], VVtemp[251]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[63], VV[7], VVtemp[13], VV[53], VVtemp[252]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[63], VV[7], VVtemp[15], VV[53], VVtemp[253]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[63], VV[7], VVtemp[17], VV[53], VVtemp[254]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[63], VV[7], VVtemp[19], VV[53], VVtemp[255]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[63], VV[7], VVtemp[21], VV[53], VVtemp[256]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[63], VV[7], VVtemp[23], VV[53], VVtemp[257]) /*  DEF-INLINE */;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun_va((cl_objectfn)LC37aref_apd,ECL_NIL,Cblock);
  T0 = V1;
 }
 si_do_define_setf_method(VV[62], T0);
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[258]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[130]);                          /*  ROW-MAJOR-ASET-APD */
 si_do_defsetf(VV[63], VV[66]);
 ecl_function_dispatch(cl_env_copy,VV[101])(7, VV[66], VV[5], VVtemp[195], VV[53], VVtemp[259], VV[6], ECL_T) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[66], VV[5], VVtemp[197], VV[53], VVtemp[260]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[66], VV[7], VVtemp[199], VV[53], VVtemp[261]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[66], VV[7], VVtemp[201], VV[53], VVtemp[262]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[66], VV[7], VVtemp[203], VV[53], VVtemp[263]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[66], VV[7], VVtemp[205], VV[53], VVtemp[264]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[66], VV[7], VVtemp[207], VV[53], VVtemp[265]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[66], VV[7], VVtemp[209], VV[53], VVtemp[266]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[66], VV[7], VVtemp[211], VV[53], VVtemp[267]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[66], VV[7], VVtemp[213], VV[53], VVtemp[268]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[66], VV[7], VVtemp[215], VV[53], VVtemp[269]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[66], VV[7], VVtemp[217], VV[53], VVtemp[270]) /*  DEF-INLINE */;
 }
 {
  cl_object T0;
 cl_export(1, VV[68]);
 cl_export(1, VV[69]);
 ecl_cmp_defmacro(VV[131]);                       /*  AREF-SPD        */
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[271]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[132]);                          /*  ROW-MAJOR-AREF-SPD */
 ecl_function_dispatch(cl_env_copy,VV[101])(7, VV[69], VV[5], VVtemp[1], VV[53], VVtemp[246], VV[6], ECL_T) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[69], VV[5], VVtemp[3], VV[53], VVtemp[247]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[69], VV[7], VVtemp[5], VV[53], VVtemp[248]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[69], VV[7], VVtemp[7], VV[53], VVtemp[249]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[69], VV[7], VVtemp[9], VV[53], VVtemp[250]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[69], VV[7], VVtemp[11], VV[53], VVtemp[251]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[69], VV[7], VVtemp[13], VV[53], VVtemp[252]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[69], VV[7], VVtemp[15], VV[53], VVtemp[253]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[69], VV[7], VVtemp[17], VV[53], VVtemp[254]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[69], VV[7], VVtemp[19], VV[53], VVtemp[255]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[69], VV[7], VVtemp[21], VV[53], VVtemp[256]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[69], VV[7], VVtemp[23], VV[53], VVtemp[257]) /*  DEF-INLINE */;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun_va((cl_objectfn)LC41aref_spd,ECL_NIL,Cblock);
  T0 = V1;
 }
 si_do_define_setf_method(VV[68], T0);
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[272]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[133]);                          /*  ROW-MAJOR-ASET-SPD */
 si_do_defsetf(VV[69], VV[72]);
 ecl_function_dispatch(cl_env_copy,VV[101])(7, VV[72], VV[5], VVtemp[195], VV[53], VVtemp[273], VV[6], ECL_T) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[72], VV[5], VVtemp[197], VV[53], VVtemp[274]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[72], VV[7], VVtemp[199], VV[53], VVtemp[275]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[72], VV[7], VVtemp[201], VV[53], VVtemp[276]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[72], VV[7], VVtemp[203], VV[53], VVtemp[277]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[72], VV[7], VVtemp[205], VV[53], VVtemp[278]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[72], VV[7], VVtemp[207], VV[53], VVtemp[279]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[72], VV[7], VVtemp[209], VV[53], VVtemp[280]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[72], VV[7], VVtemp[211], VV[53], VVtemp[281]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[72], VV[7], VVtemp[213], VV[53], VVtemp[282]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[72], VV[7], VVtemp[215], VV[53], VVtemp[283]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[72], VV[7], VVtemp[217], VV[53], VVtemp[284]) /*  DEF-INLINE */;
 }
 {
  cl_object T0;
 cl_export(1, VV[74]);
 cl_export(1, VV[75]);
 ecl_cmp_defmacro(VV[134]);                       /*  AREF-SI64       */
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[285]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[135]);                          /*  ROW-MAJOR-AREF-SI64 */
 ecl_function_dispatch(cl_env_copy,VV[101])(7, VV[75], VV[5], VVtemp[1], VV[78], VVtemp[286], VV[6], ECL_T) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[75], VV[5], VVtemp[3], VV[78], VVtemp[287]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[75], VV[7], VVtemp[5], VV[78], VVtemp[288]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[75], VV[7], VVtemp[7], VV[78], VVtemp[289]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[75], VV[7], VVtemp[9], VV[78], VVtemp[290]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[75], VV[7], VVtemp[11], VV[78], VVtemp[291]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[75], VV[7], VVtemp[13], VV[78], VVtemp[292]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[75], VV[7], VVtemp[15], VV[78], VVtemp[293]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[75], VV[7], VVtemp[17], VV[78], VVtemp[294]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[75], VV[7], VVtemp[19], VV[78], VVtemp[295]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[75], VV[7], VVtemp[21], VV[78], VVtemp[296]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[75], VV[7], VVtemp[23], VV[78], VVtemp[297]) /*  DEF-INLINE */;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun_va((cl_objectfn)LC45aref_si64,ECL_NIL,Cblock);
  T0 = V1;
 }
 si_do_define_setf_method(VV[74], T0);
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[298]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[136]);                          /*  ROW-MAJOR-ASET-SI64 */
 si_do_defsetf(VV[75], VV[79]);
 ecl_function_dispatch(cl_env_copy,VV[101])(7, VV[79], VV[5], VVtemp[299], VV[78], VVtemp[300], VV[6], ECL_T) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[79], VV[5], VVtemp[301], VV[78], VVtemp[302]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[79], VV[7], VVtemp[303], VV[78], VVtemp[304]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[79], VV[7], VVtemp[305], VV[78], VVtemp[306]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[79], VV[7], VVtemp[307], VV[78], VVtemp[308]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[79], VV[7], VVtemp[309], VV[78], VVtemp[310]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[79], VV[7], VVtemp[311], VV[78], VVtemp[312]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[79], VV[7], VVtemp[313], VV[78], VVtemp[314]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[79], VV[7], VVtemp[315], VV[78], VVtemp[316]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[79], VV[7], VVtemp[317], VV[78], VVtemp[318]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[79], VV[7], VVtemp[319], VV[78], VVtemp[320]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[79], VV[7], VVtemp[321], VV[78], VVtemp[322]) /*  DEF-INLINE */;
 }
 {
  cl_object T0;
 cl_export(1, VV[81]);
 cl_export(1, VV[82]);
 ecl_cmp_defmacro(VV[137]);                       /*  AREF-PI         */
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[323]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[138]);                          /*  ROW-MAJOR-AREF-PI */
 ecl_function_dispatch(cl_env_copy,VV[101])(7, VV[82], VV[5], VVtemp[1], VV[78], VVtemp[324], VV[6], ECL_T) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[82], VV[5], VVtemp[3], VV[78], VVtemp[325]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[82], VV[7], VVtemp[5], VV[78], VVtemp[326]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[82], VV[7], VVtemp[7], VV[78], VVtemp[327]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[82], VV[7], VVtemp[9], VV[78], VVtemp[328]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[82], VV[7], VVtemp[11], VV[78], VVtemp[329]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[82], VV[7], VVtemp[13], VV[78], VVtemp[330]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[82], VV[7], VVtemp[15], VV[78], VVtemp[331]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[82], VV[7], VVtemp[17], VV[78], VVtemp[332]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[82], VV[7], VVtemp[19], VV[78], VVtemp[333]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[82], VV[7], VVtemp[21], VV[78], VVtemp[334]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[82], VV[7], VVtemp[23], VV[78], VVtemp[335]) /*  DEF-INLINE */;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun_va((cl_objectfn)LC49aref_pi,ECL_NIL,Cblock);
  T0 = V1;
 }
 si_do_define_setf_method(VV[81], T0);
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[336]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[139]);                          /*  ROW-MAJOR-ASET-PI */
 si_do_defsetf(VV[82], VV[85]);
 ecl_function_dispatch(cl_env_copy,VV[101])(7, VV[85], VV[5], VVtemp[299], VV[78], VVtemp[337], VV[6], ECL_T) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[85], VV[5], VVtemp[301], VV[78], VVtemp[338]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[85], VV[7], VVtemp[303], VV[78], VVtemp[339]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[85], VV[7], VVtemp[305], VV[78], VVtemp[340]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[85], VV[7], VVtemp[307], VV[78], VVtemp[341]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[85], VV[7], VVtemp[309], VV[78], VVtemp[342]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[85], VV[7], VVtemp[311], VV[78], VVtemp[343]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[85], VV[7], VVtemp[313], VV[78], VVtemp[344]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[85], VV[7], VVtemp[315], VV[78], VVtemp[345]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[85], VV[7], VVtemp[317], VV[78], VVtemp[346]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[85], VV[7], VVtemp[319], VV[78], VVtemp[347]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[85], VV[7], VVtemp[321], VV[78], VVtemp[348]) /*  DEF-INLINE */;
 }
 {
  cl_object T0;
 cl_export(1, VV[87]);
 cl_export(1, VV[88]);
 ecl_cmp_defmacro(VV[140]);                       /*  AREF-API        */
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[349]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[141]);                          /*  ROW-MAJOR-AREF-API */
 ecl_function_dispatch(cl_env_copy,VV[101])(7, VV[88], VV[5], VVtemp[1], VV[78], VVtemp[350], VV[6], ECL_T) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[88], VV[5], VVtemp[3], VV[78], VVtemp[351]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[88], VV[7], VVtemp[5], VV[78], VVtemp[352]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[88], VV[7], VVtemp[7], VV[78], VVtemp[353]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[88], VV[7], VVtemp[9], VV[78], VVtemp[354]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[88], VV[7], VVtemp[11], VV[78], VVtemp[355]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[88], VV[7], VVtemp[13], VV[78], VVtemp[356]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[88], VV[7], VVtemp[15], VV[78], VVtemp[357]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[88], VV[7], VVtemp[17], VV[78], VVtemp[358]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[88], VV[7], VVtemp[19], VV[78], VVtemp[359]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[88], VV[7], VVtemp[21], VV[78], VVtemp[360]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[88], VV[7], VVtemp[23], VV[78], VVtemp[361]) /*  DEF-INLINE */;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun_va((cl_objectfn)LC53aref_api,ECL_NIL,Cblock);
  T0 = V1;
 }
 si_do_define_setf_method(VV[87], T0);
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[362]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[142]);                          /*  ROW-MAJOR-ASET-API */
 si_do_defsetf(VV[88], VV[91]);
 ecl_function_dispatch(cl_env_copy,VV[101])(7, VV[91], VV[5], VVtemp[299], VV[78], VVtemp[363], VV[6], ECL_T) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[91], VV[5], VVtemp[301], VV[78], VVtemp[364]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[91], VV[7], VVtemp[303], VV[78], VVtemp[365]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[91], VV[7], VVtemp[305], VV[78], VVtemp[366]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[91], VV[7], VVtemp[307], VV[78], VVtemp[367]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[91], VV[7], VVtemp[309], VV[78], VVtemp[368]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[91], VV[7], VVtemp[311], VV[78], VVtemp[369]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[91], VV[7], VVtemp[313], VV[78], VVtemp[370]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[91], VV[7], VVtemp[315], VV[78], VVtemp[371]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[91], VV[7], VVtemp[317], VV[78], VVtemp[372]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[91], VV[7], VVtemp[319], VV[78], VVtemp[373]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[91], VV[7], VVtemp[321], VV[78], VVtemp[374]) /*  DEF-INLINE */;
 }
 {
  cl_object T0;
 cl_export(1, VV[93]);
 cl_export(1, VV[94]);
 ecl_cmp_defmacro(VV[143]);                       /*  AREF-SPI        */
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[375]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[144]);                          /*  ROW-MAJOR-AREF-SPI */
 ecl_function_dispatch(cl_env_copy,VV[101])(7, VV[94], VV[5], VVtemp[1], VV[78], VVtemp[350], VV[6], ECL_T) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[94], VV[5], VVtemp[3], VV[78], VVtemp[351]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[94], VV[7], VVtemp[5], VV[78], VVtemp[352]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[94], VV[7], VVtemp[7], VV[78], VVtemp[353]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[94], VV[7], VVtemp[9], VV[78], VVtemp[354]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[94], VV[7], VVtemp[11], VV[78], VVtemp[355]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[94], VV[7], VVtemp[13], VV[78], VVtemp[356]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[94], VV[7], VVtemp[15], VV[78], VVtemp[357]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[94], VV[7], VVtemp[17], VV[78], VVtemp[358]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[94], VV[7], VVtemp[19], VV[78], VVtemp[359]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[94], VV[7], VVtemp[21], VV[78], VVtemp[360]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[94], VV[7], VVtemp[23], VV[78], VVtemp[361]) /*  DEF-INLINE */;
 {cl_object V1;
  V1 = ECL_NIL;
  V1 = ecl_make_cfun_va((cl_objectfn)LC57aref_spi,ECL_NIL,Cblock);
  T0 = V1;
 }
 si_do_define_setf_method(VV[93], T0);
 (cl_env_copy->function=(ECL_SYM("PROCLAIM",666)->symbol.gfdef))->cfun.entry(1, VVtemp[376]) /*  PROCLAIM */;
 ecl_cmp_defun(VV[145]);                          /*  ROW-MAJOR-ASET-SPI */
 si_do_defsetf(VV[94], VV[97]);
 ecl_function_dispatch(cl_env_copy,VV[101])(7, VV[97], VV[5], VVtemp[299], VV[78], VVtemp[377], VV[6], ECL_T) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[97], VV[5], VVtemp[301], VV[78], VVtemp[378]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[97], VV[7], VVtemp[303], VV[78], VVtemp[379]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[97], VV[7], VVtemp[305], VV[78], VVtemp[380]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[97], VV[7], VVtemp[307], VV[78], VVtemp[381]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[97], VV[7], VVtemp[309], VV[78], VVtemp[382]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[97], VV[7], VVtemp[311], VV[78], VVtemp[383]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[97], VV[7], VVtemp[313], VV[78], VVtemp[384]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[97], VV[7], VVtemp[315], VV[78], VVtemp[385]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[97], VV[7], VVtemp[317], VV[78], VVtemp[386]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[97], VV[7], VVtemp[319], VV[78], VVtemp[387]) /*  DEF-INLINE */;
 ecl_function_dispatch(cl_env_copy,VV[101])(5, VV[97], VV[7], VVtemp[321], VV[78], VVtemp[388]) /*  DEF-INLINE */;
 }
}
